'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Avatar = require('../Avatar/Avatar.cjs');
var AvatarGroup_module = require('./AvatarGroup.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var Counter = function (_a) {
  var remainingAvatars = _a.remainingAvatars;
  if (remainingAvatars <= 0) return null;
  return React__default.default.createElement("li", {
    "aria-label": "There ".concat(remainingAvatars > 1 ? "are ".concat(remainingAvatars, " other members") : "is ".concat(remainingAvatars, " other member"), " of this group"),
    className: AvatarGroup_module.AvatarGroupItem
  }, React__default.default.createElement("span", {
    className: AvatarGroup_module.AvatarCounter,
    "aria-hidden": true
  }, "+".concat(remainingAvatars)));
};
var AllAvatars = function (_a) {
  var avatars = _a.avatars,
    maxVisible = _a.maxVisible,
    size = _a.size;
  return React__default.default.createElement(React__default.default.Fragment, null, avatars === null || avatars === void 0 ? void 0 : avatars.map(function (avatarProps, index) {
    return index < maxVisible && React__default.default.createElement("li", {
      key: "avatar-".concat(index),
      className: AvatarGroup_module.AvatarGroupItem
    }, React__default.default.createElement(Avatar.Avatar, tslib.__assign({}, avatarProps, {
      size: size
    })));
  }), React__default.default.createElement(Counter, {
    remainingAvatars: (avatars === null || avatars === void 0 ? void 0 : avatars.length) - maxVisible
  }));
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3065021264/Avatar+Group Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-avatar-avatar-group--docs Storybook}
 */
var AvatarGroup = function (_a) {
  var _b = _a.size,
    size = _b === void 0 ? 'medium' : _b,
    _c = _a.maxVisible,
    maxVisible = _c === void 0 ? 2 : _c,
    avatars = _a.avatars,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["size", "maxVisible", "avatars", "classNameOverride"]);
  return React__default.default.createElement("ul", tslib.__assign({
    className: classnames__default.default(AvatarGroup_module.AvatarGroup, AvatarGroup_module[size], classNameOverride),
    "aria-label": "Avatar Group"
  }, restProps), React__default.default.createElement(AllAvatars, {
    avatars: avatars,
    maxVisible: maxVisible,
    size: size
  }));
};
exports.AvatarGroup = AvatarGroup;
