'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Badge_module = require('./Badge.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3064857333/Badge Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-badge--docs Storybook}
 */
var Badge = function (_a) {
  var children = _a.children,
    _b = _a.variant,
    variant = _b === void 0 ? 'default' : _b,
    _c = _a.reversed,
    reversed = _c === void 0 ? false : _c,
    _d = _a.size,
    size = _d === void 0 ? 'small' : _d,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["children", "variant", "reversed", "size", "classNameOverride"]);
  return React__default.default.createElement("span", tslib.__assign({
    className: classnames__default.default(Badge_module.badge, Badge_module[variant], classNameOverride, reversed && Badge_module.reversed, size === 'large' && Badge_module.large)
  }, restProps), variant !== 'dot' && children);
};
var BadgeAnimated = function (props) {
  var _a = React.useState(false),
    isFocused = _a[0],
    setIsFocused = _a[1];
  React.useLayoutEffect(function () {
    setIsFocused(true);
    setTimeout(function () {
      setIsFocused(false);
    }, 150);
  }, [props.children]);
  return React__default.default.createElement("span", {
    className: classnames__default.default(Badge_module.animation, isFocused && Badge_module.animationOn)
  }, React__default.default.createElement(Badge, tslib.__assign({}, props)));
};
Badge.displayName = 'Badge';
exports.Badge = Badge;
exports.BadgeAnimated = BadgeAnimated;
