'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var FilterButtonBase = require('../Filter/FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.cjs');
var Tooltip = require('../Tooltip/Tooltip.cjs');
var ButtonGroup_module = require('./ButtonGroup.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var isFilterButton = function (node) {
  return React__default.default.isValidElement(node) && node.type === FilterButtonBase.FilterButtonBase;
};
var ButtonGroup = function (_a) {
  var children = _a.children,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["children", "classNameOverride"]);
  var childCount = React__default.default.Children.count(children);
  var containerProps = tslib.__assign({
    role: 'group',
    className: classnames__default.default(ButtonGroup_module.buttonGroup, classNameOverride)
  }, restProps);
  if (childCount === 1) return React__default.default.createElement("div", tslib.__assign({}, containerProps), children);
  return React__default.default.createElement("div", tslib.__assign({}, containerProps), React__default.default.Children.map(children, function (child, index) {
    var buttonClassNames = classnames__default.default(ButtonGroup_module.child, index === 0 && ButtonGroup_module.firstChild, index === childCount - 1 && ButtonGroup_module.lastChild, child.props.classNameOverride);
    if (child.type === Tooltip.Tooltip) {
      var button = child.props.children;
      if (isFilterButton(button)) {
        return React__default.default.cloneElement(child, {
          children: React__default.default.cloneElement(button, {
            classNameOverride: classnames__default.default(button.props.classNameOverride, buttonClassNames)
          })
        });
      }
      return child;
    }
    return React__default.default.cloneElement(child, {
      classNameOverride: buttonClassNames
    });
  }));
};
ButtonGroup.displayName = 'ButtonGroup';
exports.ButtonGroup = ButtonGroup;
