'use strict';

var tslib = require('tslib');
var React = require('react');
var reactDom = require('@floating-ui/react-dom');
var classnames = require('classnames');
var CalendarPopover_module = require('./CalendarPopover.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * Only for use with Calendar components.
 * @todo: Replace with Popover when we have a reusable one.
 */
var CalendarPopover = function (_a) {
  var children = _a.children,
    referenceElement = _a.referenceElement,
    floatingOptions = _a.floatingOptions,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["children", "referenceElement", "floatingOptions", "classNameOverride"]);
  var _b = React.useState(null),
    floatingElement = _b[0],
    setFloatingElement = _b[1];
  var _c = reactDom.useFloating(tslib.__assign({
      placement: 'bottom-start',
      elements: {
        reference: referenceElement,
        floating: floatingElement
      },
      strategy: 'fixed',
      middleware: [reactDom.size({
        apply: function (_a) {
          var availableHeight = _a.availableHeight,
            availableWidth = _a.availableWidth,
            elements = _a.elements;
          Object.assign(elements.floating.style, {
            // 155 is enough of a minimum to cut off half of the second row of dates.
            // This indicates to users that there is more content that is scrollable
            maxHeight: "".concat(Math.max(availableHeight - 25, 155), "px"),
            maxWidth: "".concat(availableWidth, "px")
          });
        }
      }), reactDom.offset(15), reactDom.autoPlacement({
        allowedPlacements: ['bottom-start', 'bottom', 'top-start', 'top']
      })],
      whileElementsMounted: reactDom.autoUpdate
    }, floatingOptions)),
    floatingStyles = _c.floatingStyles,
    update = _c.update;
  React.useEffect(function () {
    var _a;
    if (floatingElement && referenceElement) {
      // @ts-expect-error this can be removed when we update to react 19
      referenceElement.popoverTargetElement = floatingElement;
      (_a = floatingElement.showPopover) === null || _a === void 0 ? void 0 : _a.call(floatingElement);
      update();
    }
  }, [referenceElement, floatingElement, update]);
  return React__default.default.createElement("div", tslib.__assign({
    ref: setFloatingElement,
    style: floatingStyles,
    className: classnames__default.default(CalendarPopover_module.calendarPopover, classNameOverride),
    role: "dialog",
    "aria-modal": "true",
    // @ts-expect-error this can be removed when we update to react 19
    popover: "manual"
  }, restProps), children);
};
CalendarPopover.displayName = 'CalendarPopover';
exports.CalendarPopover = CalendarPopover;
