'use strict';

var tslib = require('tslib');
var React = require('react');
var locale = require('date-fns/locale');
var reactDayPicker = require('react-day-picker');
var Icon = require('../../__next__/Icon/Icon.cjs');
var baseCalendarClassNames = require('../baseCalendarClassNames.cjs');
require('date-fns');
var isInvalidDate = require('../utils/isInvalidDate.cjs');
var isValidWeekStartsOn = require('../utils/isValidWeekStartsOn.cjs');
var CalendarSingle_module = require('./CalendarSingle.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var CalendarSingle = function (_a) {
  var id = _a.id,
    onMount = _a.onMount,
    classNameOverride = _a.classNameOverride,
    selected = _a.selected,
    defaultMonth = _a.defaultMonth,
    weekStartsOn = _a.weekStartsOn,
    _b = _a.locale,
    locale$1 = _b === void 0 ? locale.enAU : _b,
    restProps = tslib.__rest(_a, ["id", "onMount", "classNameOverride", "selected", "defaultMonth", "weekStartsOn", "locale"]);
  var calendarRef = React.useRef(null);
  React.useEffect(function () {
    if (calendarRef.current) onMount === null || onMount === void 0 ? void 0 : onMount(calendarRef.current);
  }, [calendarRef, onMount]);
  var monthToShow = selected !== null && selected !== void 0 ? selected : defaultMonth;
  var selectedMonth = monthToShow && isInvalidDate.isInvalidDate(monthToShow) ? undefined : monthToShow;
  /* eslint-disable camelcase */
  var classNames = tslib.__assign(tslib.__assign({}, baseCalendarClassNames.baseCalendarClassNames), {
    nav: CalendarSingle_module.nav,
    nav_button_next: CalendarSingle_module.navButtonNext
  });
  /* eslint-enable camelcase */
  return React__default.default.createElement("div", {
    ref: calendarRef,
    id: id,
    className: classNameOverride
  }, React__default.default.createElement(reactDayPicker.DayPicker, tslib.__assign({
    mode: "single",
    selected: selected && isInvalidDate.isInvalidDate(selected) ? undefined : selected,
    defaultMonth: selectedMonth,
    weekStartsOn: isValidWeekStartsOn.isValidWeekStartsOn(weekStartsOn) ? weekStartsOn : undefined,
    classNames: classNames,
    components: {
      Chevron: function (props) {
        if (props.orientation === 'left') {
          return React__default.default.createElement(Icon.Icon, {
            name: "arrow_back",
            isPresentational: true,
            shouldMirrorInRTL: true
          });
        }
        return React__default.default.createElement(Icon.Icon, {
          name: "arrow_forward",
          isPresentational: true,
          shouldMirrorInRTL: true
        });
      }
    },
    locale: locale$1
  }, restProps)));
};
CalendarSingle.displayName = 'CalendarSingle';
exports.CalendarSingle = CalendarSingle;
