'use strict';

var tslib = require('tslib');
var React = require('react');
var reactDayPicker = require('react-day-picker');
var Icon = require('../../__next__/Icon/Icon.cjs');
var baseCalendarClassNames = require('../baseCalendarClassNames.cjs');
var enums = require('../enums.cjs');
require('date-fns');
var isInvalidDate = require('../utils/isInvalidDate.cjs');
var isValidWeekStartsOn = require('../utils/isValidWeekStartsOn.cjs');
var LegacyCalendarRange_module = require('./LegacyCalendarRange.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var LegacyCalendarRange = function (_a) {
  var _b;
  var classNameOverride = _a.classNameOverride,
    defaultMonth = _a.defaultMonth,
    _c = _a.weekStartsOn,
    weekStartsOn = _c === void 0 ? enums.DayOfWeek.Mon : _c,
    disabledDays = _a.disabledDays,
    selectedRange = _a.selectedRange,
    locale = _a.locale,
    onDayChange = _a.onDayChange;
  var monthToShow = (_b = selectedRange === null || selectedRange === void 0 ? void 0 : selectedRange.from) !== null && _b !== void 0 ? _b : defaultMonth;
  var selectedMonth = monthToShow && isInvalidDate.isInvalidDate(monthToShow) ? undefined : monthToShow;
  /* eslint-disable camelcase */
  var classNames = tslib.__assign(tslib.__assign({}, baseCalendarClassNames.baseCalendarClassNames), {
    nav: LegacyCalendarRange_module.nav,
    range_start: LegacyCalendarRange_module.dayRangeStart,
    range_end: LegacyCalendarRange_module.dayRangeEnd,
    range_middle: LegacyCalendarRange_module.dayRangeMiddle
  });
  /* eslint-enable camelcase */
  return React__default.default.createElement("div", {
    className: classNameOverride
  }, React__default.default.createElement(reactDayPicker.DayPicker, {
    mode: "range",
    selected: selectedRange,
    defaultMonth: selectedMonth,
    weekStartsOn: isValidWeekStartsOn.isValidWeekStartsOn(weekStartsOn) ? weekStartsOn : undefined,
    disabled: disabledDays,
    onDayClick: onDayChange,
    classNames: classNames,
    components: {
      Chevron: function (props) {
        if (props.orientation === 'left') {
          return React__default.default.createElement(Icon.Icon, {
            name: "arrow_back",
            isPresentational: true,
            shouldMirrorInRTL: true
          });
        }
        return React__default.default.createElement(Icon.Icon, {
          name: "arrow_forward",
          isPresentational: true,
          shouldMirrorInRTL: true
        });
      }
    },
    locale: locale
  }));
};
LegacyCalendarRange.displayName = 'LegacyCalendarRange';
exports.LegacyCalendarRange = LegacyCalendarRange;
