'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Icon = require('../../__next__/Icon/Icon.cjs');
var Checkbox_module = require('./Checkbox.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var renderCheckOrMixedIcon = function (status, reversed) {
  if (status === 'off') return;
  return React__default.default.createElement(Icon.Icon, {
    name: status === 'on' ? 'check' : 'remove',
    isPresentational: true,
    className: classnames__default.default(Checkbox_module.icon, reversed && Checkbox_module.reversed)
  });
};
var getCheckedFromStatus = function (checkedStatus) {
  return checkedStatus === 'on';
};
var Checkbox = function (_a) {
  var _b = _a.checkedStatus,
    checkedStatus = _b === void 0 ? 'off' : _b,
    onCheck = _a.onCheck,
    _c = _a.reversed,
    reversed = _c === void 0 ? false : _c,
    value = _a.value,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["checkedStatus", "onCheck", "reversed", "value", "classNameOverride"]);
  return React__default.default.createElement("span", {
    className: Checkbox_module.container
  }, React__default.default.createElement("input", tslib.__assign({
    ref: function (node) {
      if (node) {
        node.indeterminate = checkedStatus === 'mixed';
      }
    },
    "data-indeterminate": checkedStatus === 'mixed',
    type: "checkbox",
    className: classnames__default.default(Checkbox_module.checkbox, classNameOverride, reversed && Checkbox_module.reversed),
    checked: getCheckedFromStatus(checkedStatus),
    onChange: onCheck,
    value: value !== null && value !== void 0 ? value : checkedStatus,
    readOnly: onCheck === undefined
  }, restProps)), React__default.default.createElement("span", {
    className: classnames__default.default(Checkbox_module.box, reversed && Checkbox_module.reversed)
  }, renderCheckOrMixedIcon(checkedStatus, reversed)));
};
Checkbox.displayName = 'Checkbox';
exports.Checkbox = Checkbox;
