'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Label = require('../../Label/Label.cjs');
var CheckboxGroup_module = require('./CheckboxGroup.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094522/Checkbox+Group Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-checkbox-controls-checkbox-group--docs Storybook}
 */
var CheckboxGroup = function (_a) {
  var children = _a.children,
    labelText = _a.labelText,
    propsLabelId = _a.labelId,
    _b = _a.noBottomMargin,
    noBottomMargin = _b === void 0 ? false : _b,
    _c = _a.reversed,
    reversed = _c === void 0 ? false : _c,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["children", "labelText", "labelId", "noBottomMargin", "reversed", "classNameOverride"]);
  var fallbackId = React.useId();
  var labelId = propsLabelId !== null && propsLabelId !== void 0 ? propsLabelId : fallbackId;
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(CheckboxGroup_module.checkboxGroupContainer, classNameOverride, noBottomMargin && CheckboxGroup_module.noBottomMargin, reversed && CheckboxGroup_module.reversed),
    role: "group",
    "aria-labelledby": labelId
  }, restProps), React__default.default.createElement("div", {
    className: CheckboxGroup_module.checkboxGroupLabel
  }, React__default.default.createElement(Label.Label, {
    id: labelId,
    labelText: labelText,
    labelType: "text",
    reversed: reversed
  })), children);
};
CheckboxGroup.displayName = 'CheckboxGroup';
exports.CheckboxGroup = CheckboxGroup;
