'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var CollapsibleGroup_module = require('./CollapsibleGroup.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094383/Collapsible Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-collapsible-collapsible-group--docs Storybook}
 */
var CollapsibleGroup = function (_a) {
  var children = _a.children,
    _b = _a.separated,
    separated = _b === void 0 ? false : _b,
    sticky = _a.sticky,
    _c = _a.noSectionPadding,
    noSectionPadding = _c === void 0 ? false : _c,
    _d = _a.lazyLoad,
    lazyLoad = _d === void 0 ? false : _d,
    onToggle = _a.onToggle,
    classNameOverride = _a.classNameOverride,
    props = tslib.__rest(_a, ["children", "separated", "sticky", "noSectionPadding", "lazyLoad", "onToggle", "classNameOverride"]);
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(classNameOverride, !separated && CollapsibleGroup_module.container)
  }, props), React__default.default.Children.map(children, function (collapsible) {
    return React__default.default.cloneElement(collapsible, {
      group: true,
      separated: separated,
      sticky: sticky,
      noSectionPadding: noSectionPadding,
      lazyLoad: lazyLoad,
      onToggle: onToggle
    });
  }));
};
exports.CollapsibleGroup = CollapsibleGroup;
