'use strict';

var tslib = require('tslib');
var React = require('react');
var Brand = require('../../Brand/Brand.cjs');
var Collapsible = require('../Collapsible/Collapsible.cjs');
var Heading = require('../../Heading/Heading.cjs');
var ExpertAdviceCollapsible_module = require('./ExpertAdviceCollapsible.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094383/Collapsible Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-collapsible--docs Storybook}
 */
var ExpertAdviceCollapsible = function (props) {
  return React__default.default.createElement(Collapsible.Collapsible, tslib.__assign({}, props, {
    noSectionPadding: true,
    classNameOverride: ExpertAdviceCollapsible_module.expertAdviceContainer,
    renderHeader: function () {
      return React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement("div", {
        className: ExpertAdviceCollapsible_module.expertAdviceHeader
      }, React__default.default.createElement(Brand.Brand, {
        classNameOverride: ExpertAdviceCollapsible_module.expertAdviceIcon,
        alt: "Expert Advice",
        variant: "collective-intelligence",
        reversed: true
      }), React__default.default.createElement(Heading.Heading, {
        variant: "heading-4",
        tag: "span",
        classNameOverride: ExpertAdviceCollapsible_module.expertAdviceHeading
      }, props.title)));
    }
  }), React__default.default.createElement("div", {
    className: ExpertAdviceCollapsible_module.expertAdviceSection
  }, props.children));
};
ExpertAdviceCollapsible.displayName = 'ExpertAdviceCollapsible';
exports.ExpertAdviceCollapsible = ExpertAdviceCollapsible;
