'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Content_module = require('./Content.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3086156812/Layout Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-content--docs Storybook}
 */
var Content = React__default.default.forwardRef(function (_a, ref) {
  var children = _a.children,
    style = _a.style,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["children", "style", "classNameOverride"]);
  return React__default.default.createElement("div", tslib.__assign({
    ref: ref,
    className: classnames__default.default(Content_module.content, classNameOverride),
    style: style
  }, restProps), children);
});
Content.displayName = 'Content';
exports.Content = Content;
