'use strict';

var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var LabelledMessage = require('../../LabelledMessage/LabelledMessage.cjs');
var formatDescriptionInputFormat = require('./utils/formatDescriptionInputFormat.cjs');
var DateInputDescription_module = require('./DateInputDescription.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var DateInputDescription = function (_a) {
  var description = _a.description,
    locale = _a.locale;
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var hasCustomDescription = typeof description === 'string' && description !== '' || React__default.default.isValidElement(description);
  var translatedInputFormatMessage = formatMessage({
    id: 'dateInputDescription.inputFormat',
    defaultMessage: 'Input format',
    description: "Label for the 'Input format' field"
  });
  if (hasCustomDescription) {
    return React__default.default.createElement("span", {
      className: DateInputDescription_module.dateInputDescription
    }, React__default.default.createElement("span", null, description), React__default.default.createElement("span", {
      className: DateInputDescription_module.dateInputFormatContainer
    }, "(", React__default.default.createElement(LabelledMessage.LabelledMessage, {
      label: translatedInputFormatMessage,
      message: formatDescriptionInputFormat.formatDescriptionInputFormat(locale)
    }), ")"));
  }
  return React__default.default.createElement(LabelledMessage.LabelledMessage, {
    label: translatedInputFormatMessage,
    message: formatDescriptionInputFormat.formatDescriptionInputFormat(locale)
  });
};
DateInputDescription.displayName = 'DateInputDescription';
exports.DateInputDescription = DateInputDescription;
