'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Icon = require('../../__next__/Icon/Icon.cjs');
var isRefObject = require('../../utils/isRefObject.cjs');
var DateInput = require('../DateInput/DateInput.cjs');
var DateInputWithIconButton_module = require('./DateInputWithIconButton.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var DateInputWithIconButton = React__default.default.forwardRef(function (_a, ref) {
  var onButtonClick = _a.onButtonClick,
    disabled = _a.disabled,
    value = _a.value,
    restProps = tslib.__rest(_a, ["onButtonClick", "disabled", "value"]);
  var customRefObject = isRefObject.isRefObject(ref) ? ref.current : null;
  var inputRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.inputRef;
  var buttonRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.buttonRef;
  var IconButton = React__default.default.createElement("button", {
    ref: buttonRef,
    type: "button",
    onClick: onButtonClick,
    "aria-label": value ? "Change date, ".concat(value) : 'Choose date',
    "aria-disabled": disabled,
    disabled: disabled,
    className: classnames__default.default(DateInputWithIconButton_module.iconButton, restProps['aria-expanded'] && DateInputWithIconButton_module.calendarActive, disabled && DateInputWithIconButton_module.disabled)
  }, React__default.default.createElement(Icon.Icon, {
    name: "today",
    isPresentational: true,
    isFilled: true
  }));
  return React__default.default.createElement(DateInput.DateInput, tslib.__assign({
    ref: inputRef,
    disabled: disabled,
    value: value,
    endIconAdornment: IconButton
  }, restProps));
});
DateInputWithIconButton.displayName = 'DateInputWithIconButton';
exports.DateInputWithIconButton = DateInputWithIconButton;
