'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var locale = require('date-fns/locale');
require('../../../DateInput/DateInput/DateInput.cjs');
var DateInputDescription = require('../../../DateInput/DateInputDescription/DateInputDescription.cjs');
var DateInputWithIconButton = require('../../../DateInput/DateInputWithIconButton/DateInputWithIconButton.cjs');
var FieldMessage = require('../../../FieldMessage/FieldMessage.cjs');
var DateInputField_module = require('./DateInputField.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var DateInputField = React__default.default.forwardRef(function (_a, ref) {
  var description = _a.description,
    status = _a.status,
    validationMessage = _a.validationMessage,
    _b = _a.locale,
    locale$1 = _b === void 0 ? locale.enAU : _b,
    propsId = _a.id,
    disabled = _a.disabled,
    _c = _a.isReversed,
    isReversed = _c === void 0 ? false : _c,
    classNameOverride = _a.classNameOverride,
    dateInputWithIconButtonProps = tslib.__rest(_a, ["description", "status", "validationMessage", "locale", "id", "disabled", "isReversed", "classNameOverride"]);
  var reactId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : reactId;
  var descriptionId = "".concat(id, "-field-message");
  var shouldShowValidationMessage = !disabled && validationMessage;
  return React__default.default.createElement("div", {
    className: classNameOverride
  }, React__default.default.createElement(DateInputWithIconButton.DateInputWithIconButton, tslib.__assign({
    ref: ref,
    id: id,
    "aria-describedby": descriptionId,
    status: status,
    disabled: disabled,
    isReversed: isReversed
  }, dateInputWithIconButtonProps)), shouldShowValidationMessage && React__default.default.createElement(FieldMessage.FieldMessage, {
    message: validationMessage,
    status: status,
    reversed: isReversed
  }), React__default.default.createElement("div", {
    className: classnames__default.default(disabled && DateInputField_module.disabled)
  }, React__default.default.createElement(FieldMessage.FieldMessage, {
    id: descriptionId,
    message: React__default.default.createElement(DateInputDescription.DateInputDescription, {
      description: description,
      locale: locale$1
    }),
    reversed: isReversed
  })));
});
DateInputField.displayName = 'DateInputField';
exports.DateInputField = DateInputField;
