'use strict';

var locale = require('date-fns/locale');
var getLocale = function (locale$1) {
  switch (locale$1) {
    case 'zh':
      return locale.zhCN;
    case 'zh-TW':
      return locale.zhTW;
    case 'da':
      return locale.da;
    case 'nl':
      return locale.nl;
    case 'en-US':
      return locale.enUS;
    case 'fr':
      return locale.fr;
    case 'de':
      return locale.de;
    case 'he':
      return locale.he;
    case 'it':
      return locale.it;
    case 'ja':
      return locale.ja;
    case 'ko':
    case 'kr':
      return locale.ko;
    case 'es-419':
      return locale.es;
    case 'sv':
      return locale.sv;
    case 'ru':
      return locale.ru;
    // @todo: Add when locale is available https://github.com/date-fns/date-fns/issues/2627
    // case "mi":
    // return miNZ
    case 'pl':
      return locale.pl;
    case 'pt-BR':
      return locale.ptBR;
    case 'uk':
      return locale.uk;
    case 'en':
    case 'en-GB':
    case 'en-AU':
      return locale.enGB;
    case 'ar':
      return locale.arSA;
    case 'bg':
      return locale.bg;
    case 'cs':
      return locale.cs;
    case 'et':
      return locale.et;
    case 'fi':
      return locale.fi;
    case 'fr-CA':
      return locale.frCA;
    case 'ht':
      return locale.ht;
    case 'el':
      return locale.el;
    case 'hi':
      return locale.hi;
    case 'hu':
      return locale.hu;
    case 'id':
      return locale.id;
    case 'km-KH':
      return locale.km;
    case 'lv':
      return locale.lv;
    case 'lt':
      return locale.lt;
    case 'ms':
      return locale.ms;
    case 'nb':
    case 'no':
      return locale.nb;
    case 'pt':
      return locale.pt;
    case 'ro':
      return locale.ro;
    case 'sr':
      return locale.sr;
    // case "si-LK":
    //   return siLK
    case 'sk':
      return locale.sk;
    case 'es':
      return locale.es;
    // case "tl":
    //   return tlPH
    case 'th':
      return locale.th;
    case 'tr':
      return locale.tr;
    case 'vi':
      return locale.vi;
    case 'cy':
      return locale.cy;
    default:
      return locale.enGB;
  }
};
exports.getLocale = getLocale;
