'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Divider_module = require('./Divider.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082061035/Divider Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-divider--docs Storybook}
 */
var Divider = function (_a) {
  var variant = _a.variant,
    _b = _a.isReversed,
    isReversed = _b === void 0 ? false : _b,
    classNameOverride = _a.classNameOverride,
    props = tslib.__rest(_a, ["variant", "isReversed", "classNameOverride"]);
  return React__default.default.createElement("hr", tslib.__assign({
    "aria-hidden": "true",
    className: classnames__default.default(Divider_module.wrapper, classNameOverride, isReversed && Divider_module.reversed, Divider_module[variant])
  }, props));
};
Divider.displayName = 'Divider';
exports.Divider = Divider;
