'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var classnames = require('classnames');
var BrandMoment = require('../BrandMoment/BrandMoment.cjs');
require('../Illustration/subcomponents/Base/Base.cjs');
require('../Illustration/Scene/BrandMomentCaptureIntro/BrandMomentCaptureIntro.cjs');
var Scene = require('../Illustration/Scene/Scene.cjs');
var Text = require('../Text/Text.cjs');
var Icon = require('../__next__/Icon/Icon.cjs');
var useErrorMessages = require('./hooks/useErrorMessages.cjs');
var ErrorPage_module = require('./ErrorPage.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var getMailToHref = function (code) {
  var supportEmail = 'support@cultureamp.com';
  var subject = 'Houston we have a problem';
  var body = "Hi there,\n\nI received a ".concat(code, " error page while I was trying to...");
  return encodeURI("mailto:".concat(supportEmail, "?subject=").concat(subject, "&amp;body=").concat(body));
};
var HOME_HREF = '/app/home';
var ErrorPage = function (_a) {
  var _b;
  var code = _a.code,
    title = _a.title,
    message = _a.message,
    callToAction = _a.callToAction,
    classNameOverride = _a.classNameOverride;
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var content = useErrorMessages.useErrorMessages(code);
  var actions = {
    primary: {
      href: (_b = callToAction === null || callToAction === void 0 ? void 0 : callToAction.homeHref) !== null && _b !== void 0 ? _b : HOME_HREF
    },
    secondary: (callToAction === null || callToAction === void 0 ? void 0 : callToAction.onContactSupport) ? {
      onClick: callToAction.onContactSupport
    } : {
      href: getMailToHref(code)
    }
  };
  return React__default.default.createElement("div", {
    className: classnames__default.default(classNameOverride)
  }, React__default.default.createElement(BrandMoment.BrandMoment, {
    header: React__default.default.createElement(React__default.default.Fragment, null),
    body: React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement("div", {
      className: ErrorPage_module.paragraphPadding
    }, React__default.default.createElement(Text.Text, {
      variant: "intro-lede"
    }, message !== null && message !== void 0 ? message : content.message)), React__default.default.createElement(Text.Text, {
      color: "dark-reduced-opacity",
      variant: "small"
    }, React__default.default.createElement(i18nReactIntl.FormattedMessage, {
      id: "kzErrorPage.errorCode",
      defaultMessage: "Error code {code}",
      values: {
        code: code
      }
    }))),
    illustration: React__default.default.createElement(Scene.BrandMomentError, {
      isAnimated: true,
      loop: true
    }),
    variant: "warning",
    primaryAction: tslib.__assign(tslib.__assign({}, actions.primary), {
      icon: React__default.default.createElement(Icon.Icon, {
        name: "arrow_forward",
        isPresentational: true,
        shouldMirrorInRTL: true
      }),
      iconPosition: 'end',
      label: formatMessage({
        id: 'kzErrorPage.goToHome',
        defaultMessage: 'Go to Home',
        description: 'Home button label'
      })
    }),
    secondaryAction: tslib.__assign(tslib.__assign({}, actions.secondary), {
      icon: React__default.default.createElement(Icon.Icon, {
        name: "mail",
        isPresentational: true,
        isFilled: true
      }),
      label: formatMessage({
        id: 'kzErrorPage',
        defaultMessage: 'Contact support',
        description: 'Label for contact button'
      })
    }),
    text: {
      title: title !== null && title !== void 0 ? title : content.title
    }
  }));
};
ErrorPage.displayName = 'ErrorPage';
exports.ErrorPage = ErrorPage;
