'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Text = require('../Text/Text.cjs');
var Icon = require('../__next__/Icon/Icon.cjs');
var FieldMessage_module = require('./FieldMessage.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var FieldMessage = function (_a) {
  var message = _a.message,
    _b = _a.status,
    status = _b === void 0 ? 'default' : _b,
    _c = _a.position,
    position = _c === void 0 ? 'bottom' : _c,
    _d = _a.reversed,
    reversed = _d === void 0 ? false : _d,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["message", "status", "position", "reversed", "classNameOverride"]);
  var textColor = status === 'default' || status === 'success' ? reversed ? 'white-reduced-opacity' : 'dark-reduced-opacity' : 'dark';
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(FieldMessage_module.message, FieldMessage_module[status], classNameOverride, reversed && FieldMessage_module.reversed, position === 'bottom' && FieldMessage_module.positionBottom, position === 'top' && FieldMessage_module.positionTop)
  }, restProps), (status === 'error' || status === 'caution') && React__default.default.createElement("span", {
    className: FieldMessage_module.warningIcon
  }, React__default.default.createElement(Icon.Icon, {
    name: status === 'error' ? 'error' : 'warning',
    isFilled: true,
    alt: "".concat(status, " message")
  })), React__default.default.createElement("div", {
    className: FieldMessage_module.message
  }, React__default.default.createElement(Text.Text, {
    variant: "small",
    tag: typeof message === 'string' ? 'p' : 'div',
    color: textColor
  }, message)));
};
FieldMessage.displayName = 'FieldMessage';
exports.FieldMessage = FieldMessage;
