'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var FilterBarContext = require('./context/FilterBarContext.cjs');
var FilterBarDatePicker = require('./subcomponents/FilterBarDatePicker/FilterBarDatePicker.cjs');
var FilterBarDateRangePicker = require('./subcomponents/FilterBarDateRangePicker/FilterBarDateRangePicker.cjs');
var FilterBarMultiSelect = require('./subcomponents/FilterBarMultiSelect/FilterBarMultiSelect.cjs');
var FilterBarSelect = require('./subcomponents/FilterBarSelect/FilterBarSelect.cjs');
var AddFiltersMenu = require('./subcomponents/AddFiltersMenu/AddFiltersMenu.cjs');
var ClearAllButton = require('./subcomponents/ClearAllButton/ClearAllButton.cjs');
var FilterBar_module = require('./FilterBar.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var FilterBar = function (_a) {
  var filters = _a.filters,
    classNameOverride = _a.classNameOverride,
    providerProps = tslib.__rest(_a, ["filters", "classNameOverride"]);
  return React__default.default.createElement(FilterBarContext.FilterBarProvider, tslib.__assign({
    filters: filters
  }, providerProps), function (activeFilters) {
    return React__default.default.createElement("div", {
      className: classnames__default.default(FilterBar_module.filterBar, classNameOverride)
    }, React__default.default.createElement("div", {
      className: FilterBar_module.filtersContainer
    }, Object.values(activeFilters).map(function (_a) {
      var id = _a.id,
        Component = _a.Component;
      return (
        // `id` will always be `string`, but keyof ValuesMap transformed it
        React__default.default.createElement(React__default.default.Fragment, {
          key: id
        }, React__default.default.cloneElement(Component, {
          id: id
        }))
      );
    }), React__default.default.createElement(AddFiltersMenu.AddFiltersMenu, null)), React__default.default.createElement("div", null, React__default.default.createElement(ClearAllButton.ClearAllButton, null)));
  });
};
FilterBar.displayName = 'FilterBar';
FilterBar.DatePicker = FilterBarDatePicker.FilterBarDatePicker;
FilterBar.DateRangePicker = FilterBarDateRangePicker.FilterBarDateRangePicker;
FilterBar.MultiSelect = FilterBarMultiSelect.FilterBarMultiSelect;
FilterBar.Select = FilterBarSelect.FilterBarSelect;
exports.FilterBar = FilterBar;
