'use strict';

var tslib = require('tslib');
var updateDependentFilters = require('../utils/updateDependentFilters.cjs');
var updateSingleFilter = require('./updateSingleFilter.cjs');
var updateValues = require('./updateValues.cjs');
var filterBarStateReducer = function (state, action) {
  switch (action.type) {
    case 'set_focus':
      return tslib.__assign(tslib.__assign({}, state), {
        focusId: action.id
      });
    case 'update_values':
      return tslib.__assign({}, updateValues.updateValues(state, action.values));
    case 'complete_update_values':
      return tslib.__assign(tslib.__assign({}, state), {
        hasUpdatedValues: false
      });
    case 'update_single_filter':
      return tslib.__assign(tslib.__assign({}, state), {
        filters: updateSingleFilter.updateSingleFilter(state, action.id, action.data)
      });
    case 'activate_filter':
      state.activeFilterIds.add(action.id);
      return tslib.__assign({}, updateDependentFilters.updateDependentFilters(state));
    case 'deactivate_filter':
      state.activeFilterIds.delete(action.id);
      delete state.values[action.id];
      return tslib.__assign(tslib.__assign({}, updateDependentFilters.updateDependentFilters(state)), {
        hasUpdatedValues: true
      });
    case 'update_filter_labels':
      return tslib.__assign(tslib.__assign({}, state), {
        filters: Object.values(state.filters).reduce(function (acc, filter) {
          var _a, _b;
          acc[filter.id] = tslib.__assign(tslib.__assign({}, filter), {
            name: (_b = (_a = action.data.find(function (_a) {
              var id = _a.id;
              return id === filter.id;
            })) === null || _a === void 0 ? void 0 : _a.name) !== null && _b !== void 0 ? _b : filter.name
          });
          return acc;
        }, {})
      });
  }
};
exports.filterBarStateReducer = filterBarStateReducer;
