'use strict';

var checkArraysMatch = function (a1, a2) {
  if (a1.length !== a2.length) return false;
  return a1.every(function (v, i) {
    return v === a2[i];
  });
};
var checkShouldUpdateValues = function (state, values) {
  return Object.values(state.filters).some(function (_a) {
    var id = _a.id;
    var stateValue = state.values[id];
    var value = values[id];
    if (Array.isArray(stateValue) && Array.isArray(value)) {
      return !checkArraysMatch(stateValue, value);
    }
    return stateValue !== value;
  });
};
exports.checkShouldUpdateValues = checkShouldUpdateValues;
