'use strict';

var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var Button = require('../../../../Button/Button/Button.cjs');
require('../../../../Button/IconButton/IconButton.cjs');
var index = require('../../../../Menu/index.cjs');
var Icon = require('../../../../__next__/Icon/Icon.cjs');
var FilterBarContext = require('../../context/FilterBarContext.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var AddFiltersMenu = function () {
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var buttonRef = React.useRef(null);
  var menuButtonLabel = formatMessage({
    id: 'filterBar.addFiltersMenu.buttonLabel',
    defaultMessage: 'Add filters',
    description: 'Menu button label to show additional available filter options'
  });
  var _a = FilterBarContext.useFilterBarContext(),
    getInactiveFilters = _a.getInactiveFilters,
    showFilter = _a.showFilter,
    focusId = _a.focusId,
    setFocus = _a.setFocus;
  var inactiveFilters = getInactiveFilters();
  React.useEffect(function () {
    var _a;
    if (focusId === 'add_filter') {
      (_a = buttonRef.current) === null || _a === void 0 ? void 0 : _a.focus();
      setFocus(undefined);
    }
  }, [focusId, setFocus]);
  return React__default.default.createElement(index.Menu, {
    button: React__default.default.createElement(Button.Button, {
      ref: buttonRef,
      label: menuButtonLabel,
      secondary: true,
      disabled: inactiveFilters.length === 0,
      icon: React__default.default.createElement(Icon.Icon, {
        name: "add",
        isPresentational: true
      })
    })
  }, React__default.default.createElement(index.MenuList, null, inactiveFilters.map(function (_a) {
    var id = _a.id,
      name = _a.name;
    return React__default.default.createElement(index.MenuItem, {
      key: id,
      label: name,
      onClick: function () {
        return showFilter(id);
      }
    });
  })));
};
AddFiltersMenu.displayName = 'FilterBar.AddFiltersMenu';
exports.AddFiltersMenu = AddFiltersMenu;
