'use strict';

var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var classnames = require('classnames');
var Button = require('../../../../Button/Button/Button.cjs');
require('../../../../Button/IconButton/IconButton.cjs');
var FilterBarContext = require('../../context/FilterBarContext.cjs');
var ClearAllButton_module = require('./ClearAllButton.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var ClearAllButton = function () {
  var _a;
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var clearButtonLabel = formatMessage({
    id: 'filterBar.clearAllButton.label',
    defaultMessage: 'Clear all',
    description: 'Button label to clear all values within the filter bar'
  });
  var clearButtonAriaLabel = formatMessage({
    id: 'filterBar.clearAllButton.ariaLabel',
    defaultMessage: 'Clear all filters',
    description: 'Button aria-label to clear all values within the filter bar'
  });
  var _b = FilterBarContext.useFilterBarContext(),
    clearAllFilters = _b.clearAllFilters,
    isClearable = _b.isClearable;
  return React__default.default.createElement(Button.Button, {
    label: clearButtonLabel,
    "aria-label": clearButtonAriaLabel,
    classNameOverride: classnames__default.default(ClearAllButton_module.clearAllButton, (_a = {}, _a[ClearAllButton_module.hidden] = !isClearable, _a)),
    secondary: true,
    onClick: clearAllFilters
  });
};
ClearAllButton.displayName = 'FilterBar.ClearAllButton';
exports.ClearAllButton = ClearAllButton;
