'use strict';

var tslib = require('tslib');
var React = require('react');
var FilterDatePicker = require('../../../FilterDatePicker/FilterDatePicker.cjs');
require('classnames');
require('../../../../Calendar/CalendarSingle/CalendarSingle.cjs');
require('../../../../Calendar/CalendarRange/CalendarRange.cjs');
require('date-fns');
require('react-day-picker');
require('date-fns/locale');
require('../../../../LabelledMessage/LabelledMessage.cjs');
require('@cultureamp/i18n-react-intl');
require('../../../FilterDatePicker/subcomponents/DateInputField/DateInputField.cjs');
var FilterBarContext = require('../../context/FilterBarContext.cjs');
var FilterBarButton = require('../FilterBarButton/FilterBarButton.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var FilterBarDatePicker = function (_a) {
  var id = _a.id,
    onDateChange = _a.onDateChange,
    _b = _a.locale,
    locale = _b === void 0 ? 'en-AU' : _b,
    props = tslib.__rest(_a, ["id", "onDateChange", "locale"]);
  var _c = FilterBarContext.useFilterBarContext(),
    getFilterState = _c.getFilterState,
    setFilterOpenState = _c.setFilterOpenState,
    updateValue = _c.updateValue;
  if (!id) throw Error('Missing `id` prop in FilterBarDatePicker');
  var filterState = getFilterState(id);
  return React__default.default.createElement(FilterDatePicker.FilterDatePicker, tslib.__assign({}, props, {
    id: id,
    locale: locale,
    selectedDate: filterState.value,
    label: filterState.name,
    renderTrigger: function (triggerProps) {
      return React__default.default.createElement(FilterBarButton.FilterBarButton, tslib.__assign({}, triggerProps, {
        filterId: id,
        isRemovable: filterState.isRemovable
      }));
    },
    onDateChange: function (key) {
      updateValue(id, key);
      onDateChange === null || onDateChange === void 0 ? void 0 : onDateChange(key);
    },
    isOpen: filterState.isOpen,
    setIsOpen: function (open) {
      return setFilterOpenState(id, open);
    }
  }));
};
FilterBarDatePicker.displayName = 'FilterBar.DatePicker';
exports.FilterBarDatePicker = FilterBarDatePicker;
