'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Icon = require('../../../__next__/Icon/Icon.cjs');
var isRefObject = require('../../../utils/isRefObject.cjs');
var FilterButtonBase = require('../subcomponents/FilterButtonBase/FilterButtonBase.cjs');
var FilterButton_module = require('./FilterButton.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var FilterButton = React.forwardRef(function (_a, ref) {
  var label = _a.label,
    selectedValue = _a.selectedValue,
    _b = _a.isOpen,
    isOpen = _b === void 0 ? false : _b,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["label", "selectedValue", "isOpen", "classNameOverride"]);
  var customRefObject = isRefObject.isRefObject(ref) ? ref.current : null;
  var triggerRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.triggerRef;
  var selectedValuesLabel = selectedValue;
  return React__default.default.createElement(FilterButtonBase.FilterButtonBase, tslib.__assign({
    ref: triggerRef,
    classNameOverride: classnames__default.default(FilterButton_module.filterButton, classNameOverride),
    "aria-haspopup": "true",
    "aria-expanded": isOpen
  }, restProps), React__default.default.createElement("span", {
    className: FilterButton_module.labelContainer
  }, selectedValuesLabel ? React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement("span", {
    className: FilterButton_module.hasSelectedValues
  }, React__default.default.createElement("span", null, label), React__default.default.createElement("span", {
    className: FilterButton_module.labelSeparator
  }, ":")), React__default.default.createElement("span", null, selectedValuesLabel)) : label), React__default.default.createElement(Icon.Icon, {
    name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
    isPresentational: true
  }));
});
FilterButton.displayName = 'FilterButton';
exports.FilterButton = FilterButton;
