'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var DateInput = require('../../../../DateInput/DateInput/DateInput.cjs');
var DateInputDescription = require('../../../../DateInput/DateInputDescription/DateInputDescription.cjs');
require('../../../../DateInput/DateInputWithIconButton/DateInputWithIconButton.cjs');
var FieldMessage = require('../../../../FieldMessage/FieldMessage.cjs');
var DateInputField_module = require('./DateInputField.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var DateInputField = React__default.default.forwardRef(function (_a, ref) {
  var id = _a.id,
    labelText = _a.labelText,
    description = _a.description,
    disabled = _a.disabled,
    _b = _a.isReversed,
    isReversed = _b === void 0 ? false : _b,
    validationMessage = _a.validationMessage,
    locale = _a.locale,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["id", "labelText", "description", "disabled", "isReversed", "validationMessage", "locale", "classNameOverride"]);
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var dateInputLabelFallback = formatMessage({
    id: 'filterDatePickerDateInputField.dateInputLabelFallback',
    defaultMessage: 'Date',
    description: 'Default label for date input field'
  });
  var descriptionId = "".concat(id, "--field-message");
  var errorMessageId = validationMessage ? "".concat(id, "--date-error-message") : undefined;
  var inputDescribedBy = errorMessageId ? "".concat(errorMessageId, " ").concat(descriptionId) : descriptionId;
  var dateIsInvalid = errorMessageId !== undefined;
  return React__default.default.createElement("div", null, React__default.default.createElement(DateInput.DateInput, tslib.__assign({
    ref: ref,
    id: id,
    labelText: labelText !== null && labelText !== void 0 ? labelText : dateInputLabelFallback,
    "aria-describedby": inputDescribedBy,
    "aria-errormessage": errorMessageId,
    "aria-invalid": dateIsInvalid,
    autoComplete: "off",
    disabled: disabled,
    status: validationMessage === null || validationMessage === void 0 ? void 0 : validationMessage.status,
    classNameOverride: classNameOverride
  }, restProps)), validationMessage && React__default.default.createElement(FieldMessage.FieldMessage, {
    id: errorMessageId,
    message: validationMessage === null || validationMessage === void 0 ? void 0 : validationMessage.message,
    status: validationMessage === null || validationMessage === void 0 ? void 0 : validationMessage.status,
    reversed: isReversed
  }), React__default.default.createElement(FieldMessage.FieldMessage, {
    id: descriptionId,
    message: React__default.default.createElement(DateInputDescription.DateInputDescription, {
      description: description,
      locale: locale
    }),
    reversed: isReversed,
    classNameOverride: disabled ? DateInputField_module.disabled : undefined
  }));
});
DateInputField.displayName = 'DateInputField';
exports.DateInputField = DateInputField;
