'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var getLocale = require('../../DatePicker/utils/getLocale.cjs');
var Filter = require('../Filter/Filter.cjs');
var FilterContents = require('../Filter/subcomponents/FilterContents/FilterContents.cjs');
var DateRangeDisplayLabel = require('./subcomponents/DateRangeDisplayLabel/DateRangeDisplayLabel.cjs');
var FilterDateRangePickerField = require('./subcomponents/FilterDateRangePickerField/FilterDateRangePickerField.cjs');
var isValidRange = require('./subcomponents/FilterDateRangePickerField/utils/isValidRange.cjs');
var isCompleteDateRange = require('./utils/isCompleteDateRange.cjs');
var FilterDateRangePicker_module = require('./FilterDateRangePicker.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var FilterDateRangePicker = function (_a) {
  var propsId = _a.id,
    isOpen = _a.isOpen,
    setIsOpen = _a.setIsOpen,
    renderTrigger = _a.renderTrigger,
    selectedRange = _a.selectedRange,
    label = _a.label,
    locale = _a.locale,
    restProps = tslib.__rest(_a, ["id", "isOpen", "setIsOpen", "renderTrigger", "selectedRange", "label", "locale"]);
  var reactId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : reactId;
  return React__default.default.createElement(Filter.Filter, {
    isOpen: isOpen,
    setIsOpen: setIsOpen,
    renderTrigger: function (triggerProps) {
      return renderTrigger(tslib.__assign({
        selectedValue: isCompleteDateRange.isCompleteDateRange(selectedRange) && isValidRange.isValidRange(selectedRange.from, selectedRange.to) ? React__default.default.createElement(DateRangeDisplayLabel.DateRangeDisplayLabel, {
          dateRange: selectedRange,
          locale: getLocale.getLocale(locale)
        }) : undefined,
        label: label
      }, triggerProps));
    }
  }, React__default.default.createElement(FilterContents.FilterContents, {
    classNameOverride: classnames__default.default(FilterDateRangePicker_module.filterDateRangePickerContents)
  }, React__default.default.createElement(FilterDateRangePickerField.FilterDateRangePickerField, tslib.__assign({
    id: "".concat(id, "--input"),
    label: label,
    locale: locale,
    selectedRange: selectedRange
  }, restProps))));
};
FilterDateRangePicker.displayName = 'FilterDateRangePicker';
exports.FilterDateRangePicker = FilterDateRangePicker;
