'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var DateInput = require('../../../../DateInput/DateInput/DateInput.cjs');
var DateInputDescription = require('../../../../DateInput/DateInputDescription/DateInputDescription.cjs');
require('../../../../DateInput/DateInputWithIconButton/DateInputWithIconButton.cjs');
var FieldMessage = require('../../../../FieldMessage/FieldMessage.cjs');
var VisuallyHidden = require('../../../../VisuallyHidden/VisuallyHidden.cjs');
var isRefObject = require('../../../../utils/isRefObject.cjs');
var DateRangeValidationMessage = require('../DateRangeValidationMessage/DateRangeValidationMessage.cjs');
var DateRangeInputField_module = require('./DateRangeInputField.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var DateRangeInputField = React__default.default.forwardRef(function (_a, ref) {
  var _b, _c;
  var id = _a.id,
    legend = _a.legend,
    inputStartDateProps = _a.inputStartDateProps,
    inputEndDateProps = _a.inputEndDateProps,
    description = _a.description,
    disabled = _a.disabled,
    _d = _a.isReversed,
    isReversed = _d === void 0 ? false : _d,
    validationMessage = _a.validationMessage,
    locale = _a.locale,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["id", "legend", "inputStartDateProps", "inputEndDateProps", "description", "disabled", "isReversed", "validationMessage", "locale", "classNameOverride"]);
  var customRefObject = isRefObject.isRefObject(ref) ? ref.current : null;
  var inputStartDateRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.inputStartDateRef;
  var inputEndDateRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.inputEndDateRef;
  var descriptionId = "".concat(id, "--field-message");
  // Date Start aria labels
  var dateStartErrorMessageId = (validationMessage === null || validationMessage === void 0 ? void 0 : validationMessage.dateStart) ? "".concat(id, "--date-start-error-message") : undefined;
  var dateStartInputDescribedBy = dateStartErrorMessageId ? "".concat(dateStartErrorMessageId, " ").concat(descriptionId) : descriptionId;
  var dateStartIsInvalid = dateStartErrorMessageId !== undefined;
  // Date End aria labels
  var dateEndErrorMessageId = (validationMessage === null || validationMessage === void 0 ? void 0 : validationMessage.dateEnd) ? "".concat(id, "--date-end-error-message") : undefined;
  var dateEndInputDescribedBy = dateEndErrorMessageId ? "".concat(dateEndErrorMessageId, " ").concat(descriptionId) : descriptionId;
  var dateEndIsInvalid = dateEndErrorMessageId !== undefined;
  return React__default.default.createElement("div", tslib.__assign({
    className: classNameOverride
  }, restProps), React__default.default.createElement("fieldset", {
    className: DateRangeInputField_module.dateRangeInputContainer
  }, React__default.default.createElement("legend", null, React__default.default.createElement(VisuallyHidden.VisuallyHidden, null, legend)), React__default.default.createElement(DateInput.DateInput, tslib.__assign({
    ref: inputStartDateRef,
    id: "".concat(id, "--from"),
    "aria-describedby": dateStartInputDescribedBy,
    "aria-errormessage": dateStartErrorMessageId,
    "aria-invalid": dateStartIsInvalid,
    autoComplete: "off",
    disabled: disabled,
    status: (_b = validationMessage === null || validationMessage === void 0 ? void 0 : validationMessage.dateStart) === null || _b === void 0 ? void 0 : _b.status
  }, inputStartDateProps, {
    classNameOverride: classnames__default.default(DateRangeInputField_module.inputStartDate, inputStartDateProps.classNameOverride)
  })), React__default.default.createElement(DateInput.DateInput, tslib.__assign({
    ref: inputEndDateRef,
    id: "".concat(id, "--to"),
    "aria-describedby": dateEndInputDescribedBy,
    "aria-errormessage": dateEndErrorMessageId,
    "aria-invalid": dateEndIsInvalid,
    autoComplete: "off",
    disabled: disabled,
    status: (_c = validationMessage === null || validationMessage === void 0 ? void 0 : validationMessage.dateEnd) === null || _c === void 0 ? void 0 : _c.status
  }, inputEndDateProps, {
    classNameOverride: classnames__default.default(DateRangeInputField_module.inputEndDate, inputEndDateProps.classNameOverride)
  }))), validationMessage && React__default.default.createElement(DateRangeValidationMessage.DateRangeValidationMessage, {
    validationMessage: validationMessage,
    isReversed: isReversed,
    dateStartId: dateStartErrorMessageId,
    dateEndId: dateEndErrorMessageId
  }), React__default.default.createElement(FieldMessage.FieldMessage, {
    id: descriptionId,
    message: React__default.default.createElement(DateInputDescription.DateInputDescription, {
      description: description,
      locale: locale
    }),
    reversed: isReversed,
    classNameOverride: disabled ? DateRangeInputField_module.disabled : undefined
  }));
});
DateRangeInputField.displayName = 'DateRangeInputField';
exports.DateRangeInputField = DateRangeInputField;
