'use strict';

var React = require('react');
var FieldMessage = require('../../../../FieldMessage/FieldMessage.cjs');
var DateRangeValidationMessage_module = require('./DateRangeValidationMessage.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var DateRangeValidationMessage = function (_a) {
  var validationMessage = _a.validationMessage,
    dateStartId = _a.dateStartId,
    dateEndId = _a.dateEndId,
    isReversed = _a.isReversed;
  if (!validationMessage) return null;
  var dateStart = validationMessage.dateStart;
  var dateEnd = validationMessage.dateEnd;
  if (dateStart && dateEnd) {
    if (dateStart.status === dateEnd.status) {
      return React__default.default.createElement(FieldMessage.FieldMessage, {
        message: React__default.default.createElement("ul", {
          className: DateRangeValidationMessage_module.fieldMessageList
        }, React__default.default.createElement("li", {
          id: dateStartId
        }, dateStart.message), React__default.default.createElement("li", {
          id: dateEndId
        }, dateEnd.message)),
        status: dateStart.status || dateEnd.status,
        reversed: isReversed
      });
    }
    return React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement(FieldMessage.FieldMessage, {
      id: dateStartId,
      message: dateStart.message,
      status: dateStart.status,
      reversed: isReversed
    }), React__default.default.createElement(FieldMessage.FieldMessage, {
      id: dateEndId,
      message: dateEnd.message,
      status: dateEnd.status,
      reversed: isReversed
    }));
  }
  if (dateStart) {
    return React__default.default.createElement(FieldMessage.FieldMessage, {
      id: dateStartId,
      message: dateStart.message,
      status: dateStart.status,
      reversed: isReversed
    });
  }
  if (dateEnd) {
    return React__default.default.createElement(FieldMessage.FieldMessage, {
      id: dateEndId,
      message: dateEnd.message,
      status: dateEnd.status,
      reversed: isReversed
    });
  }
  return null;
};
DateRangeValidationMessage.displayName = 'DateRangeValidationMessage';
exports.DateRangeValidationMessage = DateRangeValidationMessage;
