'use strict';

require('../../../../FilterDatePicker/FilterDatePicker.cjs');
require('tslib');
require('react');
require('classnames');
require('../../../../../Calendar/CalendarSingle/CalendarSingle.cjs');
require('../../../../../Calendar/CalendarRange/CalendarRange.cjs');
require('date-fns');
require('react-day-picker');
require('date-fns/locale');
var useDateValidation = require('../../../../FilterDatePicker/hooks/useDateValidation.cjs');
require('../../../../FilterDatePicker/subcomponents/DateInputField/DateInputField.cjs');
require('../../../../../LabelledMessage/LabelledMessage.cjs');
require('@cultureamp/i18n-react-intl');
var validateEndDateBeforeStartDate = require('../utils/validateEndDateBeforeStartDate.cjs');
var useEndDateValidation = function (args) {
  var _a = useDateValidation.useDateValidation(args),
    validationMessage = _a.validationMessage,
    validateDate = _a.validateDate,
    updateValidation = _a.updateValidation;
  var handleValidateEndDateBeforeStartDate = function (handlerArgs) {
    var _a = validateEndDateBeforeStartDate.validateEndDateBeforeStartDate(handlerArgs),
      validationResponse = _a.validationResponse,
      newDate = _a.newDate;
    updateValidation(validationResponse);
    return newDate;
  };
  var validateEndDate = function (_a) {
    var endDate = _a.endDate,
      endDateInputValue = _a.endDateInputValue,
      startDate = _a.startDate,
      startDateFieldLabel = _a.startDateFieldLabel;
    var _b = validateDate({
        date: endDate,
        inputValue: endDateInputValue
      }),
      validationResponse = _b.validationResponse,
      newDate = _b.newDate;
    if (validationResponse.isValidDate) {
      if (newDate && startDate) {
        return handleValidateEndDateBeforeStartDate({
          startDate: startDate,
          startDateFieldLabel: startDateFieldLabel,
          endDate: newDate,
          endDateInputValue: endDateInputValue
        });
      }
    }
    updateValidation(validationResponse);
    return newDate;
  };
  return {
    validationMessage: validationMessage,
    validateDate: validateEndDate,
    validateEndDateBeforeStartDate: handleValidateEndDateBeforeStartDate
  };
};
exports.useEndDateValidation = useEndDateValidation;
