'use strict';

var tslib = require('tslib');
var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var getNodeText = require('../../../../../utils/getNodeText.cjs');
var isValidRange = require('./isValidRange.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var validateEndDateBeforeStartDate = function (_a) {
  var startDate = _a.startDate,
    startDateFieldLabel = _a.startDateFieldLabel,
    endDate = _a.endDate,
    endDateInputValue = _a.endDateInputValue;
  var baseResponse = {
    date: endDate,
    inputValue: endDateInputValue,
    validationMessage: undefined,
    isInvalid: false,
    isDisabled: false,
    isEmpty: false,
    isValidDate: true
  };
  if (!isValidRange.isValidRange(startDate, endDate)) {
    return {
      validationResponse: tslib.__assign(tslib.__assign({}, baseResponse), {
        validationMessage: {
          status: 'error',
          message: React__default.default.createElement(i18nReactIntl.FormattedMessage, {
            id: "date.validation.rangeEndBeforeRangeStart",
            defaultMessage: 'Cannot be earlier than the selection in "{startDateFieldLabel}"',
            description: "Error message when the user tries to select an end date earlier than the start date",
            values: {
              startDateFieldLabel: getNodeText.getNodeText(startDateFieldLabel)
            }
          })
        }
      }),
      newDate: endDate
    };
  }
  return {
    validationResponse: baseResponse,
    newDate: endDate
  };
};
exports.validateEndDateBeforeStartDate = validateEndDateBeforeStartDate;
