'use strict';

var tslib = require('tslib');
var React = require('react');
var focus = require('@react-aria/focus');
var overlays = require('@react-aria/overlays');
var MenuTriggerProvider = require('../../context/MenuTriggerProvider/MenuTriggerProvider.cjs');
require('../../context/SelectionProvider/SelectionProvider.cjs');
var MenuPopup_module = require('./MenuPopup.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var MenuPopup = function (_a) {
  var isLoading = _a.isLoading,
    loadingSkeleton = _a.loadingSkeleton,
    children = _a.children;
  var menuTriggerState = MenuTriggerProvider.useMenuTriggerContext().menuTriggerState;
  var onClose = function () {
    return menuTriggerState.close();
  };
  // Handle events that should cause the menu to close,
  // e.g. blur, clicking outside, or pressing the escape key.
  var overlayRef = React__default.default.createRef();
  var overlayProps = overlays.useOverlay({
    onClose: onClose,
    isOpen: menuTriggerState.isOpen,
    isDismissable: true
  }, overlayRef).overlayProps;
  // Wrap in <FocusScope> so that focus is restored back to the trigger when the menu is closed
  // and auto focus on the first focusable item after loading. (disable eslint no-autofocus error for it)
  // In addition, add hidden <DismissButton> components at the start and end of the list
  // to allow screen reader users to dismiss the popup easily.
  return menuTriggerState.isOpen ? React__default.default.createElement("div", tslib.__assign({}, overlayProps, {
    ref: overlayRef,
    className: MenuPopup_module.menuPopup
  }), isLoading && loadingSkeleton ? React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement(overlays.DismissButton, {
    onDismiss: onClose
  }), loadingSkeleton, React__default.default.createElement(overlays.DismissButton, {
    onDismiss: onClose
  })) :
  // eslint-disable-next-line jsx-a11y/no-autofocus
  React__default.default.createElement(focus.FocusScope, {
    contain: true,
    autoFocus: true,
    restoreFocus: true
  }, React__default.default.createElement(overlays.DismissButton, {
    onDismiss: onClose
  }), children, React__default.default.createElement(overlays.DismissButton, {
    onDismiss: onClose
  }))) : React__default.default.createElement(React__default.default.Fragment, null);
};
MenuPopup.displayName = 'FilterMultiSelect.MenuPopup';
exports.MenuPopup = MenuPopup;
