'use strict';

var React = require('react');
var i18nReactIntl = require('@cultureamp/i18n-react-intl');
var InputSearch = require('../../../../Input/InputSearch/InputSearch.cjs');
require('../../context/MenuTriggerProvider/MenuTriggerProvider.cjs');
var SelectionProvider = require('../../context/SelectionProvider/SelectionProvider.cjs');
var SearchInput_module = require('./SearchInput.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var SearchInput = function (_a) {
  var label = _a.label,
    id = _a.id,
    isLoading = _a.isLoading;
  var formatMessage = i18nReactIntl.useIntl().formatMessage;
  var _b = SelectionProvider.useSelectionContext(),
    setSearchQuery = _b.setSearchQuery,
    searchQuery = _b.searchQuery;
  var handleChange = function (e) {
    setSearchQuery(e.target.value);
  };
  var handleClear = function () {
    return setSearchQuery('');
  };
  var reactId = React.useId();
  var inputId = id !== null && id !== void 0 ? id : reactId;
  var defaultAriaLabel = formatMessage({
    id: 'filterMultiSelectSearchInput.label',
    defaultMessage: 'Filter options by search query',
    description: 'Label for the search input'
  });
  var placeholder = formatMessage({
    id: 'filterMultiSelectSearchInput.placeholder',
    defaultMessage: 'Search…',
    description: 'Placeholder for the search input'
  });
  return React__default.default.createElement("div", {
    className: SearchInput_module.inputSearchContainer
  }, React__default.default.createElement(InputSearch.InputSearch, {
    id: inputId,
    "aria-label": label !== null && label !== void 0 ? label : defaultAriaLabel,
    secondary: true,
    placeholder: placeholder,
    value: searchQuery,
    onChange: handleChange,
    onClear: handleClear,
    loading: isLoading
  }));
};
SearchInput.displayName = 'FilterMultiSelect.SearchInput';
exports.SearchInput = SearchInput;
