'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
require('../../../../FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.cjs');
require('../../../../FilterButton/FilterButton/FilterButton.cjs');
var FilterButtonRemovable = require('../../../../FilterButton/FilterButtonRemovable/FilterButtonRemovable.cjs');
var MenuTriggerProvider = require('../../../context/MenuTriggerProvider/MenuTriggerProvider.cjs');
require('../../../context/SelectionProvider/SelectionProvider.cjs');
var getTruncatedLabel = require('../../../utils/getTruncatedLabel.cjs');
var RemovableFilterTrigger_module = require('./RemovableFilterTrigger.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var RemovableFilterTrigger = function (_a) {
  var label = _a.label,
    selectedOptionLabels = _a.selectedOptionLabels,
    _b = _a.labelCharacterLimitBeforeTruncate,
    labelCharacterLimitBeforeTruncate = _b === void 0 ? 50 : _b,
    classNameOverride = _a.classNameOverride,
    onRemove = _a.onRemove;
  var _c = MenuTriggerProvider.useMenuTriggerContext(),
    buttonProps = _c.buttonProps,
    buttonRef = _c.buttonRef,
    menuTriggerState = _c.menuTriggerState;
  var ref = React.useRef({
    triggerRef: buttonRef
  });
  return React__default.default.createElement(FilterButtonRemovable.FilterButtonRemovable, {
    ref: ref,
    classNameOverride: classnames__default.default(RemovableFilterTrigger_module.filterButtonRemovable, classNameOverride),
    triggerButtonProps: tslib.__assign(tslib.__assign({}, buttonProps), {
      label: label,
      selectedValue: getTruncatedLabel.getTruncatedLabels(selectedOptionLabels, labelCharacterLimitBeforeTruncate),
      isOpen: menuTriggerState.isOpen
    }),
    removeButtonProps: {
      onClick: onRemove
    }
  });
};
RemovableFilterTrigger.displayName = 'FilterMultiSelect.RemovableTrigger';
exports.RemovableFilterTrigger = RemovableFilterTrigger;
