'use strict';

var tslib = require('tslib');
var React = require('react');
var Base = require('../../subcomponents/Base/Base.cjs');
var VideoPlayer = require('../../subcomponents/VideoPlayer/VideoPlayer.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * This component is a snowflake. It plays two assets one after the other:
 *  - An "initial" animation that is only ever played once, never looping
 *  - An "ambient" animation that can be looped, depending on the props passed into it
 */
var BrandMomentCaptureIntro = function (_a) {
  var isAnimated = _a.isAnimated,
    alt = _a.alt,
    enableAspectRatio = _a.enableAspectRatio,
    otherProps = tslib.__rest(_a, ["isAnimated", "alt", "enableAspectRatio"]);
  var _b = React.useState(false),
    firstAnimationComplete = _b[0],
    setFirstAnimationComplete = _b[1];
  var aspectRatio = enableAspectRatio ? 'landscape' : undefined;
  if (!isAnimated) {
    return React__default.default.createElement(Base.Base, tslib.__assign({
      aspectRatio: aspectRatio,
      alt: alt !== null && alt !== void 0 ? alt : ''
    }, otherProps, {
      name: "illustrations/heart/scene/brand-moments-capture-intro-loop.png"
    }));
  }
  if (firstAnimationComplete) {
    return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({}, otherProps, {
      aspectRatio: aspectRatio,
      fallback: "illustrations/heart/scene/brand-moments-capture-intro-loop",
      source: "illustrations/heart/scene/brand-moments-capture-intro-loop",
      autoplay: firstAnimationComplete ? otherProps.autoplay : false
    }));
  }
  return React__default.default.createElement(VideoPlayer.VideoPlayer, tslib.__assign({}, otherProps, {
    aspectRatio: aspectRatio,
    fallback: "illustrations/heart/scene/brand-moments-capture-intro",
    source: "illustrations/heart/scene/brand-moments-capture-intro",
    onEnded: function () {
      return setFirstAnimationComplete(true);
    },
    loop: false
  }));
};
BrandMomentCaptureIntro.displayName = 'BrandMomentCaptureIntro';
exports.BrandMomentCaptureIntro = BrandMomentCaptureIntro;
