'use strict';

var React = require('react');
var Icon = require('../../__next__/Icon/Icon.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var usePausePlay = function (videoRef) {
  var _a = React.useState(false),
    isPaused = _a[0],
    setPaused = _a[1];
  return {
    toggle: function () {
      if (!videoRef.current) return;
      if (videoRef.current.paused) {
        setPaused(false);
        videoRef.current.play();
      } else {
        setPaused(true);
        videoRef.current.pause();
      }
    },
    icon: React__default.default.createElement(Icon.Icon, {
      name: isPaused ? 'play_circle' : 'pause',
      isPresentational: true,
      isFilled: true
    }),
    label: isPaused ? 'Play animation' : 'Pause animation'
  };
};
exports.usePausePlay = usePausePlay;
