'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Input_module = require('./Input.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var Input = function (_a) {
  var inputRef = _a.inputRef,
    _b = _a.status,
    status = _b === void 0 ? 'default' : _b,
    startIconAdornment = _a.startIconAdornment,
    endIconAdornment = _a.endIconAdornment,
    _c = _a.reversed,
    reversed = _c === void 0 ? false : _c,
    _d = _a.type,
    type = _d === void 0 ? 'text' : _d,
    value = _a.value,
    defaultValue = _a.defaultValue,
    classNameOverride = _a.classNameOverride,
    disabled = _a.disabled,
    restProps = tslib.__rest(_a, ["inputRef", "status", "startIconAdornment", "endIconAdornment", "reversed", "type", "value", "defaultValue", "classNameOverride", "disabled"]);
  return React__default.default.createElement("div", {
    className: classnames__default.default(Input_module.wrapper, reversed && Input_module.withReversed, disabled && Input_module.withDisabled, startIconAdornment && Input_module.withStartIconAdornment, endIconAdornment && Input_module.withEndIconAdornment, status != 'default' && Input_module.hasStatus)
  }, startIconAdornment && React__default.default.createElement("div", {
    className: Input_module.startIconAdornment
  }, startIconAdornment), React__default.default.createElement("input", tslib.__assign({
    ref: inputRef,
    type: type,
    value: value,
    defaultValue: defaultValue,
    disabled: disabled,
    className: classnames__default.default(Input_module.input, Input_module[status], classNameOverride, reversed ? Input_module.reversed : Input_module.default, disabled && Input_module.disabled)
  }, restProps)), endIconAdornment && React__default.default.createElement("div", {
    className: Input_module.endIconAdornment
  }, endIconAdornment));
};
Input.displayName = 'Input';
exports.Input = Input;
