'use strict';

var tslib = require('tslib');
var React = require('react');
var reactAriaComponents = require('react-aria-components');
var mergeClassNames = require('../utils/mergeClassNames.cjs');
var LinkContent = require('./subcomponents/LinkContent.cjs');
var Link_module = require('./Link.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var Link = React.forwardRef(function (_a, ref) {
  var children = _a.children,
    _b = _a.variant,
    variant = _b === void 0 ? 'primary' : _b,
    _c = _a.size,
    size = _c === void 0 ? 'body' : _c,
    icon = _a.icon,
    _d = _a.iconPosition,
    iconPosition = _d === void 0 ? 'end' : _d,
    _e = _a.isInline,
    isInline = _e === void 0 ? false : _e,
    isDisabled = _a.isDisabled,
    className = _a.className,
    _f = _a.isUnderlined,
    isUnderlined = _f === void 0 ? true : _f,
    otherProps = tslib.__rest(_a, ["children", "variant", "size", "icon", "iconPosition", "isInline", "isDisabled", "className", "isUnderlined"]);
  var childIsFunction = typeof children === 'function';
  return React__default.default.createElement(reactAriaComponents.Link, tslib.__assign({
    ref: ref,
    className: mergeClassNames.mergeClassNames(Link_module.link, isDisabled && Link_module.isDisabled, isInline ? Link_module.isInline : Link_module[size], Link_module[variant], className),
    isDisabled: isDisabled
  }, otherProps), function (racStateProps) {
    return React__default.default.createElement(LinkContent.LinkContent, {
      icon: icon,
      iconPosition: iconPosition,
      isUnderlined: isUnderlined
    }, childIsFunction ? children(racStateProps) : children);
  });
});
Link.displayName = 'Link';
exports.Link = Link;
