'use strict';

var tslib = require('tslib');
var React = require('react');
var reactAriaComponents = require('react-aria-components');
require('classnames');
require('../Loading/LoadingGraphic/LoadingGraphic.cjs');
require('../Loading/LoadingHeading/LoadingHeading.cjs');
require('../Loading/LoadingInput/LoadingInput.cjs');
require('../Loading/LoadingParagraph/LoadingParagraph.cjs');
require('../Loading/LoadingSpinner/LoadingSpinner.cjs');
require('../VisuallyHidden/VisuallyHidden.cjs');
var ButtonContent = require('../__next__/Button/subcomponents/ButtonContent/ButtonContent.cjs');
var ReversedColors = require('../utils/ReversedColors/ReversedColors.cjs');
var mergeClassNames = require('../utils/mergeClassNames.cjs');
var Button_module = require('../__next__/Button/Button.module.css.cjs');
var LinkButton_module = require('./LinkButton.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var LinkButton = React.forwardRef(function (_a, ref) {
  var children = _a.children,
    _b = _a.variant,
    variant = _b === void 0 ? 'primary' : _b,
    _c = _a.size,
    size = _c === void 0 ? 'medium' : _c,
    icon = _a.icon,
    _d = _a.iconPosition,
    iconPosition = _d === void 0 ? 'start' : _d,
    _e = _a.hasHiddenLabel,
    hasHiddenLabel = _e === void 0 ? false : _e,
    _f = _a.isFullWidth,
    isFullWidth = _f === void 0 ? false : _f,
    isDisabled = _a.isDisabled,
    className = _a.className,
    isReversed = _a.isReversed,
    otherProps = tslib.__rest(_a, ["children", "variant", "size", "icon", "iconPosition", "hasHiddenLabel", "isFullWidth", "isDisabled", "className", "isReversed"]);
  var shouldUseReverse = ReversedColors.useReversedColors();
  var isReversedVariant = isReversed !== null && isReversed !== void 0 ? isReversed : shouldUseReverse;
  return React__default.default.createElement(reactAriaComponents.Link, tslib.__assign({
    ref: ref,
    className: mergeClassNames.mergeClassNames(LinkButton_module.linkButton, Button_module.button, Button_module[size], hasHiddenLabel && Button_module["".concat(size, "IconButton")], isDisabled && Button_module.isDisabled, isReversedVariant ? Button_module["".concat(variant, "Reversed")] : Button_module[variant], isFullWidth && Button_module.fullWidth, className),
    isDisabled: isDisabled
  }, otherProps), function (racStateProps) {
    var childIsFunction = typeof children === 'function';
    return React__default.default.createElement(ButtonContent.ButtonContent, {
      size: size,
      icon: icon,
      iconPosition: iconPosition,
      hasHiddenLabel: hasHiddenLabel
    }, childIsFunction ? children(racStateProps) : children);
  });
});
LinkButton.displayName = 'LinkButton';
exports.LinkButton = LinkButton;
