'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var LoadingInput_module = require('./LoadingInput.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadinginput--docs Storybook}
 */
var LoadingInput = function (_a) {
  var isAnimated = _a.isAnimated,
    isReversed = _a.isReversed,
    width = _a.width,
    classNameOverride = _a.classNameOverride,
    _b = _a.height,
    height = _b === void 0 ? 48 : _b,
    props = tslib.__rest(_a, ["isAnimated", "isReversed", "width", "classNameOverride", "height"]);
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(LoadingInput_module.loadingInput, isAnimated && LoadingInput_module.isAnimated, isReversed && LoadingInput_module.isReversed, classNameOverride),
    style: {
      width: "".concat(width, "%"),
      height: "".concat(height, "px")
    }
  }, props));
};
LoadingInput.displayName = 'LoadingInput';
exports.LoadingInput = LoadingInput;
