'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var VisuallyHidden = require('../../VisuallyHidden/VisuallyHidden.cjs');
var SpinnerIcon = require('./subcomponents/SpinnerIcon.cjs');
var LoadingSpinner_module = require('./LoadingSpinner.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082093253/Loading+Spinner Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-loadingspinner--docs Storybook}
 */
var LoadingSpinner = function (_a) {
  var _b = _a.accessibilityLabel,
    accessibilityLabel = _b === void 0 ? 'Loading' : _b,
    _c = _a.size,
    size = _c === void 0 ? 'md' : _c,
    classNameOverride = _a.classNameOverride,
    props = tslib.__rest(_a, ["accessibilityLabel", "size", "classNameOverride"]);
  return React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(LoadingSpinner_module.loadingSpinner, LoadingSpinner_module[size], classNameOverride),
    role: "status"
  }, props), React__default.default.createElement(VisuallyHidden.VisuallyHidden, null, accessibilityLabel), React__default.default.createElement(SpinnerIcon.SpinnerIcon, {
    size: size
  }));
};
LoadingSpinner.displayName = 'LoadingSpinner';
exports.LoadingSpinner = LoadingSpinner;
