'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Text = require('../../../Text/Text.cjs');
var VisuallyHidden = require('../../../VisuallyHidden/VisuallyHidden.cjs');
var MultiSelectOptionField = require('../MultiSelectOptionField/MultiSelectOptionField.cjs');
var MultiSelectOptions_module = require('./MultiSelectOptions.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var MultiSelectOptions = function (_a) {
  var id = _a.id,
    options = _a.options,
    selectedValues = _a.selectedValues,
    onChange = _a.onChange,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["id", "options", "selectedValues", "onChange", "classNameOverride"]);
  var optionsCountId = "".concat(id, "--options-count");
  var handleOptionChange = function (optionValue) {
    var newValues = new Set(selectedValues.values());
    if (newValues.has(optionValue)) {
      newValues.delete(optionValue);
    } else {
      newValues.add(optionValue);
    }
    onChange(newValues);
  };
  return React__default.default.createElement("fieldset", tslib.__assign({
    id: id,
    "aria-describedby": optionsCountId,
    className: classnames__default.default(MultiSelectOptions_module.multiSelectOptions, classNameOverride)
  }, restProps), React__default.default.createElement(VisuallyHidden.VisuallyHidden, {
    id: optionsCountId,
    "aria-live": "polite"
  }, "Options available: ", options.length), options.length === 0 ? React__default.default.createElement(Text.Text, {
    tag: "span",
    variant: "body"
  }, "No options available") : options.map(function (option) {
    return React__default.default.createElement(MultiSelectOptionField.MultiSelectOptionField, {
      key: option.value,
      id: "".concat(id, "--").concat(option.value),
      onChange: function () {
        return handleOptionChange(option.value);
      },
      checkedStatus: selectedValues.has(option.value) ? 'checked' : 'unchecked',
      option: option
    });
  }));
};
MultiSelectOptions.displayName = 'MultiSelectOptions';
exports.MultiSelectOptions = MultiSelectOptions;
