'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var ClearButton = require('../../../ClearButton/ClearButton.cjs');
var MultiSelectToggle_module = require('./MultiSelectToggle.module.scss.cjs');
var RemovableTag = require('../../../__next__/Tag/RemovableTag/RemovableTag.cjs');
var Icon = require('../../../__next__/Icon/Icon.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var MultiSelectToggle = React.forwardRef(function (_a, ref) {
  var onClick = _a.onClick,
    ariaLabelledBy = _a["aria-labelledby"],
    ariaDescribedBy = _a["aria-describedby"],
    ariaControls = _a["aria-controls"],
    _b = _a.isOpen,
    isOpen = _b === void 0 ? false : _b,
    classNameOverride = _a.classNameOverride,
    selectedOptions = _a.selectedOptions,
    onRemoveOption = _a.onRemoveOption,
    onRemoveAllOptions = _a.onRemoveAllOptions,
    status = _a.status,
    restProps = tslib.__rest(_a, ["onClick", 'aria-labelledby', 'aria-describedby', 'aria-controls', "isOpen", "classNameOverride", "selectedOptions", "onRemoveOption", "onRemoveAllOptions", "status"]);
  var clearAllId = React.useId();
  return React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement("div", tslib.__assign({
    className: classnames__default.default(MultiSelectToggle_module.multiSelectToggle, classNameOverride, status && MultiSelectToggle_module[status]),
    onClick: onClick
  }, restProps), React__default.default.createElement("button", {
    ref: ref,
    className: MultiSelectToggle_module.toggleButton,
    "aria-labelledby": ariaLabelledBy,
    "aria-describedby": ariaDescribedBy,
    "aria-controls": ariaControls,
    "aria-expanded": isOpen,
    "aria-haspopup": "dialog",
    type: "button",
    onClick: function (e) {
      e.stopPropagation();
      onClick(e);
    }
  }, React__default.default.createElement(Icon.Icon, {
    name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
    isPresentational: true
  })), React__default.default.createElement("div", {
    className: classnames__default.default(MultiSelectToggle_module.selectedItemsContainer, selectedOptions.length && MultiSelectToggle_module.hasSelectedItems)
  }, selectedOptions.length > 0 && React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement("ul", {
    role: "list",
    className: MultiSelectToggle_module.selectedItems
  }, selectedOptions.map(function (_a) {
    var label = _a.label,
      value = _a.value;
    return (
      // This stops the underlying toggle collapsing the popover when interactive with Tags
      // eslint-disable-next-line jsx-a11y/no-noninteractive-element-interactions, jsx-a11y/click-events-have-key-events
      React__default.default.createElement("li", {
        key: value,
        onClick: function (e) {
          return e.stopPropagation();
        }
      }, React__default.default.createElement(RemovableTag.RemovableTag, {
        removeButtonProps: {
          ariaLabel: "Remove option: ".concat(label),
          onClick: function () {
            return onRemoveOption(value);
          }
        }
      }, label))
    );
  })), React__default.default.createElement(ClearButton.ClearButton, {
    id: clearAllId,
    "aria-label": "Remove all options from ",
    "aria-labelledby": "".concat(clearAllId, " ").concat(ariaLabelledBy),
    classNameOverride: MultiSelectToggle_module.clearAllButton,
    onClick: function (e) {
      e.stopPropagation();
      onRemoveAllOptions();
    }
  })))));
});
MultiSelectToggle.displayName = 'MultiSelectToggle';
exports.MultiSelectToggle = MultiSelectToggle;
