'use strict';

var tslib = require('tslib');
var React = require('react');
var ToastNotificationContext = require('../context/ToastNotificationContext.cjs');
var ToastNotification = function (_a) {
  var propsId = _a.id,
    _b = _a.hideCloseIcon,
    hideCloseIcon = _b === void 0 ? false : _b,
    title = _a.title,
    onHide = _a.onHide,
    children = _a.children,
    restProps = tslib.__rest(_a, ["id", "hideCloseIcon", "title", "onHide", "children"]);
  var fallbackId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
  var addToastNotification = ToastNotificationContext.useToastNotificationContext().addToastNotification;
  var persistent = hideCloseIcon;
  React.useEffect(function () {
    addToastNotification(tslib.__assign({
      id: id,
      title: title,
      message: children,
      persistent: persistent,
      onHide: onHide
    }, restProps));
    // Only run on first render
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  return null;
};
ToastNotification.displayName = 'ToastNotification';
exports.ToastNotification = ToastNotification;
