'use strict';

var tslib = require('tslib');
var React = require('react');
var GenericButton = require('../../../Button/GenericButton/GenericButton.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092975/Pagination Guidance} |
 * {@link https://cultureamp.design/?path=/story/components-buttons-paginationlink--docs Storybook}
 */
var PaginationLink = function (_a) {
  var pageNumber = _a.pageNumber,
    _b = _a.reversed,
    reversed = _b === void 0 ? false : _b,
    _c = _a.isActive,
    isActive = _c === void 0 ? false : _c,
    restProps = tslib.__rest(_a, ["pageNumber", "reversed", "isActive"]);
  return React__default.default.createElement(GenericButton.GenericButton, tslib.__assign({}, restProps, {
    paginationLink: true,
    reversed: reversed,
    isActive: isActive,
    label: "".concat(pageNumber)
  }));
};
PaginationLink.displayName = 'PaginationLink';
exports.PaginationLink = PaginationLink;
