'use strict';

var React = require('react');
var Icon = require('../../__next__/Icon/Icon.cjs');
var Popover_module = require('../Popover.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var mapVariantToBoxClass = function (variant) {
  switch (variant) {
    case 'informative':
      return Popover_module.informativeBox;
    case 'positive':
      return Popover_module.positiveBox;
    case 'negative':
      return Popover_module.negativeBox;
    case 'cautionary':
      return Popover_module.cautionaryBox;
    default:
      return Popover_module.defaultBox;
  }
};
var mapVariantToIconClass = function (variant) {
  switch (variant) {
    case 'informative':
      return Popover_module.informativeIcon;
    case 'positive':
      return Popover_module.positiveIcon;
    case 'negative':
      return Popover_module.negativeIcon;
    case 'cautionary':
      return Popover_module.cautionaryIcon;
    default:
      return undefined;
  }
};
var mapVariantToIcon = function (variant) {
  switch (variant) {
    case 'informative':
      return React__default.default.createElement(Icon.Icon, {
        name: "info",
        isPresentational: true,
        isFilled: true
      });
    case 'positive':
      return React__default.default.createElement(Icon.Icon, {
        name: "check_circle",
        isPresentational: true,
        isFilled: true
      });
    case 'negative':
      return React__default.default.createElement(Icon.Icon, {
        name: "error",
        isPresentational: true,
        isFilled: true
      });
    case 'cautionary':
      return React__default.default.createElement(Icon.Icon, {
        name: "warning",
        isPresentational: true,
        isFilled: true
      });
    default:
      return React__default.default.createElement(Icon.Icon, {
        name: "info",
        isPresentational: true,
        isFilled: true
      });
  }
};
var mapArrowVariantToClass = function (variant) {
  switch (variant) {
    case 'informative':
      return Popover_module.informativeArrow;
    case 'positive':
      return Popover_module.positiveArrow;
    case 'negative':
      return Popover_module.negativeArrow;
    case 'cautionary':
      return Popover_module.cautionaryArrow;
    default:
      return Popover_module.defaultArrow;
  }
};
var mapSizeToClass = function (size) {
  switch (size) {
    case 'large':
      return Popover_module.large;
    default:
      return '';
  }
};
var mapLineVariant = function (singleLine) {
  return singleLine ? Popover_module.singleLine : '';
};
exports.mapArrowVariantToClass = mapArrowVariantToClass;
exports.mapLineVariant = mapLineVariant;
exports.mapSizeToClass = mapSizeToClass;
exports.mapVariantToBoxClass = mapVariantToBoxClass;
exports.mapVariantToIcon = mapVariantToIcon;
exports.mapVariantToIconClass = mapVariantToIconClass;
