'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Label = require('../../Label/Label.cjs');
var VisuallyHidden = require('../../VisuallyHidden/VisuallyHidden.cjs');
var RichTextContent = require('../RichTextContent/RichTextContent.cjs');
var EditableRichTextContent_module = require('./EditableRichTextContent.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var handleEditableClick = function (e, onClick) {
  if (e.target.hasAttribute('href')) {
    return;
  }
  return onClick(e);
};
var EditableRichTextContent = function (_a) {
  var onClick = _a.onClick,
    content = _a.content,
    classNameOverride = _a.classNameOverride,
    labelText = _a.labelText,
    _b = _a.isLabelHidden,
    isLabelHidden = _b === void 0 ? false : _b,
    contentProps = _a.contentProps,
    restProps = tslib.__rest(_a, ["onClick", "content", "classNameOverride", "labelText", "isLabelHidden", "contentProps"]);
  return React__default.default.createElement(React__default.default.Fragment, null, !isLabelHidden && React__default.default.createElement(Label.Label, {
    classNameOverride: EditableRichTextContent_module.editorLabel,
    labelText: labelText
  }), React__default.default.createElement("div", tslib.__assign({
    onClick: function (e) {
      return handleEditableClick(e, onClick);
    },
    className: classnames__default.default(EditableRichTextContent_module.editableContainer, classNameOverride)
  }, restProps), React__default.default.createElement(VisuallyHidden.VisuallyHidden, {
    classNameOverride: EditableRichTextContent_module.hiddenButton
  }, React__default.default.createElement("button", {
    type: "button",
    onClick: onClick,
    "aria-label": "Edit ".concat(labelText)
  })), React__default.default.createElement(RichTextContent.RichTextContent, tslib.__assign({
    content: content
  }, contentProps))));
};
EditableRichTextContent.displayName = 'EditableRichTextContent';
exports.EditableRichTextContent = EditableRichTextContent;
