'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var schema = require('../RichTextEditor/schema.cjs');
var ProseMirrorState = require('prosemirror-state');
require('prosemirror-view');
var useRichTextEditor = require('../utils/core/hooks/useRichTextEditor.cjs');
var ProseMirrorModel = require('prosemirror-model');
require('prosemirror-inputrules');
require('prosemirror-commands');
require('prosemirror-keymap');
require('prosemirror-history');
require('prosemirror-schema-list');
var RichTextContent_module = require('./RichTextContent.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () {
            return e[k];
          }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var ProseMirrorState__namespace = /*#__PURE__*/_interopNamespace(ProseMirrorState);
var ProseMirrorModel__namespace = /*#__PURE__*/_interopNamespace(ProseMirrorModel);
var RichTextContent = function (props) {
  var content = props.content,
    classNameOverride = props.classNameOverride,
    restProps = tslib.__rest(props, ["content", "classNameOverride"]);
  var schema$1 = React.useState(schema.createSchemaWithAll())[0];
  var editorId = React.useId();
  React.useEffect(function () {
    var _a;
    // prosemirror only allows us to set this to false (which has caused a strange bug in the platform)
    // so we have to hack a bit to remove the attribute completely
    (_a = document.getElementById(editorId)) === null || _a === void 0 ? void 0 : _a.removeAttribute('contenteditable');
    // @todo: Fix if possible - avoiding breaking in eslint upgrade
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  var editorRef = useRichTextEditor.useRichTextEditor(ProseMirrorState__namespace.EditorState.create({
    doc: ProseMirrorModel__namespace.Node.fromJSON(schema$1, {
      type: 'doc',
      content: content
    }),
    schema: schema$1
  }), {
    id: editorId
  }, {
    editable: false
  })[0];
  return React__default.default.createElement("div", tslib.__assign({
    ref: editorRef,
    className: classnames__default.default(RichTextContent_module.content, classNameOverride)
  }, restProps));
};
RichTextContent.displayName = 'RichTextContent';
exports.RichTextContent = RichTextContent;
