'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Tooltip = require('../../../../Tooltip/Tooltip.cjs');
var ToggleIconButton_module = require('./ToggleIconButton.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var ToggleIconButton = React__default.default.forwardRef(function (props, ref) {
  var label = props.label,
    icon = props.icon,
    _a = props.isActive,
    isActive = _a === void 0 ? false : _a,
    _b = props.mood,
    mood = _b === void 0 ? 'default' : _b,
    _c = props.disabled,
    disabled = _c === void 0 ? false : _c,
    classNameOverride = props.classNameOverride,
    onClick = props.onClick,
    nativeButtonProps = tslib.__rest(props, ["label", "icon", "isActive", "mood", "disabled", "classNameOverride", "onClick"]);
  return React__default.default.createElement(Tooltip.Tooltip, {
    text: label,
    display: "inline-block",
    position: "above",
    animationDuration: 5
  }, React__default.default.createElement("button", tslib.__assign({
    ref: ref,
    type: "button",
    "aria-pressed": isActive,
    "aria-label": label,
    "aria-disabled": disabled,
    onMouseDown: function (e) {
      return e.preventDefault();
    },
    onClick: !disabled ? onClick : undefined,
    className: classnames__default.default(ToggleIconButton_module.button, classNameOverride, ToggleIconButton_module[mood], isActive && ToggleIconButton_module.active, disabled && ToggleIconButton_module.disabled)
  }, nativeButtonProps), icon));
});
ToggleIconButton.displayName = 'ToggleIconButton';
exports.ToggleIconButton = ToggleIconButton;
