'use strict';

var React = require('react');
var LinkModal = require('../LinkModal/LinkModal.cjs');
var LinkPopover = require('../LinkPopover/LinkPopover.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var LinkEditor = function (_a) {
  var _b, _c;
  var attrs = _a.attrs,
    removeMark = _a.removeMark,
    updateAttrs = _a.updateAttrs,
    selectionPosition = _a.selectionPosition,
    focusEditor = _a.focusEditor;
  var _d = React.useState(attrs.href != null),
    isPopoverOpen = _d[0],
    setIsPopoverOpen = _d[1];
  var _e = React.useState(((_b = attrs._metadata) === null || _b === void 0 ? void 0 : _b.added) === true),
    modalOpen = _e[0],
    setModalOpen = _e[1];
  var _f = React.useState((_c = attrs.href) !== null && _c !== void 0 ? _c : undefined),
    href = _f[0],
    setHref = _f[1];
  return React__default.default.createElement(React__default.default.Fragment, null, isPopoverOpen && React__default.default.createElement(LinkPopover.LinkPopover, {
    href: href,
    selectionPosition: selectionPosition,
    onRemove: function () {
      removeMark();
      focusEditor();
    },
    onEdit: function () {
      setIsPopoverOpen(false);
      setModalOpen(true);
    }
  }), React__default.default.createElement(LinkModal.LinkModal, {
    defaultHref: href,
    isOpen: modalOpen,
    onAfterLeave: focusEditor,
    onSubmit: function (submittedHref) {
      setHref(submittedHref);
      updateAttrs({
        href: submittedHref,
        _metadata: null
      });
      setModalOpen(false);
    },
    onDismiss: function () {
      setModalOpen(false);
      if (href) {
        setIsPopoverOpen(true);
      } else {
        removeMark();
      }
    }
  }));
};
LinkEditor.displayName = 'LinkEditor';
exports.LinkEditor = LinkEditor;
