'use strict';

var React = require('react');
require('../../../../../../Modal/ConfirmationModal/ConfirmationModal.cjs');
require('../../../../../../Modal/ContextModal/ContextModal.cjs');
require('../../../../../../Modal/GenericModal/GenericModal.cjs');
require('../../../../../../Modal/GenericModal/context/ModalContext.cjs');
require('../../../../../../Modal/GenericModal/subcomponents/ModalAccessibleDescription/ModalAccessibleDescription.cjs');
require('../../../../../../Modal/GenericModal/subcomponents/ModalFooter/ModalFooter.cjs');
require('../../../../../../Modal/GenericModal/subcomponents/ModalHeader/ModalHeader.cjs');
require('../../../../../../Modal/GenericModal/subcomponents/ModalAccessibleLabel/ModalAccessibleLabel.cjs');
require('../../../../../../Modal/GenericModal/subcomponents/ModalBody/ModalBody.cjs');
var InputEditModal = require('../../../../../../Modal/InputEditModal/InputEditModal.cjs');
var TextField = require('../../../../../../TextField/TextField.cjs');
var validation = require('../../validation.cjs');
var LinkModal_module = require('./LinkModal.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var LinkModal = function (_a) {
  var onSubmit = _a.onSubmit,
    onDismiss = _a.onDismiss,
    onAfterLeave = _a.onAfterLeave,
    isOpen = _a.isOpen,
    defaultHref = _a.defaultHref;
  var _b = React.useState(defaultHref !== null && defaultHref !== void 0 ? defaultHref : ''),
    href = _b[0],
    setHref = _b[1];
  var _c = React.useState({
      status: 'default'
    }),
    validationStatus = _c[0],
    setValidationStatus = _c[1];
  var inputRef = React.useRef(null);
  var handleSubmit = function () {
    var _a;
    var validation$1 = validation.validateLink(href);
    if (validation$1.status !== 'success') {
      (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
      setValidationStatus(validation$1);
      return;
    }
    onSubmit(href);
  };
  return React__default.default.createElement(InputEditModal.InputEditModal, {
    submitLabel: defaultHref ? 'Save' : 'Add',
    mood: "positive",
    isOpen: isOpen,
    title: defaultHref ? 'Edit link' : 'Add link',
    onSubmit: handleSubmit,
    onDismiss: onDismiss,
    onAfterLeave: onAfterLeave,
    onAfterEnter: function () {
      var _a;
      return (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
    }
  }, React__default.default.createElement(TextField.TextField, {
    id: "href",
    type: "text",
    defaultValue: href !== null && href !== void 0 ? href : '',
    labelText: "Link URL",
    description: "Must start with http:// or https://",
    inputRef: inputRef,
    validationMessage: (validationStatus === null || validationStatus === void 0 ? void 0 : validationStatus.message) && React__default.default.createElement("div", {
      className: LinkModal_module.validationErrorMessage
    }, validationStatus.message),
    status: validationStatus.status,
    onChange: function (e) {
      setHref(e.target.value);
    },
    inline: true
  }));
};
LinkModal.displayName = 'LinkModal';
exports.LinkModal = LinkModal;
