'use strict';

var tslib = require('tslib');
var prosemirrorSchemaBasic = require('prosemirror-schema-basic');
var ProseMirrorSchemaList = require('prosemirror-schema-list');
var getNodes = function () {
  // We use camel case names instead of ProseMirror's snake case, so we remove any snake case properties here before spreading
  var hardBreak = prosemirrorSchemaBasic.nodes.hard_break,
    horizontalRule = prosemirrorSchemaBasic.nodes.horizontal_rule,
    codeBlock = prosemirrorSchemaBasic.nodes.code_block,
    proseNodesNoSnakeCase = tslib.__rest(prosemirrorSchemaBasic.nodes
    // ...and then add them back in manually
    , ["hard_break", "horizontal_rule", "code_block"]);
  // ...and then add them back in manually
  var proseNodesWithCamelCase = tslib.__assign(tslib.__assign({}, proseNodesNoSnakeCase), {
    hardBreak: hardBreak,
    horizontalRule: horizontalRule,
    codeBlock: codeBlock
  });
  return tslib.__assign(tslib.__assign({}, proseNodesWithCamelCase), {
    orderedList: tslib.__assign(tslib.__assign({}, ProseMirrorSchemaList.orderedList), {
      content: 'listItem+',
      group: 'block'
    }),
    bulletList: tslib.__assign(tslib.__assign({}, ProseMirrorSchemaList.bulletList), {
      content: 'listItem+',
      group: 'block'
    }),
    listItem: tslib.__assign(tslib.__assign({}, ProseMirrorSchemaList.listItem), {
      content: 'paragraph block*'
    })
  });
};
exports.getNodes = getNodes;
