'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var FieldGroup = require('../FieldGroup/FieldGroup.cjs');
var InputRange = require('../Input/InputRange/InputRange.cjs');
var Label = require('../Label/Label.cjs');
var Text = require('../Text/Text.cjs');
var Slider_module = require('./Slider.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081896335/Slider Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-slider--docs Storybook}
 */
var Slider = function (_a) {
  var propsId = _a.id,
    labelText = _a.labelText,
    description = _a.description,
    _b = _a.labelPosition,
    labelPosition = _b === void 0 ? 'inline' : _b,
    _c = _a.variant,
    variant = _c === void 0 ? 'default' : _c,
    disabled = _a.disabled,
    readOnlyMessage = _a.readOnlyMessage,
    restProps = tslib.__rest(_a, ["id", "labelText", "description", "labelPosition", "variant", "disabled", "readOnlyMessage"]);
  var fallbackId = React.useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
  var descriptionId = "".concat(id, "-description");
  return React__default.default.createElement(FieldGroup.FieldGroup, {
    inline: true
  }, React__default.default.createElement("div", {
    className: classnames__default.default(Slider_module.wrapper, labelPosition === 'inline' && Slider_module.labelInline)
  }, React__default.default.createElement("div", {
    className: Slider_module.labelWrapper
  }, React__default.default.createElement("div", {
    className: Slider_module.label
  }, React__default.default.createElement(Label.Label, {
    htmlFor: id,
    labelText: labelText,
    variant: variant,
    disabled: disabled
  })), description && React__default.default.createElement(Text.Text, {
    variant: "small",
    id: descriptionId,
    classNameOverride: disabled ? Slider_module.descriptionDisabled : undefined
  }, description)), React__default.default.createElement("div", {
    className: Slider_module.inputWrapper
  }, React__default.default.createElement(InputRange.InputRange, tslib.__assign({
    id: id,
    "aria-describedby": descriptionId,
    disabled: disabled
  }, restProps)), readOnlyMessage && React__default.default.createElement("div", {
    className: Slider_module.readOnlyMessage
  }, readOnlyMessage))));
};
Slider.displayName = 'Slider';
exports.Slider = Slider;
