'use strict';

var tslib = require('tslib');
var React = require('react');
var tabs = require('@reach/tabs');
var classnames = require('classnames');
var TabList_module = require('./TabList.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * Wrapper for the tabs themselves
 */
var TabList = function (props) {
  var ariaLabel = props["aria-label"],
    _a = props.noPadding,
    noPadding = _a === void 0 ? false : _a,
    children = props.children,
    classNameOverride = props.classNameOverride,
    restProps = tslib.__rest(props, ['aria-label', "noPadding", "children", "classNameOverride"]);
  return React__default.default.createElement(tabs.TabList, tslib.__assign({
    "aria-label": ariaLabel,
    className: classnames__default.default(TabList_module.tabList, classNameOverride, noPadding && TabList_module.noPadding)
  }, restProps), children);
};
exports.TabList = TabList;
