'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var TextArea_module = require('./TextArea.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var TextArea = function (_a) {
  var _b, _c;
  var propsTextAreaRef = _a.textAreaRef,
    _d = _a.status,
    status = _d === void 0 ? 'default' : _d,
    _e = _a.autogrow,
    autogrow = _e === void 0 ? false : _e,
    _f = _a.reversed,
    reversed = _f === void 0 ? false : _f,
    _g = _a.rows,
    rows = _g === void 0 ? 3 : _g,
    defaultValue = _a.defaultValue,
    value = _a.value,
    disabled = _a.disabled,
    propsOnChange = _a.onChange,
    restProps = tslib.__rest(_a, ["textAreaRef", "status", "autogrow", "reversed", "rows", "defaultValue", "value", "disabled", "onChange"]);
  var _h = React.useState(defaultValue),
    internalValue = _h[0],
    setInternalValue = _h[1];
  // ^holds an internal state of the value, used for the autogrow feature if uncontrolled (no `value` provided)
  var fallbackRef = React.useRef(null);
  var textAreaRef = propsTextAreaRef !== null && propsTextAreaRef !== void 0 ? propsTextAreaRef : fallbackRef;
  var onChange = function (event) {
    propsOnChange === null || propsOnChange === void 0 ? void 0 : propsOnChange(event);
    if (!value && autogrow) {
      setInternalValue(event.target.value);
    }
  };
  return React__default.default.createElement("div", {
    className: classnames__default.default(TextArea_module.wrapper, (_b = {}, _b[TextArea_module.wrapperAutogrow] = autogrow, _b)),
    "data-value": autogrow ? value !== null && value !== void 0 ? value : internalValue : undefined
  }, React__default.default.createElement("textarea", tslib.__assign({
    className: classnames__default.default(TextArea_module.textarea, TextArea_module[status], reversed ? TextArea_module.reversed : TextArea_module.default, (_c = {}, _c[TextArea_module.disabled] = disabled, _c[TextArea_module.textareaAutogrow] = autogrow, _c)),
    rows: rows,
    onChange: onChange,
    value: value,
    defaultValue: value ? undefined : defaultValue,
    // ^ React throws a warning if you specify both a value and a defaultValue
    ref: textAreaRef,
    disabled: disabled
  }, restProps)));
};
TextArea.displayName = 'TextArea';
exports.TextArea = TextArea;
