'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var TileGrid_module = require('./TileGrid.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3079077889/Tile#TileGrid Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-tiles-tilegrid--docs Storybook}
 */
var TileGrid = function (_a) {
  var _b;
  var children = _a.children,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["children", "classNameOverride"]);
  var isFragment = !Array.isArray(children) && children.type === React__default.default.Fragment;
  return React__default.default.createElement("ul", tslib.__assign({
    className: classnames__default.default(TileGrid_module.grid, classNameOverride),
    "data-tile-grid": true
  }, restProps), isFragment ? ((_b = children === null || children === void 0 ? void 0 : children.props) === null || _b === void 0 ? void 0 : _b.children) ? React__default.default.createElement(TileListItem, {
    tiles: children.props.children
  }) : null : React__default.default.createElement(TileListItem, {
    tiles: children
  }));
};
TileGrid.displayName = 'TileGrid';
var TileListItem = function (_a) {
  var tiles = _a.tiles;
  if (Array.isArray(tiles)) {
    return React__default.default.createElement(React__default.default.Fragment, null, tiles.map(function (tile, index) {
      return React__default.default.createElement("li", {
        key: "".concat(tile.props.title, "-").concat(index)
      }, tile);
    }));
  }
  return React__default.default.createElement("li", null, tiles);
};
exports.TileGrid = TileGrid;
