'use strict';

var tslib = require('tslib');
var React = require('react');
var datepicker = require('@react-aria/datepicker');
var classnames = require('classnames');
var generateSegmentDisplayText = require('./utils/generateSegmentDisplayText.cjs');
var TimeSegment_module = require('./TimeSegment.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var TimeSegment = function (_a) {
  var segment = _a.segment,
    state = _a.state,
    _b = _a.hasPadding,
    hasPadding = _b === void 0 ? true : _b;
  var ref = React__default.default.useRef(null);
  var segmentProps = datepicker.useDateSegment(segment, state, ref).segmentProps;
  // Chrome has a bug where `contenteditable` elements receive focus from external clicks.
  // This (in combination with the invisible character &#8203;) creates boundaries
  // for the element.
  // https://stackoverflow.com/a/34445203
  return React__default.default.createElement("span", {
    className: TimeSegment_module.timeSegmentWrapper
  }, "\u200B", React__default.default.createElement("span", tslib.__assign({}, segmentProps, {
    ref: ref,
    className: classnames__default.default(TimeSegment_module.timeSegment, segment.type === 'literal' && TimeSegment_module.literal, segment.isPlaceholder && TimeSegment_module.placeholder, segment.type === 'dayPeriod' && TimeSegment_module.dayPeriod, hasPadding && TimeSegment_module.hasPadding)
  }), generateSegmentDisplayText.generateSegmentDisplayText(segment)), "\u200B");
};
TimeSegment.displayName = 'TimeSegment';
exports.TimeSegment = TimeSegment;
