'use strict';

var tslib = require('tslib');
var React = require('react');
var Button = require('../../Button/Button/Button.cjs');
var IconButton = require('../../Button/IconButton/IconButton.cjs');
var index = require('../../Menu/index.cjs');
var Icon = require('../../__next__/Icon/Icon.cjs');
var constants = require('../constants.cjs');
var utils = require('../utils.cjs');
var TitleBlockMenuItem = require('./TitleBlockMenuItem.cjs');
var Toolbar = require('./Toolbar.cjs');
var MainActions_module = require('./MainActions.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var MainActions = function (_a) {
  var _b, _c, _d, _e;
  var primaryAction = _a.primaryAction,
    defaultAction = _a.defaultAction,
    _f = _a.reversed,
    reversed = _f === void 0 ? false : _f,
    overflowMenuItems = _a.overflowMenuItems,
    _g = _a.showOverflowMenu,
    showOverflowMenu = _g === void 0 ? false : _g;
  var items;
  if (primaryAction && utils.isMenuGroupNotButton(primaryAction)) {
    var menuContent = primaryAction.menuItems.map(function (item, idx) {
      return React__default.default.createElement(TitleBlockMenuItem.TitleBlockMenuItem, tslib.__assign({}, item, {
        key: "main-action-primary-menu-item-".concat(idx),
        "data-automation-id": "main-action-primary-menu-item-".concat(idx),
        "data-testid": "main-action-primary-menu-item-".concat(idx)
      }));
    });
    items = tslib.__spreadArray(tslib.__spreadArray([], defaultAction ? [{
      key: 'defaultAction',
      node: React__default.default.createElement(Button.Button, tslib.__assign({}, defaultAction, {
        reversed: (_b = defaultAction.reversed) !== null && _b !== void 0 ? _b : reversed,
        "data-automation-id": "title-block-default-action-button",
        "data-testid": "title-block-default-action-button"
      }))
    }] : [], true), primaryAction ? [{
      key: 'primaryAction',
      node: React__default.default.createElement(index.Menu, {
        align: "right",
        button: React__default.default.createElement(Button.Button, {
          label: primaryAction.label,
          primary: true,
          reversed: reversed,
          icon: React__default.default.createElement(Icon.Icon, {
            name: "keyboard_arrow_down",
            isPresentational: true
          }),
          iconPosition: "end",
          "data-automation-id": "title-block-primary-action-button",
          "data-testid": "title-block-primary-action-button",
          badge: primaryAction.badge ? tslib.__assign(tslib.__assign({}, primaryAction.badge), {
            variant: 'dark'
          }) : undefined
        })
      }, React__default.default.createElement(index.MenuList, null, menuContent))
    }] : [], true);
  } else {
    items = tslib.__spreadArray(tslib.__spreadArray([], defaultAction ? [{
      key: 'defaultAction',
      node: React__default.default.createElement(Button.Button, tslib.__assign({}, defaultAction, {
        reversed: (_c = defaultAction.reversed) !== null && _c !== void 0 ? _c : reversed,
        "data-automation-id": "title-block-default-action-button",
        "data-testid": "title-block-default-action-button"
      }))
    }] : [], true), primaryAction ? [{
      key: 'primaryAction',
      node: React__default.default.createElement(Button.Button, tslib.__assign({}, primaryAction, {
        primary: (_d = primaryAction.primary) !== null && _d !== void 0 ? _d : true,
        reversed: (_e = primaryAction.reversed) !== null && _e !== void 0 ? _e : reversed,
        "data-automation-id": "title-block-primary-action-button",
        "data-testid": "title-block-primary-action-button",
        badge: primaryAction.badge ? tslib.__assign(tslib.__assign({}, primaryAction.badge), {
          variant: 'dark'
        }) : undefined
      }))
    }] : [], true);
  }
  if (overflowMenuItems && showOverflowMenu && overflowMenuItems.length > 0) {
    items = tslib.__spreadArray([{
      key: 'overflowMenu',
      node: React__default.default.createElement(index.Menu, {
        align: "right",
        button: React__default.default.createElement(IconButton.IconButton, {
          id: constants.TITLE_BLOCK_ZEN_SECONDARY_MENU_HTML_ID,
          label: "Open secondary menu",
          reversed: reversed,
          icon: React__default.default.createElement(Icon.Icon, {
            name: "more_horiz",
            isPresentational: true
          })
        })
      }, React__default.default.createElement(index.MenuList, null, overflowMenuItems.map(function (menuItem, idx) {
        return React__default.default.createElement(TitleBlockMenuItem.TitleBlockMenuItem, tslib.__assign({}, menuItem, {
          key: "main-action-overflow-item-menu-item-".concat(idx)
        }));
      })))
    }], items, true);
  }
  return React__default.default.createElement("div", {
    className: MainActions_module.mainActionsContainer
  }, React__default.default.createElement(Toolbar.Toolbar, {
    items: items,
    automationId: "title-block-main-actions-toolbar",
    "data-testid": "title-block-main-actions-toolbar"
  }));
};
MainActions.displayName = 'MainActions';
exports.MainActions = MainActions;
