'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var utils = require('../utils.cjs');
var NavigationTabs_module = require('./NavigationTabs.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var isLight = function (variant) {
  return variant !== undefined && utils.NON_REVERSED_VARIANTS.includes(variant);
};
var NavigationTab = function (props) {
  var className = classnames__default.default(NavigationTabs_module.linkAnchor, isLight(props.variant) && NavigationTabs_module.lightBackground, props.active && NavigationTabs_module.active);
  if (props.render) {
    var Component = props.render,
      otherProps = tslib.__rest(props, ["render"]);
    return React__default.default.createElement(Component, tslib.__assign({}, otherProps, {
      className: className
    }));
  }
  return React__default.default.createElement("a", {
    className: className,
    href: props.href,
    onClick: props.handleClick,
    id: props.id,
    "data-automation-id": props.automationId,
    "data-testid": props.automationId,
    "aria-current": props.active ? 'page' : undefined
  }, props.text);
};
NavigationTab.displayName = 'NavigationTab';
exports.NavigationTab = NavigationTab;
