'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var index = require('../../Menu/index.cjs');
var TitleBlockMenuItem_module = require('./TitleBlockMenuItem.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var TitleBlockMenuItem = function (props) {
  var className = classnames__default.default(TitleBlockMenuItem_module.menuItem, TitleBlockMenuItem_module.destructive && TitleBlockMenuItem_module['menuItem--destructive'], TitleBlockMenuItem_module.disabled && TitleBlockMenuItem_module['menuItem--disabled'], TitleBlockMenuItem_module.isActive && TitleBlockMenuItem_module['menuItem--active']);
  if ('component' in props) {
    var CustomMenuItem = props.component,
      label = props.label,
      icon = props.icon,
      otherProps = tslib.__rest(props, ["component", "label", "icon"]);
    var wrappedLabel = React__default.default.createElement("span", {
      className: TitleBlockMenuItem_module.menuItem__Label
    }, label);
    var iconNode = icon && React__default.default.createElement("span", {
      className: TitleBlockMenuItem_module.menuItem__Icon
    }, icon);
    return React__default.default.createElement("li", {
      className: TitleBlockMenuItem_module.menuListItem
    }, React__default.default.createElement(CustomMenuItem, tslib.__assign({}, otherProps, {
      className: className
    }), iconNode, wrappedLabel));
  }
  return React__default.default.createElement(index.MenuItem, tslib.__assign({}, props));
};
TitleBlockMenuItem.displayName = 'TitleBlockMenuItem';
exports.TitleBlockMenuItem = TitleBlockMenuItem;
