'use strict';

var React = require('react');
var classnames = require('classnames');
var Toolbar_module = require('./Toolbar.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

// Toolbar should eventually be broken out
// into its own component since it's a generic
// grouping component for buttons/dropdowns/etc
var Toolbar = function (_a) {
  var items = _a.items,
    _b = _a.noGap,
    noGap = _b === void 0 ? false : _b,
    automationId = _a.automationId;
  if (!items || items && items.length === 0) {
    return React__default.default.createElement(React__default.default.Fragment, null);
  }
  return React__default.default.createElement("div", {
    className: Toolbar_module.toolbar,
    "data-automation-id": automationId,
    "data-testid": automationId
  }, items.map(function (item) {
    return React__default.default.createElement("div", {
      className: classnames__default.default(Toolbar_module.toolbarItem, noGap && Toolbar_module.noGap),
      key: item.key
    }, item.node);
  }));
};
Toolbar.displayName = 'Toolbar';
exports.Toolbar = Toolbar;
