'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Icon = require('../../__next__/Icon/Icon.cjs');
var ToggleSwitch_module = require('./ToggleSwitch.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var ToggleSwitch = function (_a) {
  var toggledStatus = _a.toggledStatus,
    onToggle = _a.onToggle,
    reversed = _a.reversed,
    disabled = _a.disabled,
    restProps = tslib.__rest(_a, ["toggledStatus", "onToggle", "reversed", "disabled"]);
  var isOn = toggledStatus === 'on';
  return React__default.default.createElement("span", {
    className: classnames__default.default(isOn ? ToggleSwitch_module.on : ToggleSwitch_module.off, reversed && ToggleSwitch_module.reversed)
  }, React__default.default.createElement("input", tslib.__assign({
    type: "checkbox",
    className: classnames__default.default(ToggleSwitch_module.checkbox, disabled && ToggleSwitch_module.disabled),
    checked: isOn ? true : false,
    onChange: onToggle,
    disabled: disabled
  }, restProps)), React__default.default.createElement("span", {
    className: classnames__default.default(ToggleSwitch_module.track, disabled && ToggleSwitch_module.disabled)
  }, React__default.default.createElement("span", {
    className: ToggleSwitch_module.thumb
  }, React__default.default.createElement(Icon.Icon, {
    name: "check",
    isPresentational: true,
    className: ToggleSwitch_module.checkIcon
  }))));
};
ToggleSwitch.displayName = 'ToggleSwitch';
exports.ToggleSwitch = ToggleSwitch;
