'use strict';

var React = require('react');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

// Noting that this is contingent on our displayName for our components -  this something we control
var allowedDisplayNames = ['Button', 'IconButton', 'FilterButtonBase'];
function extractDisplayName(type) {
  var _a, _b;
  return (_b = (_a = type.displayName) !== null && _a !== void 0 ? _a : type.name) !== null && _b !== void 0 ? _b : 'Unknown';
}
/**
 *  Validates implicit or explicitly semantic roles required to make `aria-describedby` announce predictably with screen readers
 */
var isSemanticElement = function (element) {
  if (!React__default.default.isValidElement(element)) return false;
  var props = element.props,
    type = element.type;
  if ('role' in props) {
    return props.role !== 'presentation' && props.role !== 'none';
  }
  if (typeof type !== 'string') {
    // As we are only checking whether this matches to our allowedDisplayNames
    // type casting should be fine
    var displayName = extractDisplayName(type);
    return allowedDisplayNames.includes(displayName);
  }
  return !(type === 'div' || type === 'span');
};
exports.extractDisplayName = extractDisplayName;
exports.isSemanticElement = isSemanticElement;
