'use strict';

var tslib = require('tslib');
var React = require('react');
var reactAriaComponents = require('react-aria-components');
var ReversedColors = require('../../utils/ReversedColors/ReversedColors.cjs');
var mergeClassNames = require('../../utils/mergeClassNames.cjs');
var PendingContent = require('./subcomponents/PendingContent/PendingContent.cjs');
var ButtonContent = require('./subcomponents/ButtonContent/ButtonContent.cjs');
var Button_module = require('./Button.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var Button = React.forwardRef(function (_a, ref) {
  var _b = _a.variant,
    variant = _b === void 0 ? 'primary' : _b,
    _c = _a.size,
    size = _c === void 0 ? 'medium' : _c,
    className = _a.className,
    children = _a.children,
    isDisabled = _a.isDisabled,
    _d = _a.isFullWidth,
    isFullWidth = _d === void 0 ? false : _d,
    icon = _a.icon,
    iconPosition = _a.iconPosition,
    _e = _a.hasHiddenLabel,
    hasHiddenLabel = _e === void 0 ? false : _e,
    isPending = _a.isPending,
    _f = _a.hasHiddenPendingLabel,
    propsHasHiddenPendingLabel = _f === void 0 ? false : _f,
    pendingLabel = _a.pendingLabel,
    isReversed = _a.isReversed,
    restProps = tslib.__rest(_a, ["variant", "size", "className", "children", "isDisabled", "isFullWidth", "icon", "iconPosition", "hasHiddenLabel", "isPending", "hasHiddenPendingLabel", "pendingLabel", "isReversed"]);
  var shouldUseReverse = ReversedColors.useReversedColors();
  var isReversedVariant = isReversed !== null && isReversed !== void 0 ? isReversed : shouldUseReverse;
  var pendingProps = isPending ? {
    isPending: isPending,
    hasHiddenPendingLabel: hasHiddenLabel || propsHasHiddenPendingLabel,
    pendingLabel: pendingLabel
  } : {};
  var buttonContentClass = isPending ? !hasHiddenLabel && propsHasHiddenPendingLabel ? Button_module.retainContentWidth : Button_module.hideContentWidth : undefined;
  return React__default.default.createElement(reactAriaComponents.Button, tslib.__assign({
    ref: ref,
    className: mergeClassNames.mergeClassNames(Button_module.button, Button_module[size], hasHiddenLabel && Button_module["".concat(size, "IconButton")], isDisabled && Button_module.isDisabled, isReversedVariant ? Button_module["".concat(variant, "Reversed")] : Button_module[variant], isFullWidth && Button_module.fullWidth, className),
    isDisabled: isDisabled,
    isPending: isPending
  }, restProps), function (racStateProps) {
    var childIsFunction = typeof children === 'function';
    return React__default.default.createElement(React__default.default.Fragment, null, React__default.default.createElement(ButtonContent.ButtonContent, {
      size: size,
      icon: icon,
      iconPosition: iconPosition,
      hasHiddenLabel: hasHiddenLabel,
      className: buttonContentClass
    }, childIsFunction ? children(racStateProps) : children), React__default.default.createElement("span", {
      "aria-live": "polite"
    }, pendingProps.isPending && React__default.default.createElement(PendingContent.PendingContent, tslib.__assign({}, pendingProps, {
      size: size
    }))));
  });
});
Button.displayName = 'Button';
exports.Button = Button;
