'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var VisuallyHidden = require('../../../../VisuallyHidden/VisuallyHidden.cjs');
var ButtonContent_module = require('./ButtonContent.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

/** Renders the inner content of the button, handling icon and label visibility */
var ButtonContent = function (_a) {
  var children = _a.children,
    hasHiddenLabel = _a.hasHiddenLabel,
    _b = _a.size,
    size = _b === void 0 ? 'medium' : _b,
    icon = _a.icon,
    _c = _a.iconPosition,
    iconPosition = _c === void 0 ? 'start' : _c,
    className = _a.className,
    restProps = tslib.__rest(_a, ["children", "hasHiddenLabel", "size", "icon", "iconPosition", "className"]);
  return React__default.default.createElement("span", tslib.__assign({
    className: classnames__default.default(className, ButtonContent_module.buttonContent, ButtonContent_module[size])
  }, restProps), icon && iconPosition === 'start' && React__default.default.createElement("span", {
    className: ButtonContent_module.buttonIcon
  }, icon), hasHiddenLabel ? React__default.default.createElement(VisuallyHidden.VisuallyHidden, null, children) : React__default.default.createElement("span", {
    className: ButtonContent_module.buttonLabel
  }, children), icon && iconPosition === 'end' && React__default.default.createElement("span", {
    className: ButtonContent_module.buttonIcon
  }, icon));
};
exports.ButtonContent = ButtonContent;
