'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var constants = require('./constants.cjs');
var Icon_module = require('./Icon.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var MaterialIcon = function (_a) {
  var children = _a.children,
    isFilled = _a.isFilled,
    isPresentational = _a.isPresentational,
    alt = _a.alt,
    className = _a.className,
    restProps = tslib.__rest(_a, ["children", "isFilled", "isPresentational", "alt", "className"]);
  return React__default.default.createElement("span", tslib.__assign({
    className: classnames__default.default(Icon_module['material-symbols-outlined'], Icon_module.icon, isFilled && Icon_module.filled, className),
    "aria-hidden": isPresentational,
    role: isPresentational ? undefined : 'img',
    "aria-label": alt
  }, restProps), children);
};
var Icon = function (_a) {
  var name = _a.name,
    shouldMirrorInRTL = _a.shouldMirrorInRTL,
    restProps = tslib.__rest(_a, ["name", "shouldMirrorInRTL"]);
  if (!shouldMirrorInRTL) {
    return React__default.default.createElement(MaterialIcon, tslib.__assign({}, restProps), name);
  }
  if (Object.keys(constants.handledRtlIcons).includes(name)) {
    return React__default.default.createElement(MaterialIcon, tslib.__assign({}, restProps), React__default.default.createElement("span", {
      className: Icon_module.iconLTR
    }, name), React__default.default.createElement("span", {
      className: Icon_module.iconRTL
    }, constants.handledRtlIcons[name]));
  }
  return React__default.default.createElement(MaterialIcon, tslib.__assign({}, restProps, {
    className: classnames__default.default(Icon_module.shouldMirrorInRTL, restProps.className)
  }), name);
};
exports.Icon = Icon;
