'use strict';

var tslib = require('tslib');
var React = require('react');
var reactAriaComponents = require('react-aria-components');
var mergeClassNames = require('../../utils/mergeClassNames.cjs');
var Menu_module = require('./Menu.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * A menu displays a list of actions or options that a user can choose.
 */
var Menu = React.forwardRef(function (_a, ref) {
  var className = _a.className,
    props = tslib.__rest(_a, ["className"]);
  return React__default.default.createElement(reactAriaComponents.Menu, tslib.__assign({
    className: mergeClassNames.mergeClassNames(Menu_module.menu, className),
    ref: ref
  }, props));
});
Menu.displayName = 'Menu';
exports.Menu = Menu;
