'use strict';

var tslib = require('tslib');
var React = require('react');
var reactAriaComponents = require('react-aria-components');
var mergeClassNames = require('../../utils/mergeClassNames.cjs');
var MenuItem_module = require('./MenuItem.module.css.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * A MenuItem represents an individual action in a Menu.
 */
var MenuItem = React.forwardRef(function (_a, ref) {
  var className = _a.className,
    icon = _a.icon,
    children = _a.children,
    textValue = _a.textValue,
    props = tslib.__rest(_a, ["className", "icon", "children", "textValue"]);
  var determinedTextValue = textValue !== null && textValue !== void 0 ? textValue : typeof children === 'string' ? children : undefined;
  return React__default.default.createElement(reactAriaComponents.MenuItem, tslib.__assign({
    ref: ref,
    className: mergeClassNames.mergeClassNames(MenuItem_module.item, className),
    textValue: determinedTextValue
  }, props), typeof children === 'string' && icon ? React__default.default.createElement("div", {
    className: MenuItem_module.flexWrapper
  }, React__default.default.createElement("span", {
    className: MenuItem_module.iconWrapper
  }, icon), children) : children);
});
MenuItem.displayName = 'MenuItem';
exports.MenuItem = MenuItem;
