'use strict';

var tslib = require('tslib');
var React = require('react');
var focus = require('@react-aria/focus');
var overlays = require('@react-aria/overlays');
var SelectContext = require('../../context/SelectContext.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var Overlay = function (_a) {
  var children = _a.children,
    classNameOverride = _a.classNameOverride,
    popoverRef = _a.popoverRef,
    restProps = tslib.__rest(_a, ["children", "classNameOverride", "popoverRef"]);
  var state = SelectContext.useSelectContext().state;
  // Handle events that should cause the menu to close,
  // e.g. blur, clicking outside, or pressing the escape key.
  var overlayRef = React__default.default.useRef(null);
  var overlayProps = overlays.useOverlay({
    isDismissable: true,
    isOpen: state.isOpen,
    onClose: state.close
  }, popoverRef !== null && popoverRef !== void 0 ? popoverRef : overlayRef).overlayProps;
  // Wrap in <FocusScope> so that focus is restored back to the trigger when the menu is closed
  // and auto focus on the first focusable item after loading. (disable eslint no-autofocus error for it)
  // In addition, add hidden <DismissButton> components at the start and end of the list
  // to allow screen reader users to dismiss the popup easily.
  return React__default.default.createElement("div", tslib.__assign({
    className: classNameOverride
  }, overlayProps, restProps), React__default.default.createElement(focus.FocusScope, {
    autoFocus: false,
    restoreFocus: true
  }, React__default.default.createElement(overlays.DismissButton, {
    onDismiss: state.close
  }), children, React__default.default.createElement(overlays.DismissButton, {
    onDismiss: state.close
  })));
};
Overlay.displayName = 'Overlay';
exports.Overlay = Overlay;
