'use strict';

var tslib = require('tslib');
var React = require('react');
var classnames = require('classnames');
var Label = require('../../../../Label/Label.cjs');
var Icon = require('../../../Icon/Icon.cjs');
var SelectToggle_module = require('./SelectToggle.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);
var SelectToggle = React__default.default.forwardRef(function (_a, ref) {
  var label = _a.label,
    labelProps = _a.labelProps,
    value = _a.value,
    valueProps = _a.valueProps,
    isOpen = _a.isOpen,
    _b = _a.placeholder,
    placeholder = _b === void 0 ? 'Select' : _b,
    status = _a.status,
    isDisabled = _a.isDisabled,
    isReversed = _a.isReversed,
    classNameOverride = _a.classNameOverride,
    restProps = tslib.__rest(_a, ["label", "labelProps", "value", "valueProps", "isOpen", "placeholder", "status", "isDisabled", "isReversed", "classNameOverride"]);
  return React__default.default.createElement("div", null, React__default.default.createElement(Label.Label, tslib.__assign({}, labelProps, {
    reversed: isReversed,
    disabled: isDisabled
  }), label), React__default.default.createElement("button", tslib.__assign({
    type: "button",
    // for the eslint issue below, both of the attributes (aria-expanded and aria-controls) are on the button but it just doesn't know it
    // eslint-disable-next-line jsx-a11y/role-has-required-aria-props
    role: "combobox"
  }, restProps, {
    ref: ref,
    className: classnames__default.default(SelectToggle_module.selectToggle, (value === null || value === undefined) && SelectToggle_module.placeholder, status === 'error' && SelectToggle_module.error, status === 'caution' && SelectToggle_module.caution, isDisabled && SelectToggle_module.disabled, isReversed && SelectToggle_module.reversed, classNameOverride)
  }), React__default.default.createElement("span", tslib.__assign({}, valueProps, {
    className: SelectToggle_module.value
  }), value !== null && value !== void 0 ? value : placeholder), React__default.default.createElement(Icon.Icon, {
    name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
    isPresentational: true,
    className: SelectToggle_module.icon
  })));
});
SelectToggle.displayName = 'SelectToggle';
exports.SelectToggle = SelectToggle;
