'use strict';

var tslib = require('tslib');
var isSelectOptionGroup = require('./isSelectOptionGroup.cjs');
var getDisabledKeysFromItems = function (items) {
  return items.reduce(function (acc, item) {
    if (isSelectOptionGroup.isSelectOptionGroup(item)) {
      var keys = Array.from(item.options).filter(function (groupItem) {
        return groupItem.disabled;
      }).map(function (disabledItems) {
        return disabledItems.value;
      });
      return tslib.__spreadArray(tslib.__spreadArray([], acc, true), keys, true);
    }
    return item.disabled ? tslib.__spreadArray(tslib.__spreadArray([], acc, true), [item.value], false) : acc;
  }, []);
};
exports.getDisabledKeysFromItems = getDisabledKeysFromItems;
