'use strict';

var tslib = require('tslib');
var React = require('react');
var reactAriaComponents = require('react-aria-components');
var ReversedColors = require('../../utils/ReversedColors/ReversedColors.cjs');
var mergeClassNames = require('../../utils/mergeClassNames.cjs');
var OverlayArrow_module = require('./OverlayArrow.module.scss.cjs');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * An OverlayArrow renders a custom arrow element relative to an overlay element
 * such as a popover or tooltip such that it aligns with a trigger element.
 */
var OverlayArrow = function (props) {
  var reverseColors = ReversedColors.useReversedColors();
  return React__default.default.createElement(reactAriaComponents.OverlayArrow, tslib.__assign({}, props, {
    className: mergeClassNames.mergeClassNames(OverlayArrow_module.overlayArrow, reverseColors && OverlayArrow_module.reversed, props.className)
  }), React__default.default.createElement("svg", {
    width: 8,
    height: 8,
    viewBox: "0 0 8 8"
  }, React__default.default.createElement("path", {
    d: "M0 0 L4 4 L8 0"
  })));
};
exports.OverlayArrow = OverlayArrow;
