'use strict';

var tslib = require('tslib');
var React = require('react');
var reactAriaComponents = require('react-aria-components');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * TooltipTrigger wraps around a trigger element and a Tooltip. It handles opening and closing
 * the Tooltip when the user hovers over or focuses the trigger, and positioning the Tooltip
 * relative to the trigger.
 */
var TooltipTrigger = function (props) {
  return React__default.default.createElement(reactAriaComponents.TooltipTrigger, tslib.__assign({
    delay: 300,
    closeDelay: 300
  }, props));
};
exports.TooltipTrigger = TooltipTrigger;
