'use strict';

var React = require('react');
function _interopDefault(e) {
  return e && e.__esModule ? e : {
    default: e
  };
}
var React__default = /*#__PURE__*/_interopDefault(React);

/** a utility hook for handling an the addition and removal of an animation and exit animation class */
var useExitingAnimation = function (shouldAnimate, animatingClass, exitingClass, exitDuration) {
  var _a = React.useState(''),
    animationClass = _a[0],
    setAnimationClass = _a[1];
  var previousIsLoading = React__default.default.useRef(undefined);
  React.useEffect(function () {
    if (shouldAnimate !== undefined) {
      if (previousIsLoading.current === true && shouldAnimate === false) {
        setAnimationClass(exitingClass);
        var timeout_1 = setTimeout(function () {
          setAnimationClass('');
        }, exitDuration);
        return function () {
          return clearTimeout(timeout_1);
        };
      }
      if (shouldAnimate === true) {
        setAnimationClass(animatingClass);
      }
    }
    previousIsLoading.current = shouldAnimate;
  }, [shouldAnimate, animatingClass, exitingClass, exitDuration]);
  return animationClass;
};
exports.useExitingAnimation = useExitingAnimation;
