'use strict';

var React = require('react');

/**
 * A hook that returns a truthy value indicating if the code can be run on client side.
 * This is a useful hook for determining if the `document` or `window` objects are available.
 */
var useIsClientReady = function () {
  var _a = React.useState(false),
    isClientReady = _a[0],
    setIsClientReady = _a[1];
  React.useEffect(function () {
    if (typeof window !== 'undefined' && typeof document !== 'undefined') {
      setIsClientReady(true);
    }
  }, []);
  return isClientReady;
};
exports.useIsClientReady = useIsClientReady;
