import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Avatar } from '../Avatar/Avatar.mjs';
import styles from './AvatarGroup.module.css.mjs';
var Counter = function (_a) {
  var remainingAvatars = _a.remainingAvatars;
  if (remainingAvatars <= 0) return null;
  return /*#__PURE__*/React.createElement("li", {
    "aria-label": "There ".concat(remainingAvatars > 1 ? "are ".concat(remainingAvatars, " other members") : "is ".concat(remainingAvatars, " other member"), " of this group"),
    className: styles.AvatarGroupItem
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.AvatarCounter,
    "aria-hidden": true
  }, "+".concat(remainingAvatars)));
};
var AllAvatars = function (_a) {
  var avatars = _a.avatars,
    maxVisible = _a.maxVisible,
    size = _a.size;
  return /*#__PURE__*/React.createElement(React.Fragment, null, avatars === null || avatars === void 0 ? void 0 : avatars.map(function (avatarProps, index) {
    return index < maxVisible && (/*#__PURE__*/React.createElement("li", {
      key: "avatar-".concat(index),
      className: styles.AvatarGroupItem
    }, /*#__PURE__*/React.createElement(Avatar, __assign({}, avatarProps, {
      size: size
    }))));
  }), /*#__PURE__*/React.createElement(Counter, {
    remainingAvatars: (avatars === null || avatars === void 0 ? void 0 : avatars.length) - maxVisible
  }));
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3065021264/Avatar+Group Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-avatar-avatar-group--docs Storybook}
 */
var AvatarGroup = function (_a) {
  var _b = _a.size,
    size = _b === void 0 ? 'medium' : _b,
    _c = _a.maxVisible,
    maxVisible = _c === void 0 ? 2 : _c,
    avatars = _a.avatars,
    classNameOverride = _a.classNameOverride,
    restProps = __rest(_a, ["size", "maxVisible", "avatars", "classNameOverride"]);
  return /*#__PURE__*/React.createElement("ul", __assign({
    className: classnames(styles.AvatarGroup, styles[size], classNameOverride),
    "aria-label": "Avatar Group"
  }, restProps), /*#__PURE__*/React.createElement(AllAvatars, {
    avatars: avatars,
    maxVisible: maxVisible,
    size: size
  }));
};
export { AvatarGroup };
