import { __assign, __rest } from 'tslib';
import React, { useState, useLayoutEffect } from 'react';
import classnames from 'classnames';
import styles from './Badge.module.css.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3064857333/Badge Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-badge--docs Storybook}
 */
const Badge = /*#__PURE__*/function () {
  const Badge = function (_a) {
    var children = _a.children,
      _b = _a.variant,
      variant = _b === void 0 ? 'default' : _b,
      _c = _a.reversed,
      reversed = _c === void 0 ? false : _c,
      _d = _a.size,
      size = _d === void 0 ? 'small' : _d,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["children", "variant", "reversed", "size", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("span", __assign({
      className: classnames(styles.badge, styles[variant], classNameOverride, reversed && styles.reversed, size === 'large' && styles.large)
    }, restProps), variant !== 'dot' && children);
  };
  Badge.displayName = 'Badge';
  return Badge;
}();
var BadgeAnimated = function (props) {
  var _a = useState(false),
    isFocused = _a[0],
    setIsFocused = _a[1];
  useLayoutEffect(function () {
    setIsFocused(true);
    setTimeout(function () {
      setIsFocused(false);
    }, 150);
  }, [props.children]);
  return /*#__PURE__*/React.createElement("span", {
    className: classnames(styles.animation, isFocused && styles.animationOn)
  }, /*#__PURE__*/React.createElement(Badge, __assign({}, props)));
};
export { Badge, BadgeAnimated };
