import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { assetUrl } from '../utils/hostedAssets.mjs';
import { BrandCollectiveIntelligence } from './BrandCollectiveIntelligence/BrandCollectiveIntelligence.mjs';
import styles from './Brand.module.css.mjs';
var isSVG = function (variant, restProps) {
  return variant === 'collective-intelligence';
};
const Brand = /*#__PURE__*/function () {
  const Brand = function (_a) {
    var _b = _a.reversed,
      reversed = _b === void 0 ? false : _b,
      variant = _a.variant,
      restProps = __rest(_a, ["reversed", "variant"]);
    if (isSVG(variant)) {
      var role = restProps.role,
        alt_1 = restProps.alt,
        ariaLabel = restProps["aria-label"],
        props = __rest(restProps, ["role", "alt", 'aria-label']);
      if (role === 'presentation') {
        return /*#__PURE__*/React.createElement(BrandCollectiveIntelligence, __assign({
          role: role
        }, props));
      }
      if (role === 'img') {
        return /*#__PURE__*/React.createElement(BrandCollectiveIntelligence, __assign({
          role: role,
          "aria-label": ariaLabel
        }, props));
      }
      return /*#__PURE__*/React.createElement(BrandCollectiveIntelligence, __assign({
        role: "img",
        "aria-label": alt_1
      }, props));
    }
    var alt = restProps.alt,
      classNameOverride = restProps.classNameOverride,
      style = restProps.style,
      otherProps = __rest(restProps, ["alt", "classNameOverride", "style"]);
    var brandTheme = reversed ? '-reversed' : '-default';
    return /*#__PURE__*/React.createElement("picture", __assign({}, otherProps), /*#__PURE__*/React.createElement("source", {
      srcSet: assetUrl("brand/".concat(variant, "-reversed.svg")),
      media: "(forced-colors: active) and (prefers-color-scheme: dark)"
    }), /*#__PURE__*/React.createElement("source", {
      srcSet: assetUrl("brand/".concat(variant, "-default.svg")),
      media: "(forced-colors: active) and (prefers-color-scheme: light)"
    }), /*#__PURE__*/React.createElement("img", {
      src: assetUrl("brand/".concat(variant).concat(brandTheme, ".svg")),
      alt: alt,
      className: classnames(styles.img, classNameOverride),
      style: style
    }));
  };
  Brand.displayName = 'Brand';
  return Brand;
}();
export { Brand };
