import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { FilterButtonBase } from '../Filter/FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.mjs';
import { Tooltip } from '../Tooltip/Tooltip.mjs';
import styles from './ButtonGroup.module.css.mjs';
var isFilterButton = function (node) {
  return /*#__PURE__*/React.isValidElement(node) && node.type === FilterButtonBase;
};
const ButtonGroup = /*#__PURE__*/function () {
  const ButtonGroup = function (_a) {
    var children = _a.children,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["children", "classNameOverride"]);
    var childCount = React.Children.count(children);
    var containerProps = __assign({
      role: 'group',
      className: classnames(styles.buttonGroup, classNameOverride)
    }, restProps);
    if (childCount === 1) return /*#__PURE__*/React.createElement("div", __assign({}, containerProps), children);
    return /*#__PURE__*/React.createElement("div", __assign({}, containerProps), React.Children.map(children, function (child, index) {
      var buttonClassNames = classnames(styles.child, index === 0 && styles.firstChild, index === childCount - 1 && styles.lastChild, child.props.classNameOverride);
      if (child.type === Tooltip) {
        var button = child.props.children;
        if (isFilterButton(button)) {
          return /*#__PURE__*/React.cloneElement(child, {
            children: /*#__PURE__*/React.cloneElement(button, {
              classNameOverride: classnames(button.props.classNameOverride, buttonClassNames)
            })
          });
        }
        return child;
      }
      return /*#__PURE__*/React.cloneElement(child, {
        classNameOverride: buttonClassNames
      });
    }));
  };
  ButtonGroup.displayName = 'ButtonGroup';
  return ButtonGroup;
}();
export { ButtonGroup };
