import { __rest, __assign } from 'tslib';
import React, { useRef, useEffect } from 'react';
import { enAU } from 'date-fns/locale';
import { DayPicker } from 'react-day-picker';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import { baseCalendarClassNames } from '../baseCalendarClassNames.mjs';
import 'date-fns';
import { isInvalidDate } from '../utils/isInvalidDate.mjs';
import styles from './CalendarRange.module.scss.mjs';
const CalendarRange = /*#__PURE__*/function () {
  const CalendarRange = function (_a) {
    var _b;
    var id = _a.id,
      onMount = _a.onMount,
      _c = _a.hasDivider,
      hasDivider = _c === void 0 ? false : _c,
      classNameOverride = _a.classNameOverride,
      selected = _a.selected,
      defaultMonth = _a.defaultMonth,
      _d = _a.numberOfMonths,
      numberOfMonths = _d === void 0 ? 2 : _d,
      _e = _a.locale,
      locale = _e === void 0 ? enAU : _e,
      restProps = __rest(_a, ["id", "onMount", "hasDivider", "classNameOverride", "selected", "defaultMonth", "numberOfMonths", "locale"]);
    var calendarRef = useRef(null);
    useEffect(function () {
      if (calendarRef.current) onMount === null || onMount === void 0 ? void 0 : onMount(calendarRef.current);
    }, [calendarRef, onMount]);
    var monthToShow = (_b = selected === null || selected === void 0 ? void 0 : selected.from) !== null && _b !== void 0 ? _b : defaultMonth;
    var selectedMonth = monthToShow && isInvalidDate(monthToShow) ? undefined : monthToShow;
    /* eslint-disable camelcase */
    var classNames = __assign(__assign({}, baseCalendarClassNames), {
      month: hasDivider ? styles.monthWithDivider : styles.month,
      nav: styles.nav,
      range_start: styles.dayRangeStart,
      range_end: styles.dayRangeEnd,
      range_middle: styles.dayRangeMiddle,
      hidden: styles.hidden
    });
    /* eslint-enable camelcase */
    return /*#__PURE__*/React.createElement("div", {
      ref: calendarRef,
      id: id,
      className: classNameOverride
    }, /*#__PURE__*/React.createElement(DayPicker, __assign({
      mode: "range",
      selected: selected,
      defaultMonth: selectedMonth,
      classNames: classNames,
      components: {
        Chevron: function (props) {
          if (props.orientation === 'left') {
            return /*#__PURE__*/React.createElement(Icon, {
              name: "arrow_back",
              isPresentational: true,
              shouldMirrorInRTL: true
            });
          }
          return /*#__PURE__*/React.createElement(Icon, {
            name: "arrow_forward",
            isPresentational: true,
            shouldMirrorInRTL: true
          });
        }
      },
      numberOfMonths: numberOfMonths,
      locale: locale
    }, restProps)));
  };
  CalendarRange.displayName = 'CalendarRange';
  return CalendarRange;
}();
export { CalendarRange };
