import { __rest, __assign } from 'tslib';
import React, { useRef, useEffect } from 'react';
import { enAU } from 'date-fns/locale';
import { DayPicker } from 'react-day-picker';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import { baseCalendarClassNames } from '../baseCalendarClassNames.mjs';
import 'date-fns';
import { isInvalidDate } from '../utils/isInvalidDate.mjs';
import { isValidWeekStartsOn } from '../utils/isValidWeekStartsOn.mjs';
import styles from './CalendarSingle.module.scss.mjs';
const CalendarSingle = /*#__PURE__*/function () {
  const CalendarSingle = function (_a) {
    var id = _a.id,
      onMount = _a.onMount,
      classNameOverride = _a.classNameOverride,
      selected = _a.selected,
      defaultMonth = _a.defaultMonth,
      weekStartsOn = _a.weekStartsOn,
      _b = _a.locale,
      locale = _b === void 0 ? enAU : _b,
      restProps = __rest(_a, ["id", "onMount", "classNameOverride", "selected", "defaultMonth", "weekStartsOn", "locale"]);
    var calendarRef = useRef(null);
    useEffect(function () {
      if (calendarRef.current) onMount === null || onMount === void 0 ? void 0 : onMount(calendarRef.current);
    }, [calendarRef, onMount]);
    var monthToShow = selected !== null && selected !== void 0 ? selected : defaultMonth;
    var selectedMonth = monthToShow && isInvalidDate(monthToShow) ? undefined : monthToShow;
    /* eslint-disable camelcase */
    var classNames = __assign(__assign({}, baseCalendarClassNames), {
      nav: styles.nav,
      nav_button_next: styles.navButtonNext
    });
    /* eslint-enable camelcase */
    return /*#__PURE__*/React.createElement("div", {
      ref: calendarRef,
      id: id,
      className: classNameOverride
    }, /*#__PURE__*/React.createElement(DayPicker, __assign({
      mode: "single",
      selected: selected && isInvalidDate(selected) ? undefined : selected,
      defaultMonth: selectedMonth,
      weekStartsOn: isValidWeekStartsOn(weekStartsOn) ? weekStartsOn : undefined,
      classNames: classNames,
      components: {
        Chevron: function (props) {
          if (props.orientation === 'left') {
            return /*#__PURE__*/React.createElement(Icon, {
              name: "arrow_back",
              isPresentational: true,
              shouldMirrorInRTL: true
            });
          }
          return /*#__PURE__*/React.createElement(Icon, {
            name: "arrow_forward",
            isPresentational: true,
            shouldMirrorInRTL: true
          });
        }
      },
      locale: locale
    }, restProps)));
  };
  CalendarSingle.displayName = 'CalendarSingle';
  return CalendarSingle;
}();
export { CalendarSingle };
