import { __assign } from 'tslib';
import React from 'react';
import { DayPicker } from 'react-day-picker';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import { baseCalendarClassNames } from '../baseCalendarClassNames.mjs';
import { DayOfWeek } from '../enums.mjs';
import 'date-fns';
import { isInvalidDate } from '../utils/isInvalidDate.mjs';
import { isValidWeekStartsOn } from '../utils/isValidWeekStartsOn.mjs';
import styles from './LegacyCalendarRange.module.scss.mjs';
const LegacyCalendarRange = /*#__PURE__*/function () {
  const LegacyCalendarRange = function (_a) {
    var _b;
    var classNameOverride = _a.classNameOverride,
      defaultMonth = _a.defaultMonth,
      _c = _a.weekStartsOn,
      weekStartsOn = _c === void 0 ? DayOfWeek.Mon : _c,
      disabledDays = _a.disabledDays,
      selectedRange = _a.selectedRange,
      locale = _a.locale,
      onDayChange = _a.onDayChange;
    var monthToShow = (_b = selectedRange === null || selectedRange === void 0 ? void 0 : selectedRange.from) !== null && _b !== void 0 ? _b : defaultMonth;
    var selectedMonth = monthToShow && isInvalidDate(monthToShow) ? undefined : monthToShow;
    /* eslint-disable camelcase */
    var classNames = __assign(__assign({}, baseCalendarClassNames), {
      nav: styles.nav,
      range_start: styles.dayRangeStart,
      range_end: styles.dayRangeEnd,
      range_middle: styles.dayRangeMiddle
    });
    /* eslint-enable camelcase */
    return /*#__PURE__*/React.createElement("div", {
      className: classNameOverride
    }, /*#__PURE__*/React.createElement(DayPicker, {
      mode: "range",
      selected: selectedRange,
      defaultMonth: selectedMonth,
      weekStartsOn: isValidWeekStartsOn(weekStartsOn) ? weekStartsOn : undefined,
      disabled: disabledDays,
      onDayClick: onDayChange,
      classNames: classNames,
      components: {
        Chevron: function (props) {
          if (props.orientation === 'left') {
            return /*#__PURE__*/React.createElement(Icon, {
              name: "arrow_back",
              isPresentational: true,
              shouldMirrorInRTL: true
            });
          }
          return /*#__PURE__*/React.createElement(Icon, {
            name: "arrow_forward",
            isPresentational: true,
            shouldMirrorInRTL: true
          });
        }
      },
      locale: locale
    }));
  };
  LegacyCalendarRange.displayName = 'LegacyCalendarRange';
  return LegacyCalendarRange;
}();
export { LegacyCalendarRange };
