import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import classnames from 'classnames';
import { Label } from '../../Label/Label.mjs';
import styles from './CheckboxGroup.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094522/Checkbox+Group Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-checkbox-controls-checkbox-group--docs Storybook}
 */
const CheckboxGroup = /*#__PURE__*/function () {
  const CheckboxGroup = function (_a) {
    var children = _a.children,
      labelText = _a.labelText,
      propsLabelId = _a.labelId,
      _b = _a.noBottomMargin,
      noBottomMargin = _b === void 0 ? false : _b,
      _c = _a.reversed,
      reversed = _c === void 0 ? false : _c,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["children", "labelText", "labelId", "noBottomMargin", "reversed", "classNameOverride"]);
    var fallbackId = useId();
    var labelId = propsLabelId !== null && propsLabelId !== void 0 ? propsLabelId : fallbackId;
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.checkboxGroupContainer, classNameOverride, noBottomMargin && styles.noBottomMargin, reversed && styles.reversed),
      role: "group",
      "aria-labelledby": labelId
    }, restProps), /*#__PURE__*/React.createElement("div", {
      className: styles.checkboxGroupLabel
    }, /*#__PURE__*/React.createElement(Label, {
      id: labelId,
      labelText: labelText,
      labelType: "text",
      reversed: reversed
    })), children);
  };
  CheckboxGroup.displayName = 'CheckboxGroup';
  return CheckboxGroup;
}();
export { CheckboxGroup };
