import { __rest, __assign } from 'tslib';
import React, { useState, useId } from 'react';
import classnames from 'classnames';
import AnimateHeight from 'react-animate-height';
import '../../Button/Button/Button.mjs';
import { IconButton } from '../../Button/IconButton/IconButton.mjs';
import { Heading } from '../../Heading/Heading.mjs';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import styles from './Collapsible.module.scss.mjs';
const Collapsible = /*#__PURE__*/function () {
  const Collapsible = function (_a) {
    var children = _a.children,
      title = _a.title,
      renderHeader = _a.renderHeader,
      open = _a.open,
      group = _a.group,
      separated = _a.separated,
      sticky = _a.sticky,
      noSectionPadding = _a.noSectionPadding,
      onToggle = _a.onToggle,
      _b = _a.variant,
      variant = _b === void 0 ? 'default' : _b,
      lazyLoad = _a.lazyLoad,
      controlled = _a.controlled,
      classNameOverride = _a.classNameOverride,
      propsId = _a.id,
      restProps = __rest(_a, ["children", "title", "renderHeader", "open", "group", "separated", "sticky", "noSectionPadding", "onToggle", "variant", "lazyLoad", "controlled", "classNameOverride", "id"]);
    var _c = useState(open !== null && open !== void 0 ? open : false),
      stateIsOpen = _c[0],
      setIsOpen = _c[1];
    var getOpen = function () {
      return controlled ? open : stateIsOpen;
    };
    var fallbackId = useId();
    var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
    var handleSectionToggle = function () {
      var newIsOpen = !getOpen();
      if (!controlled) setIsOpen(newIsOpen);
      onToggle === null || onToggle === void 0 ? void 0 : onToggle(newIsOpen, id);
    };
    var handleButtonPress = function (event) {
      event.stopPropagation();
      handleSectionToggle();
    };
    var buttonId = "".concat(id, "-button");
    var sectionId = "".concat(id, "-section");
    var isOpen = getOpen();
    var isContainer = !group || separated;
    return /*#__PURE__*/React.createElement("div", __assign({
      id: id,
      className: classnames(classNameOverride, isContainer && styles.container, group && !separated && styles.groupItem, separated && styles.separated),
      "data-testid": "collapsible-container-".concat(id)
    }, restProps), /*#__PURE__*/React.createElement("div", {
      className: classnames(styles.header, isOpen && styles.open, sticky && styles.sticky, isOpen && variant === 'default' && styles.defaultVariant, isOpen && variant === 'clear' && styles.clearVariant),
      style: sticky && {
        top: sticky.top
      },
      onClick: handleSectionToggle,
      "data-testid": "collapsible-header-".concat(id)
    }, renderHeader !== undefined ? renderHeader(title) : (/*#__PURE__*/React.createElement("div", {
      className: styles.title,
      "data-testid": "collapsible-button-title-".concat(id)
    }, /*#__PURE__*/React.createElement(Heading, {
      variant: "heading-4",
      tag: "span"
    }, title))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(IconButton, {
      label: title,
      icon: /*#__PURE__*/React.createElement(Icon, {
        name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
        isPresentational: true
      }),
      type: "button",
      "aria-expanded": isOpen,
      "aria-controls": sectionId,
      "data-testid": "collapsible-button-".concat(id),
      id: buttonId,
      onClick: handleButtonPress,
      classNameOverride: styles.chevronButton
    }))), (!lazyLoad || isOpen) && (/*#__PURE__*/React.createElement(AnimateHeight, {
      height: isOpen ? 'auto' : 0,
      "data-testid": "collapsible-section-".concat(id)
    }, /*#__PURE__*/React.createElement("div", {
      id: sectionId,
      className: classnames(styles.section, noSectionPadding && styles.noPadding),
      role: "region",
      "aria-labelledby": buttonId
    }, children))));
  };
  Collapsible.displayName = 'Collapsible';
  return Collapsible;
}();
export { Collapsible };
