import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import { isRefObject } from '../../utils/isRefObject.mjs';
import { DateInput } from '../DateInput/DateInput.mjs';
import styles from './DateInputWithIconButton.module.scss.mjs';
const DateInputWithIconButton = /*#__PURE__*/function () {
  const DateInputWithIconButton = /*#__PURE__*/React.forwardRef(function (_a, ref) {
    var onButtonClick = _a.onButtonClick,
      disabled = _a.disabled,
      value = _a.value,
      restProps = __rest(_a, ["onButtonClick", "disabled", "value"]);
    var customRefObject = isRefObject(ref) ? ref.current : null;
    var inputRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.inputRef;
    var buttonRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.buttonRef;
    var IconButton = /*#__PURE__*/React.createElement("button", {
      ref: buttonRef,
      type: "button",
      onClick: onButtonClick,
      "aria-label": value ? "Change date, ".concat(value) : 'Choose date',
      "aria-disabled": disabled,
      disabled: disabled,
      className: classnames(styles.iconButton, restProps['aria-expanded'] && styles.calendarActive, disabled && styles.disabled)
    }, /*#__PURE__*/React.createElement(Icon, {
      name: "today",
      isPresentational: true,
      isFilled: true
    }));
    return /*#__PURE__*/React.createElement(DateInput, __assign({
      ref: inputRef,
      disabled: disabled,
      value: value,
      endIconAdornment: IconButton
    }, restProps));
  });
  DateInputWithIconButton.displayName = 'DateInputWithIconButton';
  return DateInputWithIconButton;
}();
export { DateInputWithIconButton };
