import { __assign } from 'tslib';
import React from 'react';
import { FormattedMessage } from '@cultureamp/i18n-react-intl';
import '../../Calendar/CalendarSingle/CalendarSingle.mjs';
import '../../Calendar/CalendarRange/CalendarRange.mjs';
import 'date-fns';
import { isInvalidDate } from '../../Calendar/utils/isInvalidDate.mjs';
import { isDisabledDate } from '../../Calendar/utils/isDisabledDate.mjs';
var validateDate = function (_a) {
  var date = _a.date,
    inputValue = _a.inputValue,
    disabledDays = _a.disabledDays;
  var baseResponse = {
    date: date,
    inputValue: inputValue,
    status: undefined,
    validationMessage: undefined,
    isInvalid: false,
    isDisabled: false,
    isEmpty: false,
    isValidDate: false
  };
  if (date === undefined) {
    return {
      validationResponse: __assign(__assign({}, baseResponse), {
        isEmpty: true
      }),
      newDate: undefined
    };
  }
  if (isInvalidDate(date)) {
    return {
      validationResponse: __assign(__assign({}, baseResponse), {
        status: 'error',
        validationMessage: inputValue ? (/*#__PURE__*/React.createElement(FormattedMessage, {
          id: "date.validation.invalidDateWithValue",
          defaultMessage: "{inputValue} is an invalid date",
          description: "Error message when the user enters an invalid date and we know their input value",
          values: {
            inputValue: inputValue
          }
        })) : (/*#__PURE__*/React.createElement(FormattedMessage, {
          id: "date.validation.invalidDate",
          defaultMessage: "Date is invalid",
          description: "Error message when the user enters an invalid date and we do not know their input value"
        })),
        isInvalid: true
      }),
      newDate: undefined
    };
  }
  if (isDisabledDate(date, disabledDays)) {
    return {
      validationResponse: __assign(__assign({}, baseResponse), {
        status: 'error',
        validationMessage: (/*#__PURE__*/React.createElement(FormattedMessage, {
          id: "date.validation.unavailableDate",
          defaultMessage: "{inputValue} is not available, try another date",
          description: "Error message when the user tries to select a date that is unavailable",
          values: {
            inputValue: inputValue
          }
        })),
        isDisabled: true
      }),
      newDate: undefined
    };
  }
  return {
    validationResponse: __assign(__assign({}, baseResponse), {
      isValidDate: true
    }),
    newDate: date
  };
};
export { validateDate };
