import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Text } from '../Text/Text.mjs';
import { Icon } from '../__next__/Icon/Icon.mjs';
import styles from './FieldMessage.module.scss.mjs';
const FieldMessage = /*#__PURE__*/function () {
  const FieldMessage = function (_a) {
    var message = _a.message,
      _b = _a.status,
      status = _b === void 0 ? 'default' : _b,
      _c = _a.position,
      position = _c === void 0 ? 'bottom' : _c,
      _d = _a.reversed,
      reversed = _d === void 0 ? false : _d,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["message", "status", "position", "reversed", "classNameOverride"]);
    var textColor = status === 'default' || status === 'success' ? reversed ? 'white-reduced-opacity' : 'dark-reduced-opacity' : 'dark';
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.message, styles[status], classNameOverride, reversed && styles.reversed, position === 'bottom' && styles.positionBottom, position === 'top' && styles.positionTop)
    }, restProps), (status === 'error' || status === 'caution') && (/*#__PURE__*/React.createElement("span", {
      className: styles.warningIcon
    }, /*#__PURE__*/React.createElement(Icon, {
      name: status === 'error' ? 'error' : 'warning',
      isFilled: true,
      alt: "".concat(status, " message")
    }))), /*#__PURE__*/React.createElement("div", {
      className: styles.message
    }, /*#__PURE__*/React.createElement(Text, {
      variant: "small",
      tag: typeof message === 'string' ? 'p' : 'div',
      color: textColor
    }, message)));
  };
  FieldMessage.displayName = 'FieldMessage';
  return FieldMessage;
}();
export { FieldMessage };
