import { __assign } from 'tslib';
import { updateDependentFilters } from '../utils/updateDependentFilters.mjs';
import { updateSingleFilter } from './updateSingleFilter.mjs';
import { updateValues } from './updateValues.mjs';
var filterBarStateReducer = function (state, action) {
  switch (action.type) {
    case 'set_focus':
      return __assign(__assign({}, state), {
        focusId: action.id
      });
    case 'update_values':
      return __assign({}, updateValues(state, action.values));
    case 'complete_update_values':
      return __assign(__assign({}, state), {
        hasUpdatedValues: false
      });
    case 'update_single_filter':
      return __assign(__assign({}, state), {
        filters: updateSingleFilter(state, action.id, action.data)
      });
    case 'activate_filter':
      state.activeFilterIds.add(action.id);
      return __assign({}, updateDependentFilters(state));
    case 'deactivate_filter':
      state.activeFilterIds.delete(action.id);
      delete state.values[action.id];
      return __assign(__assign({}, updateDependentFilters(state)), {
        hasUpdatedValues: true
      });
    case 'update_filter_labels':
      return __assign(__assign({}, state), {
        filters: Object.values(state.filters).reduce(function (acc, filter) {
          var _a, _b;
          acc[filter.id] = __assign(__assign({}, filter), {
            name: (_b = (_a = action.data.find(function (_a) {
              var id = _a.id;
              return id === filter.id;
            })) === null || _a === void 0 ? void 0 : _a.name) !== null && _b !== void 0 ? _b : filter.name
          });
          return acc;
        }, {})
      });
  }
};
export { filterBarStateReducer };
