import { __rest, __assign } from 'tslib';
import React from 'react';
import { FilterDatePicker } from '../../../FilterDatePicker/FilterDatePicker.mjs';
import 'classnames';
import '../../../../Calendar/CalendarSingle/CalendarSingle.mjs';
import '../../../../Calendar/CalendarRange/CalendarRange.mjs';
import 'date-fns';
import 'react-day-picker';
import 'date-fns/locale';
import '../../../../LabelledMessage/LabelledMessage.mjs';
import '@cultureamp/i18n-react-intl';
import '../../../FilterDatePicker/subcomponents/DateInputField/DateInputField.mjs';
import { useFilterBarContext } from '../../context/FilterBarContext.mjs';
import { FilterBarButton } from '../FilterBarButton/FilterBarButton.mjs';
const FilterBarDatePicker = /*#__PURE__*/function () {
  const FilterBarDatePicker = function (_a) {
    var id = _a.id,
      onDateChange = _a.onDateChange,
      _b = _a.locale,
      locale = _b === void 0 ? 'en-AU' : _b,
      props = __rest(_a, ["id", "onDateChange", "locale"]);
    var _c = useFilterBarContext(),
      getFilterState = _c.getFilterState,
      setFilterOpenState = _c.setFilterOpenState,
      updateValue = _c.updateValue;
    if (!id) throw Error('Missing `id` prop in FilterBarDatePicker');
    var filterState = getFilterState(id);
    return /*#__PURE__*/React.createElement(FilterDatePicker, __assign({}, props, {
      id: id,
      locale: locale,
      selectedDate: filterState.value,
      label: filterState.name,
      renderTrigger: function (triggerProps) {
        return /*#__PURE__*/React.createElement(FilterBarButton, __assign({}, triggerProps, {
          filterId: id,
          isRemovable: filterState.isRemovable
        }));
      },
      onDateChange: function (key) {
        updateValue(id, key);
        onDateChange === null || onDateChange === void 0 ? void 0 : onDateChange(key);
      },
      isOpen: filterState.isOpen,
      setIsOpen: function (open) {
        return setFilterOpenState(id, open);
      }
    }));
  };
  FilterBarDatePicker.displayName = 'FilterBar.DatePicker';
  return FilterBarDatePicker;
}();
export { FilterBarDatePicker };
