import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import classnames from 'classnames';
import { Icon } from '../../../__next__/Icon/Icon.mjs';
import { isRefObject } from '../../../utils/isRefObject.mjs';
import { FilterButtonBase } from '../subcomponents/FilterButtonBase/FilterButtonBase.mjs';
import styles from './FilterButton.module.css.mjs';
const FilterButton = /*#__PURE__*/function () {
  const FilterButton = /*#__PURE__*/forwardRef(function (_a, ref) {
    var label = _a.label,
      selectedValue = _a.selectedValue,
      _b = _a.isOpen,
      isOpen = _b === void 0 ? false : _b,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["label", "selectedValue", "isOpen", "classNameOverride"]);
    var customRefObject = isRefObject(ref) ? ref.current : null;
    var triggerRef = customRefObject === null || customRefObject === void 0 ? void 0 : customRefObject.triggerRef;
    var selectedValuesLabel = selectedValue;
    return /*#__PURE__*/React.createElement(FilterButtonBase, __assign({
      ref: triggerRef,
      classNameOverride: classnames(styles.filterButton, classNameOverride),
      "aria-haspopup": "true",
      "aria-expanded": isOpen
    }, restProps), /*#__PURE__*/React.createElement("span", {
      className: styles.labelContainer
    }, selectedValuesLabel ? (/*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
      className: styles.hasSelectedValues
    }, /*#__PURE__*/React.createElement("span", null, label), /*#__PURE__*/React.createElement("span", {
      className: styles.labelSeparator
    }, ":")), /*#__PURE__*/React.createElement("span", null, selectedValuesLabel))) : label), /*#__PURE__*/React.createElement(Icon, {
      name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
      isPresentational: true
    }));
  });
  FilterButton.displayName = 'FilterButton';
  return FilterButton;
}();
export { FilterButton };
