import { __rest, __assign } from 'tslib';
import React from 'react';
import '../../Calendar/CalendarSingle/CalendarSingle.mjs';
import '../../Calendar/CalendarRange/CalendarRange.mjs';
import 'date-fns';
import { formatDateAsText } from '../../Calendar/utils/formatDateAsText.mjs';
import 'react-day-picker';
import { getLocale } from '../../DatePicker/utils/getLocale.mjs';
import { Filter } from '../Filter/Filter.mjs';
import { FilterContents } from '../Filter/subcomponents/FilterContents/FilterContents.mjs';
import { FilterDatePickerField } from './subcomponents/FilterDatePickerField/FilterDatePickerField.mjs';
const FilterDatePicker = /*#__PURE__*/function () {
  const FilterDatePicker = function (_a) {
    var isOpen = _a.isOpen,
      setIsOpen = _a.setIsOpen,
      renderTrigger = _a.renderTrigger,
      selectedDate = _a.selectedDate,
      label = _a.label,
      locale = _a.locale,
      onDateSubmit = _a.onDateSubmit,
      restProps = __rest(_a, ["isOpen", "setIsOpen", "renderTrigger", "selectedDate", "label", "locale", "onDateSubmit"]);
    return /*#__PURE__*/React.createElement(Filter, {
      isOpen: isOpen,
      setIsOpen: setIsOpen,
      renderTrigger: function (triggerProps) {
        return renderTrigger(__assign({
          selectedValue: selectedDate ? formatDateAsText(selectedDate, undefined, getLocale(locale)) : undefined,
          label: label
        }, triggerProps));
      }
    }, /*#__PURE__*/React.createElement(FilterContents, null, /*#__PURE__*/React.createElement(FilterDatePickerField, __assign({
      locale: locale,
      selectedDate: selectedDate,
      onDateSubmit: function (date) {
        setIsOpen(false);
        onDateSubmit === null || onDateSubmit === void 0 ? void 0 : onDateSubmit(date);
      }
    }, restProps))));
  };
  FilterDatePicker.displayName = 'FilterDatePicker';
  return FilterDatePicker;
}();
export { FilterDatePicker };
