import { useState } from 'react';
import { getDateValidationHandler } from '../utils/getDateValidationHandler.mjs';
import { validateDate } from '../utils/validateDate.mjs';
var useDateValidation = function (_a) {
  var inputLabel = _a.inputLabel,
    disabledDays = _a.disabledDays,
    validationMessage = _a.validationMessage,
    onValidate = _a.onValidate;
  var _b = useState(),
    inbuiltValidationMessage = _b[0],
    setInbuiltValidationMessage = _b[1];
  var shouldUseInbuiltDateValidation = onValidate === undefined;
  var updateValidation = getDateValidationHandler({
    onValidate: onValidate,
    setInbuiltValidationMessage: setInbuiltValidationMessage,
    inputLabel: inputLabel
  });
  var validateSingleDate = function (_a) {
    var date = _a.date,
      inputValue = _a.inputValue;
    return validateDate({
      date: date,
      inputValue: inputValue,
      disabledDays: disabledDays
    });
  };
  return {
    validationMessage: shouldUseInbuiltDateValidation ? inbuiltValidationMessage : validationMessage,
    validateDate: validateSingleDate,
    updateValidation: updateValidation
  };
};
export { useDateValidation };
