import { __assign } from 'tslib';
import '../../../../Calendar/CalendarSingle/CalendarSingle.mjs';
import '../../../../Calendar/CalendarRange/CalendarRange.mjs';
import 'date-fns';
import { isInvalidDate } from '../../../../Calendar/utils/isInvalidDate.mjs';
import 'react-day-picker';
var filterDatePickerFieldReducer = function (state, action) {
  var _a, _b;
  switch (action.type) {
    case 'update_selected_start_date':
      return __assign(__assign({}, state), {
        selectedStartDate: action.date,
        inputStartValue: (_a = action.inputValue) !== null && _a !== void 0 ? _a : state.inputStartValue,
        startMonth: action.date && !isInvalidDate(action.date) ? action.date : new Date()
      });
    case 'update_selected_end_date':
      return __assign(__assign({}, state), {
        selectedEndDate: action.date,
        inputEndValue: (_b = action.inputValue) !== null && _b !== void 0 ? _b : state.inputEndValue
      });
    case 'navigate_months':
      return __assign(__assign({}, state), {
        startMonth: action.date && !isInvalidDate(action.date) ? action.date : new Date()
      });
    case 'update_input_start_field':
      return __assign(__assign({}, state), {
        inputStartValue: action.inputValue
      });
    case 'update_input_end_field':
      return __assign(__assign({}, state), {
        inputEndValue: action.inputValue
      });
  }
};
export { filterDatePickerFieldReducer };
