import '../../../../FilterDatePicker/FilterDatePicker.mjs';
import 'tslib';
import 'react';
import 'classnames';
import '../../../../../Calendar/CalendarSingle/CalendarSingle.mjs';
import '../../../../../Calendar/CalendarRange/CalendarRange.mjs';
import 'date-fns';
import 'react-day-picker';
import 'date-fns/locale';
import { useDateValidation } from '../../../../FilterDatePicker/hooks/useDateValidation.mjs';
import '../../../../FilterDatePicker/subcomponents/DateInputField/DateInputField.mjs';
import '../../../../../LabelledMessage/LabelledMessage.mjs';
import '@cultureamp/i18n-react-intl';
import { validateEndDateBeforeStartDate } from '../utils/validateEndDateBeforeStartDate.mjs';
var useEndDateValidation = function (args) {
  var _a = useDateValidation(args),
    validationMessage = _a.validationMessage,
    validateDate = _a.validateDate,
    updateValidation = _a.updateValidation;
  var handleValidateEndDateBeforeStartDate = function (handlerArgs) {
    var _a = validateEndDateBeforeStartDate(handlerArgs),
      validationResponse = _a.validationResponse,
      newDate = _a.newDate;
    updateValidation(validationResponse);
    return newDate;
  };
  var validateEndDate = function (_a) {
    var endDate = _a.endDate,
      endDateInputValue = _a.endDateInputValue,
      startDate = _a.startDate,
      startDateFieldLabel = _a.startDateFieldLabel;
    var _b = validateDate({
        date: endDate,
        inputValue: endDateInputValue
      }),
      validationResponse = _b.validationResponse,
      newDate = _b.newDate;
    if (validationResponse.isValidDate) {
      if (newDate && startDate) {
        return handleValidateEndDateBeforeStartDate({
          startDate: startDate,
          startDateFieldLabel: startDateFieldLabel,
          endDate: newDate,
          endDateInputValue: endDateInputValue
        });
      }
    }
    updateValidation(validationResponse);
    return newDate;
  };
  return {
    validationMessage: validationMessage,
    validateDate: validateEndDate,
    validateEndDateBeforeStartDate: handleValidateEndDateBeforeStartDate
  };
};
export { useEndDateValidation };
