import React, { useRef, useContext } from 'react';
import { useButton } from '@react-aria/button';
import { useMenuTrigger } from '@react-aria/menu';
import { useMenuTriggerState } from '@react-stately/menu';
var MenuTriggerContext = /*#__PURE__*/React.createContext({});
function MenuTriggerProvider(_a) {
  var isOpen = _a.isOpen,
    defaultOpen = _a.defaultOpen,
    onOpenChange = _a.onOpenChange,
    children = _a.children,
    triggerRef = _a.triggerRef;
  // Create state based on the incoming props to manage the open/close
  var state = useMenuTriggerState({
    isOpen: isOpen,
    defaultOpen: defaultOpen,
    onOpenChange: onOpenChange
  });
  // Get A11y attributes and events for the menu trigger and menu elements
  var fallbackRef = useRef(null);
  var ref = triggerRef !== null && triggerRef !== void 0 ? triggerRef : fallbackRef;
  var _b = useMenuTrigger({}, state, ref),
    menuTriggerProps = _b.menuTriggerProps,
    menuProps = _b.menuProps;
  // Get A11y attributes and events for the button based on the trigger props from useMenuTrigger
  var buttonProps = useButton(menuTriggerProps, ref).buttonProps;
  return /*#__PURE__*/React.createElement(MenuTriggerContext.Provider, {
    value: {
      menuTriggerProps: menuTriggerProps,
      buttonProps: buttonProps,
      menuProps: menuProps,
      menuTriggerState: state,
      buttonRef: ref
    }
  }, children);
}
var useMenuTriggerContext = function () {
  return useContext(MenuTriggerContext);
};
var MenuTriggerConsumer = function (_a) {
  var children = _a.children;
  return /*#__PURE__*/React.createElement(MenuTriggerContext.Consumer, null, children);
};
export { MenuTriggerConsumer, MenuTriggerProvider, useMenuTriggerContext };
