import { __assign } from 'tslib';
import React, { useRef } from 'react';
import classnames from 'classnames';
import '../../../../FilterButton/subcomponents/FilterButtonBase/FilterButtonBase.mjs';
import '../../../../FilterButton/FilterButton/FilterButton.mjs';
import { FilterButtonRemovable } from '../../../../FilterButton/FilterButtonRemovable/FilterButtonRemovable.mjs';
import { useMenuTriggerContext } from '../../../context/MenuTriggerProvider/MenuTriggerProvider.mjs';
import '../../../context/SelectionProvider/SelectionProvider.mjs';
import { getTruncatedLabels } from '../../../utils/getTruncatedLabel.mjs';
import styles from './RemovableFilterTrigger.module.css.mjs';
const RemovableFilterTrigger = /*#__PURE__*/function () {
  const RemovableFilterTrigger = function (_a) {
    var label = _a.label,
      selectedOptionLabels = _a.selectedOptionLabels,
      _b = _a.labelCharacterLimitBeforeTruncate,
      labelCharacterLimitBeforeTruncate = _b === void 0 ? 50 : _b,
      classNameOverride = _a.classNameOverride,
      onRemove = _a.onRemove;
    var _c = useMenuTriggerContext(),
      buttonProps = _c.buttonProps,
      buttonRef = _c.buttonRef,
      menuTriggerState = _c.menuTriggerState;
    var ref = useRef({
      triggerRef: buttonRef
    });
    return /*#__PURE__*/React.createElement(FilterButtonRemovable, {
      ref: ref,
      classNameOverride: classnames(styles.filterButtonRemovable, classNameOverride),
      triggerButtonProps: __assign(__assign({}, buttonProps), {
        label: label,
        selectedValue: getTruncatedLabels(selectedOptionLabels, labelCharacterLimitBeforeTruncate),
        isOpen: menuTriggerState.isOpen
      }),
      removeButtonProps: {
        onClick: onRemove
      }
    });
  };
  RemovableFilterTrigger.displayName = 'FilterMultiSelect.RemovableTrigger';
  return RemovableFilterTrigger;
}();
export { RemovableFilterTrigger };
