import { __rest, __assign } from 'tslib';
import React from 'react';
import { Base } from '../subcomponents/Base/Base.mjs';
var SPOT_ILLUSTRATION_BASE_PATH = 'illustrations/heart/spot/';
var createSpotIllustration = function (fileName) {
  // eslint-disable-next-line react/display-name
  return function (_a) {
    var enableAspectRatio = _a.enableAspectRatio,
      restProps = __rest(_a, ["enableAspectRatio"]);
    return /*#__PURE__*/React.createElement(Base, __assign({
      aspectRatio: enableAspectRatio ? 'square' : undefined
    }, restProps, {
      name: "".concat(SPOT_ILLUSTRATION_BASE_PATH).concat(fileName)
    }));
  };
};
/**
 * Template Library / Moods
 */
/* prettier-ignore */
var Cautionary = createSpotIllustration("moods-cautionary.svg");
/* prettier-ignore */
var Informative = createSpotIllustration("moods-informative.svg");
/* prettier-ignore */
var Negative = createSpotIllustration("moods-negative.svg");
/* prettier-ignore */
var Positive = createSpotIllustration("moods-positive.svg");
/* prettier-ignore */
var Assertive = createSpotIllustration("moods-assertive.svg");
/**
 * Template Library / Engagement
 */
/* prettier-ignore */
var BenefitsSurvey = createSpotIllustration("template-library-benefits-survey.svg");
/* prettier-ignore */
var CustomSurvey = createSpotIllustration("template-library-custom-survey.svg");
/* prettier-ignore */
var CustomUnattributedSurvey = createSpotIllustration("template-library-custom-unattributed-survey.svg");
/* prettier-ignore */
var EngagementSurvey = createSpotIllustration("template-library-engagement-survey.svg");
/* prettier-ignore */
var InclusionSurvey = createSpotIllustration("template-library-inclusion-survey.svg");
/* prettier-ignore */
var QuickEngagementSurvey = createSpotIllustration("template-library-quick-engagement-survey.svg");
/* prettier-ignore */
var ValuesSurvey1 = createSpotIllustration("template-library-values-survey-1.svg");
/* prettier-ignore */
var ValuesSurvey2 = createSpotIllustration("template-library-values-survey-2.svg");
/* prettier-ignore */
var WellbeingSurvey1 = createSpotIllustration("template-library-wellbeing-survey-1.svg");
/* prettier-ignore */
var WellbeingSurvey2 = createSpotIllustration("template-library-wellbeing-survey-2.svg");
/* prettier-ignore */
var WellbeingSurvey3 = createSpotIllustration("template-library-wellbeing-survey-3.svg");
/* prettier-ignore */
var ChangeReadiness = createSpotIllustration("template-library-change-readiness.svg");
/* prettier-ignore */
var ChangeSuccess = createSpotIllustration("template-library-change-success.svg");
/* prettier-ignore */
var PerformanceDiagnostics = createSpotIllustration("template-library-performance-diagnostics.svg");
/* prettier-ignore */
var LeadingThroughCrisis = createSpotIllustration("template-library-leading-through-crisis.svg");
/* prettier-ignore */
var EmergencyResponse = createSpotIllustration("template-library-emergency-response.svg");
/**
 * Template Library / Experience
 */
/* prettier-ignore */
var CandidateSurvey = createSpotIllustration("template-library-candidate-survey.svg");
/* prettier-ignore */
var CustomOnboardSurvey = createSpotIllustration("template-library-custom-onboard-survey.svg");
/* prettier-ignore */
var ExitSurvey = createSpotIllustration("template-library-exit-survey.svg");
/* prettier-ignore */
var InternSurvey = createSpotIllustration("template-library-intern-survey.svg");
/* prettier-ignore */
var PhasedWeek1OnboardSurvey = createSpotIllustration("template-library-phased-week-1-onboard-survey.svg");
/* prettier-ignore */
var PhasedWeek5OnboardSurvey = createSpotIllustration("template-library-phased-week-5-onboard-survey.svg");
/* prettier-ignore */
var SinglePointOnboardSurvey = createSpotIllustration("template-library-single-point-onboard-survey.svg");
/* prettier-ignore */
var GeneralOnboardSurvey = createSpotIllustration("template-library-general-onboard-survey.svg");
/* prettier-ignore */
var RemoteOnboardSurvey = createSpotIllustration("template-library-remote-onboard-survey.svg");
/* prettier-ignore */
var HealthAndSafety = createSpotIllustration("template-library-health-and-safety.svg");
/* prettier-ignore */
var EndOfProbation = createSpotIllustration("template-library-end-of-probation.svg");
/* prettier-ignore */
var NewWaysOfWorking = createSpotIllustration("template-library-new-ways-of-working.svg");
/* prettier-ignore */
var ReOnboarding = createSpotIllustration("template-library-re-onboarding.svg");
/**
 * Template Library / Performance
 */
/* prettier-ignore */
var Individual360 = createSpotIllustration("template-library-individual-360.svg");
/* prettier-ignore */
var Leadership360 = createSpotIllustration("template-library-leadership-360.svg");
/* prettier-ignore */
var Manager360 = createSpotIllustration("template-library-manager-360.svg");
/* prettier-ignore */
var Individual180 = createSpotIllustration("template-library-individual-180.svg");
/* prettier-ignore */
var Leadership180 = createSpotIllustration("template-library-leadership-180.svg");
/* prettier-ignore */
var Manager180 = createSpotIllustration("template-library-manager-180.svg");
/* prettier-ignore */
var TeamEffectiveness1 = createSpotIllustration("template-library-team-effectiveness-1.svg");
/* prettier-ignore */
var TeamEffectiveness2 = createSpotIllustration("template-library-team-effectiveness-2.svg");
/**
 * Offices
 */
/* prettier-ignore */
var London = createSpotIllustration("offices-london.svg");
/* prettier-ignore */
var Melbourne = createSpotIllustration("offices-melbourne.svg");
/* prettier-ignore */
var NewYork = createSpotIllustration("offices-new-york.svg");
/* prettier-ignore */
var SanFrancisco = createSpotIllustration("offices-san-francisco.svg");
/**
 * Values
 */
/* prettier-ignore */
var AmplifyOthers = createSpotIllustration("values-amplify-others.svg");
/* prettier-ignore */
var HaveTheCourageToBeVulnerable = createSpotIllustration("values-have-the-courage-to-be-vulnerable.svg");
/* prettier-ignore */
var LearnFasterThroughFeedback = createSpotIllustration("values-learn-faster-through-feedback.svg");
/* prettier-ignore */
var TrustOthersToMakeDecisions = createSpotIllustration("values-trust-others-to-make-decisions.svg");
/**
 * Template Library / COVID-19
 */
/* prettier-ignore */
var WellbeingSurvey = createSpotIllustration("template-library-wellbeing-survey.svg");
/* prettier-ignore */
var Response = createSpotIllustration("template-library-response.svg");
/* prettier-ignore */
var RemoteWorkQSet = createSpotIllustration("template-library-remote-work-q-set.svg");
/* prettier-ignore */
var ReturnToWorkplace = createSpotIllustration("template-library-return-to-workplace.svg");
/* prettier-ignore */
var PulseSurvey = createSpotIllustration("template-library-pulse-survey.svg");
/**
 * New Account
 */
/* prettier-ignore */
var AccountBasics = createSpotIllustration("new-account-account-basics.svg");
/* prettier-ignore */
var CompanyDetails = createSpotIllustration("new-account-company-details.svg");
/* prettier-ignore */
var EmployeeData = createSpotIllustration("new-account-employee-data.svg");
/* prettier-ignore */
var Gdpr = createSpotIllustration("new-account-gdpr.svg");
/* prettier-ignore */
var Timezone = createSpotIllustration("new-account-timezone.svg");
/* prettier-ignore */
var AddUser = createSpotIllustration("new-account-add-user.svg");
/**
 * Skills Coach (previously referred to as Manager Learning)
 */
/* prettier-ignore */
var Strategy = createSpotIllustration("skills-coach-strategy.svg");
/* prettier-ignore */
var Resilience = createSpotIllustration("skills-coach-resilience.svg");
/* prettier-ignore */
var EssentialResilience = createSpotIllustration("skills-coach-essential-resillience.svg");
/* prettier-ignore */
var RemoteManager = createSpotIllustration("skills-coach-remote-manager.svg");
/* prettier-ignore */
var Productivity = createSpotIllustration("skills-coach-productivity.svg");
/* prettier-ignore */
var EssentialProductivity = createSpotIllustration("skills-coach-essential-productivity.svg");
/* prettier-ignore */
var InfluentialCommunication = createSpotIllustration("skills-coach-influential-communication.svg");
/* prettier-ignore */
var LeadingChange = createSpotIllustration("skills-coach-leading-change.svg");
/* prettier-ignore */
var ManagerLearning = createSpotIllustration("skills-coach-manager-learning.svg");
/* prettier-ignore */
var Feedback = createSpotIllustration("skills-coach-feedback.svg");
/* prettier-ignore */
var Coaching = createSpotIllustration("skills-coach-coaching.svg");
/* prettier-ignore */
var OneOnOne = createSpotIllustration("skills-coach-1-on-1.svg");
/**
 * Miscellaneous
 */
/* prettier-ignore */
var ActionPlans = createSpotIllustration("miscellaneous-action-plans.svg");
/* prettier-ignore */
var BCorp = createSpotIllustration("miscellaneous-b-corp.svg");
/* prettier-ignore */
var Behaviour = createSpotIllustration("miscellaneous-behavior.svg");
/* prettier-ignore */
var ChangeAgents = createSpotIllustration("miscellaneous-change-agents.svg");
/* prettier-ignore */
var Communications = createSpotIllustration("miscellaneous-communications.svg");
/* prettier-ignore */
var Community = createSpotIllustration("miscellaneous-community.svg");
/* prettier-ignore */
var Company = createSpotIllustration("miscellaneous-company.svg");
/* prettier-ignore */
var Conversations = createSpotIllustration("miscellaneous-conversations.svg");
/* prettier-ignore */
var DataVisualization = createSpotIllustration("miscellaneous-data-visualization.svg");
/* prettier-ignore */
var Goals = createSpotIllustration("miscellaneous-goals.svg");
/* prettier-ignore */
var Insights = createSpotIllustration("miscellaneous-insights.svg");
/* prettier-ignore */
var Learn = createSpotIllustration("miscellaneous-learn.svg");
/* prettier-ignore */
var Microphone = createSpotIllustration("miscellaneous-microphone.svg");
/* prettier-ignore */
var PaperPen = createSpotIllustration("miscellaneous-paper-pen.svg");
/* prettier-ignore */
var PowerfulInsights = createSpotIllustration("miscellaneous-powerful-insights.svg");
/* prettier-ignore */
var Privacy = createSpotIllustration("miscellaneous-privacy.svg");
/* prettier-ignore */
var Process = createSpotIllustration("miscellaneous-process.svg");
/* prettier-ignore */
var Resources = createSpotIllustration("miscellaneous-resources.svg");
/* prettier-ignore */
var ScienceBackedTools = createSpotIllustration("miscellaneous-science-backed-tools.svg");
/* prettier-ignore */
var SkillsDevelopment = createSpotIllustration("miscellaneous-skills-development.svg");
/* prettier-ignore */
var ViewReports = createSpotIllustration("miscellaneous-view-reports.svg");
/* prettier-ignore */
var ReadArticle = createSpotIllustration("miscellaneous-read-article.svg");
/* prettier-ignore */
var FastAction = createSpotIllustration("miscellaneous-fast-action.svg");
/* prettier-ignore */
var BaselineSurvey = createSpotIllustration("miscellaneous-baseline-survey.svg");
/* prettier-ignore */
var SpreadsheetTemplate = createSpotIllustration("miscellaneous-spreadsheet-template.svg");
/* prettier-ignore */
var AddImage = createSpotIllustration("miscellaneous-add-image.svg");
/* prettier-ignore */
var MeetingVoices = createSpotIllustration("miscellaneous-meeting-voices.svg");
/* prettier-ignore */
var Workshop = createSpotIllustration("miscellaneous-workshop.svg");
/* prettier-ignore */
var Video = createSpotIllustration("miscellaneous-video.svg");
/* prettier-ignore */
var ReportSharing = createSpotIllustration("miscellaneous-report-sharing.svg");
/* prettier-ignore */
var BlankSurvey = createSpotIllustration("miscellaneous-blank-survey.svg");
/* prettier-ignore */
var TakeAim = createSpotIllustration("miscellaneous-take-aim.svg");
/* prettier-ignore */
var Action = createSpotIllustration("miscellaneous-action.svg");
/* prettier-ignore */
var Training1 = createSpotIllustration("miscellaneous-training-1.svg");
/* prettier-ignore */
var Training2 = createSpotIllustration("miscellaneous-training-2.svg");
/* prettier-ignore */
var Training3 = createSpotIllustration("miscellaneous-training-3.svg");
/* prettier-ignore */
var ShareReport = createSpotIllustration("miscellaneous-share-report.svg");
// TODO: Component Name change
/* prettier-ignore */
var Team1 = createSpotIllustration("miscellaneous-team-1.svg");
/* prettier-ignore */
var Team2 = createSpotIllustration("miscellaneous-team-2.svg");
/* prettier-ignore */
var Templates = createSpotIllustration("miscellaneous-templates.svg");
/* prettier-ignore */
var ExecutiveReportSharing = createSpotIllustration("miscellaneous-executive-report-sharing.svg");
/* prettier-ignore */
var ManagerReportSharing = createSpotIllustration("miscellaneous-manager-report-sharing.svg");
/* prettier-ignore */
var LeaderReportSharing = createSpotIllustration("miscellaneous-leader-report-sharing.svg");
/* prettier-ignore */
var Alarm = createSpotIllustration("miscellaneous-alarm.svg");
/* prettier-ignore */
var Fire = createSpotIllustration("miscellaneous-fire.svg");
/* prettier-ignore */
var Fireworks = createSpotIllustration("miscellaneous-fireworks.svg");
/* prettier-ignore */
var FullImport = createSpotIllustration("miscellaneous-full-import.svg");
/* prettier-ignore */
var HrisImport = createSpotIllustration("miscellaneous-hris-import.svg");
/* prettier-ignore */
var PartialImport = createSpotIllustration("miscellaneous-partial-import.svg");
/* prettier-ignore */
var Starburst = createSpotIllustration("miscellaneous-starburst.svg");
/* prettier-ignore */
var Stop = createSpotIllustration("miscellaneous-stop.svg");
/* prettier-ignore */
var TrafficCone = createSpotIllustration("miscellaneous-traffic-cone.svg");
/* prettier-ignore */
var Trophy = createSpotIllustration("miscellaneous-trophy.svg");
/* prettier-ignore */
var UnderConstruction = createSpotIllustration("miscellaneous-under-construction.svg");
/* prettier-ignore */
var ValueAdd = createSpotIllustration("miscellaneous-value-add.svg");
/* prettier-ignore */
var Recommendation = createSpotIllustration("miscellaneous-recommendation.svg");
/* prettier-ignore */
var Objective = createSpotIllustration("miscellaneous-objective.svg");
/* prettier-ignore */
var CalendarSync = createSpotIllustration("miscellaneous-calendar-sync.svg");
export { AccountBasics, Action, ActionPlans, AddImage, AddUser, Alarm, AmplifyOthers, Assertive, BCorp, BaselineSurvey, Behaviour, BenefitsSurvey, BlankSurvey, CalendarSync, CandidateSurvey, Cautionary, ChangeAgents, ChangeReadiness, ChangeSuccess, Coaching, Communications, Community, Company, CompanyDetails, Conversations, CustomOnboardSurvey, CustomSurvey, CustomUnattributedSurvey, DataVisualization, EmergencyResponse, EmployeeData, EndOfProbation, EngagementSurvey, EssentialProductivity, EssentialResilience, ExecutiveReportSharing, ExitSurvey, FastAction, Feedback, Fire, Fireworks, FullImport, Gdpr, GeneralOnboardSurvey, Goals, HaveTheCourageToBeVulnerable, HealthAndSafety, HrisImport, InclusionSurvey, Individual180, Individual360, InfluentialCommunication, Informative, Insights, InternSurvey, LeaderReportSharing, Leadership180, Leadership360, LeadingChange, LeadingThroughCrisis, Learn, LearnFasterThroughFeedback, London, Manager180, Manager360, ManagerLearning, ManagerReportSharing, MeetingVoices, Melbourne, Microphone, Negative, NewWaysOfWorking, NewYork, Objective, OneOnOne, PaperPen, PartialImport, PerformanceDiagnostics, PhasedWeek1OnboardSurvey, PhasedWeek5OnboardSurvey, Positive, PowerfulInsights, Privacy, Process, Productivity, PulseSurvey, QuickEngagementSurvey, ReOnboarding, ReadArticle, Recommendation, RemoteManager, RemoteOnboardSurvey, RemoteWorkQSet, ReportSharing, Resilience, Resources, Response, ReturnToWorkplace, SanFrancisco, ScienceBackedTools, ShareReport, SinglePointOnboardSurvey, SkillsDevelopment, SpreadsheetTemplate, Starburst, Stop, Strategy, TakeAim, Team1, Team2, TeamEffectiveness1, TeamEffectiveness2, Templates, Timezone, TrafficCone, Training1, Training2, Training3, Trophy, TrustOthersToMakeDecisions, UnderConstruction, ValueAdd, ValuesSurvey1, ValuesSurvey2, Video, ViewReports, WellbeingSurvey, WellbeingSurvey1, WellbeingSurvey2, WellbeingSurvey3, Workshop };
