/**
 * Detect whether the current browser can play webm files
 */
var canPlayWebm = function () {
  if (typeof window === 'undefined') return false;
  // Don't trust Safari's canPlayType implementation, as there is partial support for webm
  var isSafari = /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
  if (isSafari) {
    return false;
  }
  // Attempt webm feature detection
  var video = document.createElement('video');
  if (video.canPlayType('video/webm; codecs=vp9') === 'probably') {
    return true;
  }
  return false;
};
export { canPlayWebm };
