import { __rest, __assign, __spreadArray } from 'tslib';
import React, { useState } from 'react';
import classnames from 'classnames';
import { Text } from '../../Text/Text.mjs';
import { VisuallyHidden } from '../../VisuallyHidden/VisuallyHidden.mjs';
import styles from './InputRange.module.scss.mjs';

/**
 * {@link https://cultureamp.design/?path=/docs/components-input-range--docs Storybook}
 */
const InputRange = /*#__PURE__*/function () {
  const InputRange = function (_a) {
    var id = _a.id,
      defaultValue = _a.defaultValue,
      value = _a.value,
      minLabel = _a.minLabel,
      maxLabel = _a.maxLabel,
      _b = _a.min,
      min = _b === void 0 ? 1 : _b,
      _c = _a.max,
      max = _c === void 0 ? 10 : _c,
      onChange = _a.onChange,
      ariaDescribedby = _a["aria-describedby"],
      classNameOverride = _a.classNameOverride,
      disabled = _a.disabled,
      readOnly = _a.readOnly,
      restProps = __rest(_a, ["id", "defaultValue", "value", "minLabel", "maxLabel", "min", "max", "onChange", 'aria-describedby', "classNameOverride", "disabled", "readOnly"]);
    var _d = useState(0.5),
      step = _d[0],
      setStep = _d[1]; // Let the dot center between the notch initially
    var visuallyHiddenHintId = "".concat(id, "-helper");
    var readOnlyWithNoValue = readOnly && !value && !defaultValue;
    // This has been split out into a different variable to allow usage of defaultValue above^
    // Plus it lets us use max from props with its default value
    var defaultValueWithDefault = defaultValue !== null && defaultValue !== void 0 ? defaultValue : (max + 1) / 2;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("input", __assign({
      id: id,
      className: classnames(styles.ratingScaleRange, classNameOverride, readOnlyWithNoValue && styles.hideThumb, disabled && styles.disabled),
      disabled: disabled !== null && disabled !== void 0 ? disabled : readOnly,
      type: "range",
      min: min,
      max: max,
      step: step,
      defaultValue: value ? undefined : defaultValueWithDefault,
      value: value,
      "aria-valuenow": value,
      "aria-valuemin": min,
      "aria-valuemax": max,
      "aria-describedby": "".concat(visuallyHiddenHintId, " ").concat(ariaDescribedby !== null && ariaDescribedby !== void 0 ? ariaDescribedby : ''),
      onChange: function (e) {
        setStep(1); // Put the stepper to 1 to avoid floating value
        onChange === null || onChange === void 0 ? void 0 : onChange(e);
      }
    }, restProps)), /*#__PURE__*/React.createElement("div", {
      className: classnames(styles.spokes, disabled && styles.disabled)
    }, __spreadArray([], Array(max), true).map(function (_, index) {
      return /*#__PURE__*/React.createElement("div", {
        key: "".concat(id, "-spoke-").concat(index),
        className: styles.spokeContainer
      }, /*#__PURE__*/React.createElement("div", {
        className: styles.spoke
      }));
    })), /*#__PURE__*/React.createElement(VisuallyHidden, {
      id: visuallyHiddenHintId
    }, min, " is ", minLabel, ", ", max, " is ", maxLabel), /*#__PURE__*/React.createElement("div", {
      className: styles.labelsContainer
    }, !readOnlyWithNoValue && (/*#__PURE__*/React.createElement("div", {
      className: classnames(styles.sliderLabels, disabled && styles.disabled)
    }, /*#__PURE__*/React.createElement(Text, {
      variant: "small",
      color: "dark-reduced-opacity",
      tag: "span"
    }, minLabel), /*#__PURE__*/React.createElement(Text, {
      variant: "small",
      color: "dark-reduced-opacity",
      tag: "span"
    }, maxLabel)))));
  };
  InputRange.displayName = 'InputRange';
  return InputRange;
}();
export { InputRange };
