import React, { useState, useEffect } from 'react';
import '../Notification/InlineNotification/InlineNotification.mjs';
import '../Notification/GlobalNotification/GlobalNotification.mjs';
import '../Notification/ToastNotification/ToastNotification/ToastNotification.mjs';
import { ToastNotificationsList } from '../Notification/ToastNotification/ToastNotificationsList/ToastNotificationsList.mjs';
import { ToastNotificationProvider } from '../Notification/ToastNotification/context/ToastNotificationContext.mjs';
import { FontDefinitions } from './subcomponents/FontDefinitions/FontDefinitions.mjs';
import { OptionalIntlProvider } from './subcomponents/OptionalIntlProvider/OptionalIntlProvider.mjs';
const KaizenProvider = /*#__PURE__*/function () {
  const KaizenProvider = function (_a) {
    var children = _a.children,
      _b = _a.locale,
      locale = _b === void 0 ? 'en' : _b;
    var _c = useState(false),
      documentIsAvailable = _c[0],
      setDocumentIsAvailable = _c[1];
    useEffect(function () {
      // SSR does not have a document, which is required for ToastNotificationsList.
      // Await document render before rendering the component.
      if (document !== undefined) {
        setDocumentIsAvailable(true);
      }
    }, []);
    return /*#__PURE__*/React.createElement(OptionalIntlProvider, {
      locale: locale
    }, /*#__PURE__*/React.createElement(ToastNotificationProvider, null, documentIsAvailable && /*#__PURE__*/React.createElement(ToastNotificationsList, null), children), /*#__PURE__*/React.createElement(FontDefinitions, null));
  };
  KaizenProvider.displayName = 'KaizenProvider';
  return KaizenProvider;
}();
export { KaizenProvider };
