import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { Link as Link$1 } from 'react-aria-components';
import { mergeClassNames } from '../utils/mergeClassNames.mjs';
import { LinkContent } from './subcomponents/LinkContent.mjs';
import styles from './Link.module.css.mjs';
const Link = /*#__PURE__*/function () {
  const Link = /*#__PURE__*/forwardRef(function (_a, ref) {
    var children = _a.children,
      _b = _a.variant,
      variant = _b === void 0 ? 'primary' : _b,
      _c = _a.size,
      size = _c === void 0 ? 'body' : _c,
      icon = _a.icon,
      _d = _a.iconPosition,
      iconPosition = _d === void 0 ? 'end' : _d,
      _e = _a.isInline,
      isInline = _e === void 0 ? false : _e,
      isDisabled = _a.isDisabled,
      className = _a.className,
      _f = _a.isUnderlined,
      isUnderlined = _f === void 0 ? true : _f,
      otherProps = __rest(_a, ["children", "variant", "size", "icon", "iconPosition", "isInline", "isDisabled", "className", "isUnderlined"]);
    var childIsFunction = typeof children === 'function';
    return /*#__PURE__*/React.createElement(Link$1, __assign({
      ref: ref,
      className: mergeClassNames(styles.link, isDisabled && styles.isDisabled, isInline ? styles.isInline : styles[size], styles[variant], className),
      isDisabled: isDisabled
    }, otherProps), function (racStateProps) {
      return /*#__PURE__*/React.createElement(LinkContent, {
        icon: icon,
        iconPosition: iconPosition,
        isUnderlined: isUnderlined
      }, childIsFunction ? children(racStateProps) : children);
    });
  });
  Link.displayName = 'Link';
  return Link;
}();
export { Link };
