import { __rest, __assign } from 'tslib';
import React, { forwardRef } from 'react';
import { Link } from 'react-aria-components';
import 'classnames';
import '../Loading/LoadingGraphic/LoadingGraphic.mjs';
import '../Loading/LoadingHeading/LoadingHeading.mjs';
import '../Loading/LoadingInput/LoadingInput.mjs';
import '../Loading/LoadingParagraph/LoadingParagraph.mjs';
import '../Loading/LoadingSpinner/LoadingSpinner.mjs';
import '../VisuallyHidden/VisuallyHidden.mjs';
import { ButtonContent } from '../__next__/Button/subcomponents/ButtonContent/ButtonContent.mjs';
import { useReversedColors } from '../utils/ReversedColors/ReversedColors.mjs';
import { mergeClassNames } from '../utils/mergeClassNames.mjs';
import buttonStyles from '../__next__/Button/Button.module.css.mjs';
import styles from './LinkButton.module.css.mjs';
const LinkButton = /*#__PURE__*/function () {
  const LinkButton = /*#__PURE__*/forwardRef(function (_a, ref) {
    var children = _a.children,
      _b = _a.variant,
      variant = _b === void 0 ? 'primary' : _b,
      _c = _a.size,
      size = _c === void 0 ? 'medium' : _c,
      icon = _a.icon,
      _d = _a.iconPosition,
      iconPosition = _d === void 0 ? 'start' : _d,
      _e = _a.hasHiddenLabel,
      hasHiddenLabel = _e === void 0 ? false : _e,
      _f = _a.isFullWidth,
      isFullWidth = _f === void 0 ? false : _f,
      isDisabled = _a.isDisabled,
      className = _a.className,
      isReversed = _a.isReversed,
      otherProps = __rest(_a, ["children", "variant", "size", "icon", "iconPosition", "hasHiddenLabel", "isFullWidth", "isDisabled", "className", "isReversed"]);
    var shouldUseReverse = useReversedColors();
    var isReversedVariant = isReversed !== null && isReversed !== void 0 ? isReversed : shouldUseReverse;
    return /*#__PURE__*/React.createElement(Link, __assign({
      ref: ref,
      className: mergeClassNames(styles.linkButton, buttonStyles.button, buttonStyles[size], hasHiddenLabel && buttonStyles["".concat(size, "IconButton")], isDisabled && buttonStyles.isDisabled, isReversedVariant ? buttonStyles["".concat(variant, "Reversed")] : buttonStyles[variant], isFullWidth && buttonStyles.fullWidth, className),
      isDisabled: isDisabled
    }, otherProps), function (racStateProps) {
      var childIsFunction = typeof children === 'function';
      return /*#__PURE__*/React.createElement(ButtonContent, {
        size: size,
        icon: icon,
        iconPosition: iconPosition,
        hasHiddenLabel: hasHiddenLabel
      }, childIsFunction ? children(racStateProps) : children);
    });
  });
  LinkButton.displayName = 'LinkButton';
  return LinkButton;
}();
export { LinkButton };
