import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './LoadingHeading.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadingheading--docs Storybook}
 */
const LoadingHeading = /*#__PURE__*/function () {
  const LoadingHeading = function (_a) {
    var isAnimated = _a.isAnimated,
      isReversed = _a.isReversed,
      width = _a.width,
      isLink = _a.isLink,
      classNameOverride = _a.classNameOverride,
      variant = _a.variant,
      props = __rest(_a, ["isAnimated", "isReversed", "width", "isLink", "classNameOverride", "variant"]);
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.loadingHeading, classNameOverride, styles[variant], isAnimated && styles.isAnimated, isReversed && styles.isReversed, isLink && styles.link),
      style: {
        width: "".concat(width, "%")
      }
    }, props));
  };
  LoadingHeading.displayName = 'LoadingHeading';
  return LoadingHeading;
}();
export { LoadingHeading };
