import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './LoadingInput.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadinginput--docs Storybook}
 */
const LoadingInput = /*#__PURE__*/function () {
  const LoadingInput = function (_a) {
    var isAnimated = _a.isAnimated,
      isReversed = _a.isReversed,
      width = _a.width,
      classNameOverride = _a.classNameOverride,
      _b = _a.height,
      height = _b === void 0 ? 48 : _b,
      props = __rest(_a, ["isAnimated", "isReversed", "width", "classNameOverride", "height"]);
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.loadingInput, isAnimated && styles.isAnimated, isReversed && styles.isReversed, classNameOverride),
      style: {
        width: "".concat(width, "%"),
        height: "".concat(height, "px")
      }
    }, props));
  };
  LoadingInput.displayName = 'LoadingInput';
  return LoadingInput;
}();
export { LoadingInput };
