import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { VisuallyHidden } from '../../VisuallyHidden/VisuallyHidden.mjs';
import { SpinnerIcon } from './subcomponents/SpinnerIcon.mjs';
import styles from './LoadingSpinner.module.css.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082093253/Loading+Spinner Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-loadingspinner--docs Storybook}
 */
const LoadingSpinner = /*#__PURE__*/function () {
  const LoadingSpinner = function (_a) {
    var _b = _a.accessibilityLabel,
      accessibilityLabel = _b === void 0 ? 'Loading' : _b,
      _c = _a.size,
      size = _c === void 0 ? 'md' : _c,
      classNameOverride = _a.classNameOverride,
      props = __rest(_a, ["accessibilityLabel", "size", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.loadingSpinner, styles[size], classNameOverride),
      role: "status"
    }, props), /*#__PURE__*/React.createElement(VisuallyHidden, null, accessibilityLabel), /*#__PURE__*/React.createElement(SpinnerIcon, {
      size: size
    }));
  };
  LoadingSpinner.displayName = 'LoadingSpinner';
  return LoadingSpinner;
}();
export { LoadingSpinner };
