import { __rest, __assign } from 'tslib';
import React, { useState } from 'react';
import { StatelessMenu } from './subcomponents/StatelessMenu/StatelessMenu.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082059782/Menu Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-menu--docs Storybook}
 */
const Menu = /*#__PURE__*/function () {
  const Menu = function (_a) {
    var button = _a.button,
      _b = _a.menuVisible,
      menuVisible = _b === void 0 ? false : _b,
      rest = __rest(_a, ["button", "menuVisible"]);
    var _c = useState(menuVisible),
      isMenuVisible = _c[0],
      setIsMenuVisible = _c[1];
    var toggleMenuDropdown = function () {
      setIsMenuVisible(!isMenuVisible);
    };
    var hideMenuDropdown = function () {
      setIsMenuVisible(false);
    };
    return /*#__PURE__*/React.createElement(StatelessMenu, __assign({}, rest, {
      isMenuVisible: isMenuVisible,
      toggleMenuDropdown: toggleMenuDropdown,
      hideMenuDropdown: hideMenuDropdown,
      // `StatelessMenu` is one of the newer components, so it uses a render function,
      // as opposed to `React.cloneElement`.
      // `cloneElement` has its problems, mainly because it's somewhat magical, can lead
      // to unexpected behaviour, and it doesn't self document. Hence, the switch
      // to the render function. It would be nice if the `Menu` component also
      // used this pattern, but it's probably not worth the time and effort.
      renderButton: function (props) {
        return /*#__PURE__*/React.cloneElement(button, __assign(__assign({}, props), {
          onClick: function (e) {
            var _a, _b;
            props.onClick(e);
            (_b = (_a = button.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);
          },
          onMouseDown: function (e) {
            var _a, _b;
            props.onMouseDown(e);
            (_b = (_a = button.props).onMouseDown) === null || _b === void 0 ? void 0 : _b.call(_a, e);
          }
        }));
      }
    }));
  };
  Menu.displayName = 'Menu';
  return Menu;
}();
export { Menu };
