import React from 'react';
import classnames from 'classnames';
import styles from './MenuItem.module.scss.mjs';
const MenuItem = /*#__PURE__*/function () {
  const MenuItem = function (_a) {
    var label = _a.label,
      icon = _a.icon,
      destructive = _a.destructive,
      disabled = _a.disabled,
      onClick = _a.onClick,
      href = _a.href,
      target = _a.target,
      isActive = _a.isActive,
      dataTestId = _a["data-testid"],
      id = _a.id;
    var wrappedLabel = /*#__PURE__*/React.createElement("span", {
      className: styles.menuItem__Label
    }, label);
    var iconNode = icon && /*#__PURE__*/React.createElement("span", {
      className: styles.menuItem__Icon
    }, icon);
    var className = classnames(styles.menuItem, destructive && styles['menuItem--destructive'], disabled && styles['menuItem--disabled'], isActive && styles['menuItem--active']);
    if (disabled) {
      return /*#__PURE__*/React.createElement("li", {
        className: styles.menuListItem
      }, /*#__PURE__*/React.createElement("button", {
        id: id,
        type: "button",
        disabled: true,
        className: className,
        "data-testid": dataTestId
      }, iconNode, wrappedLabel));
    }
    if (href) {
      return /*#__PURE__*/React.createElement("li", {
        className: styles.menuListItem
      }, /*#__PURE__*/React.createElement("a", {
        id: id,
        href: href,
        onClick: onClick,
        className: className,
        target: target,
        "aria-current": isActive ? 'page' : undefined,
        "data-testid": dataTestId
      }, iconNode, wrappedLabel));
    }
    return /*#__PURE__*/React.createElement("li", {
      className: styles.menuListItem
    }, /*#__PURE__*/React.createElement("button", {
      id: id,
      type: "button",
      onClick: onClick,
      className: className,
      "data-testid": dataTestId
    }, iconNode, wrappedLabel));
  };
  MenuItem.displayName = 'MenuItem';
  return MenuItem;
}();
export { MenuItem };
