import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Button } from '../../../../Button/Button/Button.mjs';
import '../../../../Button/IconButton/IconButton.mjs';
import { useMediaQueries } from '../../../../utils/useMediaQueries.mjs';
import { ModalBody } from '../ModalBody/ModalBody.mjs';
import styles from './ModalFooter.module.scss.mjs';
const ModalFooter = /*#__PURE__*/function () {
  const ModalFooter = function (_a) {
    var unpadded = _a.unpadded,
      actions = _a.actions,
      _b = _a.appearance,
      appearance = _b === void 0 ? 'primary' : _b,
      alignStart = _a.alignStart,
      variant = _a.variant,
      props = __rest(_a, ["unpadded", "actions", "appearance", "alignStart", "variant"]);
    var queries = useMediaQueries().queries;
    return /*#__PURE__*/React.createElement(ModalBody, {
      inputEdit: variant === 'inputEdit'
    }, /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.actions, !unpadded && styles.padded, variant === 'context' && styles.informationPadded, alignStart && styles.actionsAlignStart)
    }, props), actions.map(function (action, index) {
      return /*#__PURE__*/React.createElement("div", {
        className: styles.actionButton,
        key: index
      }, /*#__PURE__*/React.createElement(Button, __assign({
        type: "button",
        primary: index === 0 && appearance === 'primary',
        destructive: index === 0 && appearance === 'destructive',
        secondary: index > 0,
        fullWidth: queries.isSmall
      }, action)));
    })));
  };
  ModalFooter.displayName = 'ModalFooter';
  return ModalFooter;
}();
export { ModalFooter };
