import { __rest, __assign } from 'tslib';
import React, { useRef, useEffect } from 'react';
import classnames from 'classnames';
import { Icon } from '../../../__next__/Icon/Icon.mjs';
import styles from './Checkbox.module.scss.mjs';
var renderIcon = function (status) {
  if (status === 'unchecked') return null;
  return /*#__PURE__*/React.createElement(Icon, {
    name: status === 'checked' ? 'check' : 'remove',
    isPresentational: true,
    className: styles.icon
  });
};
const Checkbox = /*#__PURE__*/function () {
  const Checkbox = function (_a) {
    var checkedStatus = _a.checkedStatus,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["checkedStatus", "classNameOverride"]);
    var checkboxRef = useRef(null);
    useEffect(function () {
      if (checkboxRef.current) {
        if (checkedStatus === 'checked') {
          checkboxRef.current.checked = true;
          checkboxRef.current.indeterminate = false;
        } else if (checkedStatus === 'unchecked') {
          checkboxRef.current.checked = false;
          checkboxRef.current.indeterminate = false;
        } else if (checkedStatus === 'indeterminate') {
          checkboxRef.current.checked = false;
          checkboxRef.current.indeterminate = true;
        }
      }
    }, [checkedStatus]);
    return /*#__PURE__*/React.createElement("span", {
      className: classnames(styles.checkbox, checkedStatus !== 'unchecked' && styles.selected, classNameOverride)
    }, /*#__PURE__*/React.createElement("input", __assign({
      ref: checkboxRef,
      type: "checkbox",
      className: styles.nativeCheckbox
    }, restProps)), /*#__PURE__*/React.createElement("span", {
      className: styles.iconContainer
    }, renderIcon(checkedStatus)));
  };
  Checkbox.displayName = 'Checkbox';
  return Checkbox;
}();
export { Checkbox };
