import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Text } from '../../../Text/Text.mjs';
import { VisuallyHidden } from '../../../VisuallyHidden/VisuallyHidden.mjs';
import { MultiSelectOptionField } from '../MultiSelectOptionField/MultiSelectOptionField.mjs';
import styles from './MultiSelectOptions.module.scss.mjs';
const MultiSelectOptions = /*#__PURE__*/function () {
  const MultiSelectOptions = function (_a) {
    var id = _a.id,
      options = _a.options,
      selectedValues = _a.selectedValues,
      onChange = _a.onChange,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["id", "options", "selectedValues", "onChange", "classNameOverride"]);
    var optionsCountId = "".concat(id, "--options-count");
    var handleOptionChange = function (optionValue) {
      var newValues = new Set(selectedValues.values());
      if (newValues.has(optionValue)) {
        newValues.delete(optionValue);
      } else {
        newValues.add(optionValue);
      }
      onChange(newValues);
    };
    return /*#__PURE__*/React.createElement("fieldset", __assign({
      id: id,
      "aria-describedby": optionsCountId,
      className: classnames(styles.multiSelectOptions, classNameOverride)
    }, restProps), /*#__PURE__*/React.createElement(VisuallyHidden, {
      id: optionsCountId,
      "aria-live": "polite"
    }, "Options available: ", options.length), options.length === 0 ? (/*#__PURE__*/React.createElement(Text, {
      tag: "span",
      variant: "body"
    }, "No options available")) : options.map(function (option) {
      return /*#__PURE__*/React.createElement(MultiSelectOptionField, {
        key: option.value,
        id: "".concat(id, "--").concat(option.value),
        onChange: function () {
          return handleOptionChange(option.value);
        },
        checkedStatus: selectedValues.has(option.value) ? 'checked' : 'unchecked',
        option: option
      });
    }));
  };
  MultiSelectOptions.displayName = 'MultiSelectOptions';
  return MultiSelectOptions;
}();
export { MultiSelectOptions };
