import { __rest, __assign } from 'tslib';
import React from 'react';
import { createPortal } from 'react-dom';
import { useFloating, autoUpdate, offset, flip, size } from '@floating-ui/react-dom';
import classnames from 'classnames';
import { FocusOn } from 'react-focus-on';
import styles from './Popover.module.scss.mjs';
const Popover = /*#__PURE__*/function () {
  const Popover = function (_a) {
    var children = _a.children,
      refs = _a.refs,
      floatingOptions = _a.floatingOptions,
      focusOnProps = _a.focusOnProps,
      portalContainer = _a.portalContainer,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["children", "refs", "floatingOptions", "focusOnProps", "portalContainer", "classNameOverride"]);
    var floatingStyles = useFloating(__assign({
      elements: {
        reference: refs.reference.current,
        floating: refs.floating.current
      },
      placement: 'bottom-start',
      middleware: [offset(6), flip(), size({
        apply: function (_a) {
          var availableWidth = _a.availableWidth,
            availableHeight = _a.availableHeight,
            elements = _a.elements;
          Object.assign(elements.floating.style, {
            maxWidth: "".concat(Math.min(availableWidth, 400), "px"),
            minWidth: "".concat(Math.min(availableWidth, 196), "px"),
            maxHeight: "".concat(Math.min(availableHeight, 352), "px")
          });
        }
      })],
      whileElementsMounted: autoUpdate
    }, floatingOptions)).floatingStyles;
    return /*#__PURE__*/createPortal(/*#__PURE__*/React.createElement(FocusOn, __assign({
      enabled: false,
      scrollLock: false
    }, focusOnProps), /*#__PURE__*/React.createElement("div", __assign({
      ref: refs.setFloating,
      style: floatingStyles,
      className: classnames(styles.popover, classNameOverride)
    }, restProps), children)), portalContainer !== null && portalContainer !== void 0 ? portalContainer : document.body);
  };
  Popover.displayName = 'Popover';
  return Popover;
}();
export { Popover };
