import { __rest, __assign } from 'tslib';
import { useId, useEffect } from 'react';
import { useToastNotificationContext } from '../context/ToastNotificationContext.mjs';
var ToastNotification = function (_a) {
  var propsId = _a.id,
    _b = _a.hideCloseIcon,
    hideCloseIcon = _b === void 0 ? false : _b,
    title = _a.title,
    onHide = _a.onHide,
    children = _a.children,
    restProps = __rest(_a, ["id", "hideCloseIcon", "title", "onHide", "children"]);
  var fallbackId = useId();
  var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
  var addToastNotification = useToastNotificationContext().addToastNotification;
  var persistent = hideCloseIcon;
  useEffect(function () {
    addToastNotification(__assign({
      id: id,
      title: title,
      message: children,
      persistent: persistent,
      onHide: onHide
    }, restProps));
    // Only run on first render
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  return null;
};
ToastNotification.displayName = 'ToastNotification';
export { ToastNotification };
