import React, { useState, useEffect } from 'react';
import { useToastNotificationContext } from '../context/ToastNotificationContext.mjs';
import { ToastNotificationsMap } from './subcomponents/ToastNotificationsMap/ToastNotificationsMap.mjs';
import styles from './ToastNotificationsList.module.scss.mjs';
var toastNotificationListId = 'toast-notifications-list';
const ToastNotificationsList = /*#__PURE__*/function () {
  const ToastNotificationsList = function () {
    var _a = useToastNotificationContext(),
      notifications = _a.notifications,
      removeToastNotification = _a.removeToastNotification;
    var _b = useState(null),
      toastContainer = _b[0],
      setToastContainer = _b[1];
    useEffect(function () {
      // this is to ensure that the container is created only once. Regardless of how many KaizenProvider is set up, they will also reuse the same container.
      var container = document.querySelector("[id=\"".concat(toastNotificationListId, "\"]"));
      if (!container) {
        container = document.createElement('div');
        container.setAttribute('id', toastNotificationListId);
        container.setAttribute('role', 'status');
        container.className = styles.toastNotificationsList;
        document.body.appendChild(container);
      }
      setToastContainer(container);
    }, []);
    return toastContainer ? (/*#__PURE__*/React.createElement(ToastNotificationsMap, {
      notifications: notifications,
      onHide: removeToastNotification,
      container: toastContainer
    })) : (/*#__PURE__*/React.createElement(React.Fragment, null));
  };
  ToastNotificationsList.displayName = 'ToastNotificationsList';
  return ToastNotificationsList;
}();
export { ToastNotificationsList };
