import { __rest, __assign } from 'tslib';
import React from 'react';
import { createPortal } from 'react-dom';
import { GenericNotification } from '../../../../subcomponents/GenericNotification/GenericNotification.mjs';
const ToastNotificationsMap = /*#__PURE__*/function () {
  const ToastNotificationsMap = function (_a) {
    var notifications = _a.notifications,
      defaultOnHide = _a.onHide,
      container = _a.container;
    if (!container) return null;
    // To consolidate all notifications into a single list when there are multiple contexts,
    // this list cannot render with a container (must be portalled into one).
    return /*#__PURE__*/createPortal(/*#__PURE__*/React.createElement(React.Fragment, null, notifications.map(function (_a) {
      var id = _a.id,
        title = _a.title,
        persistent = _a.persistent,
        onHide = _a.onHide,
        message = _a.message,
        restProps = __rest(_a, ["id", "title", "persistent", "onHide", "message"]);
      return /*#__PURE__*/React.createElement(GenericNotification, __assign({
        key: id,
        style: "toast",
        title: title,
        persistent: persistent,
        onHide: function () {
          if (typeof onHide !== 'undefined') {
            onHide();
          }
          defaultOnHide(id);
        }
      }, restProps), message);
    })), container);
  };
  ToastNotificationsMap.displayName = 'ToastNotificationsMap';
  return ToastNotificationsMap;
}();
export { ToastNotificationsMap };
