import React from 'react';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import styles from '../Popover.module.scss.mjs';
var mapVariantToBoxClass = function (variant) {
  switch (variant) {
    case 'informative':
      return styles.informativeBox;
    case 'positive':
      return styles.positiveBox;
    case 'negative':
      return styles.negativeBox;
    case 'cautionary':
      return styles.cautionaryBox;
    default:
      return styles.defaultBox;
  }
};
var mapVariantToIconClass = function (variant) {
  switch (variant) {
    case 'informative':
      return styles.informativeIcon;
    case 'positive':
      return styles.positiveIcon;
    case 'negative':
      return styles.negativeIcon;
    case 'cautionary':
      return styles.cautionaryIcon;
    default:
      return undefined;
  }
};
var mapVariantToIcon = function (variant) {
  switch (variant) {
    case 'informative':
      return /*#__PURE__*/React.createElement(Icon, {
        name: "info",
        isPresentational: true,
        isFilled: true
      });
    case 'positive':
      return /*#__PURE__*/React.createElement(Icon, {
        name: "check_circle",
        isPresentational: true,
        isFilled: true
      });
    case 'negative':
      return /*#__PURE__*/React.createElement(Icon, {
        name: "error",
        isPresentational: true,
        isFilled: true
      });
    case 'cautionary':
      return /*#__PURE__*/React.createElement(Icon, {
        name: "warning",
        isPresentational: true,
        isFilled: true
      });
    default:
      return /*#__PURE__*/React.createElement(Icon, {
        name: "info",
        isPresentational: true,
        isFilled: true
      });
  }
};
var mapArrowVariantToClass = function (variant) {
  switch (variant) {
    case 'informative':
      return styles.informativeArrow;
    case 'positive':
      return styles.positiveArrow;
    case 'negative':
      return styles.negativeArrow;
    case 'cautionary':
      return styles.cautionaryArrow;
    default:
      return styles.defaultArrow;
  }
};
var mapSizeToClass = function (size) {
  switch (size) {
    case 'large':
      return styles.large;
    default:
      return '';
  }
};
var mapLineVariant = function (singleLine) {
  return singleLine ? styles.singleLine : '';
};
export { mapArrowVariantToClass, mapLineVariant, mapSizeToClass, mapVariantToBoxClass, mapVariantToIcon, mapVariantToIconClass };
