import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './Radio.module.scss.mjs';
var renderSelected = function (selectedStatus, reversed) {
  if (selectedStatus) {
    return /*#__PURE__*/React.createElement("div", {
      className: classnames(styles.icon, reversed && styles.reversed)
    });
  }
  return;
};
const Radio = /*#__PURE__*/function () {
  const Radio = function (_a) {
    var name = _a.name,
      value = _a.value,
      _b = _a.selectedStatus,
      selectedStatus = _b === void 0 ? false : _b,
      _c = _a.reversed,
      reversed = _c === void 0 ? false : _c,
      onChange = _a.onChange,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["name", "value", "selectedStatus", "reversed", "onChange", "classNameOverride"]);
    return (
      /*#__PURE__*/
      // @todo: Move classNameOverride to span
      React.createElement("span", null, /*#__PURE__*/React.createElement("input", __assign({
        type: "radio",
        name: name,
        value: value,
        checked: selectedStatus,
        className: classnames(styles.radioInput, classNameOverride, reversed && styles.reversed),
        onChange: onChange,
        readOnly: onChange === undefined
      }, restProps)), /*#__PURE__*/React.createElement("span", {
        className: classnames(styles.box, reversed && styles.reversed)
      }, renderSelected(selectedStatus, reversed)))
    );
  };
  Radio.displayName = 'Radio';
  return Radio;
}();
export { Radio };
