import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Label } from '../../Label/Label.mjs';
import { VisuallyHidden } from '../../VisuallyHidden/VisuallyHidden.mjs';
import { RichTextContent } from '../RichTextContent/RichTextContent.mjs';
import styles from './EditableRichTextContent.module.scss.mjs';
var handleEditableClick = function (e, onClick) {
  if (e.target.hasAttribute('href')) {
    return;
  }
  return onClick(e);
};
const EditableRichTextContent = /*#__PURE__*/function () {
  const EditableRichTextContent = function (_a) {
    var onClick = _a.onClick,
      content = _a.content,
      classNameOverride = _a.classNameOverride,
      labelText = _a.labelText,
      _b = _a.isLabelHidden,
      isLabelHidden = _b === void 0 ? false : _b,
      contentProps = _a.contentProps,
      restProps = __rest(_a, ["onClick", "content", "classNameOverride", "labelText", "isLabelHidden", "contentProps"]);
    return /*#__PURE__*/React.createElement(React.Fragment, null, !isLabelHidden && /*#__PURE__*/React.createElement(Label, {
      classNameOverride: styles.editorLabel,
      labelText: labelText
    }), /*#__PURE__*/React.createElement("div", __assign({
      onClick: function (e) {
        return handleEditableClick(e, onClick);
      },
      className: classnames(styles.editableContainer, classNameOverride)
    }, restProps), /*#__PURE__*/React.createElement(VisuallyHidden, {
      classNameOverride: styles.hiddenButton
    }, /*#__PURE__*/React.createElement("button", {
      type: "button",
      onClick: onClick,
      "aria-label": "Edit ".concat(labelText)
    })), /*#__PURE__*/React.createElement(RichTextContent, __assign({
      content: content
    }, contentProps))));
  };
  EditableRichTextContent.displayName = 'EditableRichTextContent';
  return EditableRichTextContent;
}();
export { EditableRichTextContent };
