import { __spreadArray } from 'tslib';

/*
 ** Filters through the states Marks and returns the attributes
 ** of the Mark found, else returns and empty object
 */
var getMarkAttrs = function (state, type) {
  var _a = state.selection,
    from = _a.from,
    to = _a.to;
  var marks = [];
  state.doc.nodesBetween(from, to, function (node) {
    marks = __spreadArray(__spreadArray([], marks, true), node.marks, true);
  });
  var mark = marks.find(function (markItem) {
    return markItem.type.name === type.name;
  });
  if (mark) {
    return mark.attrs;
  }
  return {};
};
export { getMarkAttrs };
