// Note: this doesn't handle selections _across_ nodes.
// At the time of writing the implication of this is on links: they cannot span across multiple nodes.
// There's no impact on the other marks like bold, italics and underline.
var getMarkRange = function ($pos, type) {
  if ($pos === void 0) {
    $pos = null;
  }
  if (type === void 0) {
    type = null;
  }
  if (!$pos || !type) {
    return null;
  }
  var start = $pos.parent.childAfter($pos.parentOffset);
  if (!start.node) {
    return null;
  }
  var mark = start.node.marks.find(function (m) {
    return m.type === type;
  });
  if (!mark) {
    return null;
  }
  var startIndex = $pos.index();
  var startPos = $pos.start() + start.offset;
  var endIndex = startIndex + 1;
  var endPos = startPos + start.node.nodeSize;
  while (startIndex > 0 && mark.isInSet($pos.parent.child(startIndex - 1).marks)) {
    startIndex -= 1;
    startPos -= $pos.parent.child(startIndex).nodeSize;
  }
  while (endIndex < $pos.parent.childCount && mark.isInSet($pos.parent.child(endIndex).marks)) {
    endPos += $pos.parent.child(endIndex).nodeSize;
    endIndex += 1;
  }
  return {
    from: startPos,
    to: endPos
  };
};
export { getMarkRange };
