import React, { forwardRef, useState, useEffect, useRef } from 'react';
import { createPortal } from 'react-dom';
import debounce from 'lodash.debounce';
const Positioner = /*#__PURE__*/function () {
  const Positioner = /*#__PURE__*/forwardRef(function (_a, ref) {
    var top = _a.top,
      left = _a.left,
      height = _a.height,
      width = _a.width;
    var _b = useState(),
      portalContainer = _b[0],
      setPortalContainer = _b[1];
    var _c = useState(),
      windowScroll = _c[0],
      setWindowScroll = _c[1];
    useEffect(function () {
      setWindowScroll([window.scrollX, window.scrollY]);
      setPortalContainer(document.body);
    }, []);
    var onResize = useRef(debounce(function () {
      return setWindowScroll([window.scrollX, window.scrollY]);
    }, 15));
    useEffect(function () {
      var resizeCurrent = onResize.current;
      window.addEventListener('resize', resizeCurrent);
      return function () {
        window.removeEventListener('resize', resizeCurrent);
      };
    }, [setWindowScroll, onResize]);
    if (windowScroll === undefined || portalContainer === undefined) return null;
    var x = windowScroll[0],
      y = windowScroll[1];
    return /*#__PURE__*/createPortal(/*#__PURE__*/React.createElement("div", {
      ref: ref,
      style: {
        height: "".concat(height, "px"),
        left: "".concat(left + x, "px"),
        pointerEvents: 'none',
        position: 'absolute',
        top: "".concat(top + y, "px"),
        width: "".concat(width, "px")
      }
    }), portalContainer);
  });
  Positioner.displayName = 'Positioner';
  return Positioner;
}();
export { Positioner };
