import { __assign } from 'tslib';
import React, { useState, useEffect } from 'react';
import Nanobus from 'nanobus';
import { createRoot } from 'react-dom/client';
var Wrapper = function (_a) {
  var emitter = _a.emitter,
    componentProps = _a.componentProps,
    Component = _a.Component;
  var _b = useState(componentProps),
    localComponentProps = _b[0],
    setLocalComponentProps = _b[1];
  useEffect(function () {
    var onUpdate = function (newComponentProps) {
      setLocalComponentProps(newComponentProps);
    };
    emitter.addListener('update', onUpdate);
    return function () {
      emitter.removeListener('update', onUpdate);
    };
  }, [emitter]);
  return /*#__PURE__*/React.createElement(Component, __assign({}, localComponentProps));
};
/**
 * Create a wrapping connector for rendering a React element into a separate
 * part of the DOM while being able to update it without remounting.
 */
var createReactTooltipWrapper = function (parentNode, Component, componentProps) {
  var emitter = new Nanobus();
  var container = document.createElement('div');
  parentNode.appendChild(container);
  var root = createRoot(container);
  root.render(/*#__PURE__*/React.createElement(Wrapper, {
    componentProps: componentProps,
    Component: Component,
    emitter: emitter
  }));
  function destroy() {
    root.unmount();
    emitter.removeAllListeners('*');
  }
  function update(props) {
    emitter.emit('update', props);
  }
  return {
    destroy: destroy,
    update: update
  };
};
export { createReactTooltipWrapper };
