import { __rest, __assign } from 'tslib';
import { nodes } from 'prosemirror-schema-basic';
import { listItem, bulletList, orderedList } from 'prosemirror-schema-list';
var getNodes = function () {
  // We use camel case names instead of ProseMirror's snake case, so we remove any snake case properties here before spreading
  var hardBreak = nodes.hard_break,
    horizontalRule = nodes.horizontal_rule,
    codeBlock = nodes.code_block,
    proseNodesNoSnakeCase = __rest(nodes
    // ...and then add them back in manually
    , ["hard_break", "horizontal_rule", "code_block"]);
  // ...and then add them back in manually
  var proseNodesWithCamelCase = __assign(__assign({}, proseNodesNoSnakeCase), {
    hardBreak: hardBreak,
    horizontalRule: horizontalRule,
    codeBlock: codeBlock
  });
  return __assign(__assign({}, proseNodesWithCamelCase), {
    orderedList: __assign(__assign({}, orderedList), {
      content: 'listItem+',
      group: 'block'
    }),
    bulletList: __assign(__assign({}, bulletList), {
      content: 'listItem+',
      group: 'block'
    }),
    listItem: __assign(__assign({}, listItem), {
      content: 'paragraph block*'
    })
  });
};
export { getNodes };
