import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import { InputSearch } from '../Input/InputSearch/InputSearch.mjs';
import { Label } from '../Label/Label.mjs';
import styles from './SearchField.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081896613/Search+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-search-field--docs Storybook}
 */
const SearchField = /*#__PURE__*/function () {
  const SearchField = function (_a) {
    var propsId = _a.id,
      labelText = _a.labelText,
      disabled = _a.disabled,
      _b = _a.reversed,
      reversed = _b === void 0 ? false : _b,
      _c = _a.secondary,
      secondary = _c === void 0 ? false : _c,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["id", "labelText", "disabled", "reversed", "secondary", "classNameOverride"]);
    var showVisibleLabel = !secondary;
    var reactId = useId();
    var id = propsId !== null && propsId !== void 0 ? propsId : reactId;
    // @todo: Move restProps to container div?
    return /*#__PURE__*/React.createElement("div", {
      className: classNameOverride
    }, showVisibleLabel && (/*#__PURE__*/React.createElement(Label, {
      htmlFor: id,
      labelText: labelText,
      reversed: reversed,
      disabled: disabled,
      classNameOverride: styles.label
    })), /*#__PURE__*/React.createElement(InputSearch, __assign({
      "aria-label": !showVisibleLabel ? labelText : undefined,
      id: id,
      disabled: disabled,
      reversed: reversed,
      secondary: secondary
    }, restProps)));
  };
  SearchField.displayName = 'SearchField';
  return SearchField;
}();
export { SearchField };
