import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Menu } from '../Menu/index.mjs';
import { ActionButton } from './subcomponents/ActionButton/ActionButton.mjs';
import { DropdownButton } from './subcomponents/DropdownButton/DropdownButton.mjs';
import styles from './SplitButton.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081896196/Split+Button Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-splitbutton--docs Storybook}
 */
const SplitButton = /*#__PURE__*/function () {
  const SplitButton = function (_a) {
    var actionButtonProps = _a.actionButtonProps,
      dropdownButtonProps = _a.dropdownButtonProps,
      dropdownContent = _a.dropdownContent,
      isDropdownInitOpen = _a.isDropdownInitOpen,
      disabled = _a.disabled,
      isReversed = _a.isReversed,
      dir = _a.dir,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["actionButtonProps", "dropdownButtonProps", "dropdownContent", "isDropdownInitOpen", "disabled", "isReversed", "dir", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("div", __assign({
      dir: dir,
      className: classnames(styles.splitButton, classNameOverride)
    }, restProps), /*#__PURE__*/React.createElement(ActionButton, __assign({
      disabled: disabled,
      isReversed: isReversed
    }, actionButtonProps)), /*#__PURE__*/React.createElement(Menu, {
      align: dir === 'rtl' ? 'left' : 'right',
      dropdownWidth: "contain",
      button: /*#__PURE__*/React.createElement(DropdownButton, __assign({
        disabled: disabled,
        isReversed: isReversed
      }, dropdownButtonProps)),
      menuVisible: isDropdownInitOpen
    }, dropdownContent));
  };
  SplitButton.displayName = 'SplitButton';
  return SplitButton;
}();
export { SplitButton };
