import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import styles from './BaseButton.module.scss.mjs';
var isAnchor = function (attributes) {
  return !attributes.disabled && attributes.href !== undefined;
};
const BaseButton = /*#__PURE__*/function () {
  const BaseButton = function (_a) {
    var label = _a.label,
      icon = _a.icon,
      isReversed = _a.isReversed,
      classNameOverride = _a.classNameOverride,
      attributes = __rest(_a, ["label", "icon", "isReversed", "classNameOverride"]);
    var className = classnames(styles.baseButton, classNameOverride, isReversed ? styles.isReversed : styles.default);
    var contentProps = icon ? {
      'children': /*#__PURE__*/React.createElement(React.Fragment, null, icon),
      'aria-label': label
    } : {
      children: label
    };
    var children = contentProps.children,
      restContentProps = __rest(contentProps, ["children"]);
    if (isAnchor(attributes)) {
      return /*#__PURE__*/React.createElement("a", __assign({
        className: className
      }, restContentProps, attributes), children);
    }
    return /*#__PURE__*/React.createElement("button", __assign({
      type: "button",
      className: className
    }, restContentProps, attributes), children);
  };
  BaseButton.displayName = 'BaseButton';
  return BaseButton;
}();
export { BaseButton };
