import { __rest, __assign } from 'tslib';
import React from 'react';
import { Tabs as Tabs$1 } from '@reach/tabs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081929117/Tabs Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-tabs--controlled Storybook}
 *
 * Wrapper around all of the tab subcomponents
 * Holds a TabList and TabPanels
 */
const Tabs = /*#__PURE__*/function () {
  const Tabs = function (props) {
    var defaultIndex = props.defaultIndex,
      selectedIndex = props.selectedIndex,
      onChange = props.onChange,
      children = props.children,
      restProps = __rest(props, ["defaultIndex", "selectedIndex", "onChange", "children"]);
    return /*#__PURE__*/React.createElement(Tabs$1, __assign({
      defaultIndex: defaultIndex,
      index: selectedIndex,
      onChange: onChange
    }, restProps), children);
  };
  Tabs.displayName = 'Tabs';
  return Tabs;
}();
export { Tabs };
