import { __rest, __assign } from 'tslib';
import { createElement } from 'react';
import classnames from 'classnames';
import styles from './Text.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3074885298/Typography#Paragraph Guidance}
 * {@link https://cultureamp.design/?path=/docs/components-typography-text--body Storybook}
 */
var Text = function (_a) {
  var children = _a.children,
    tag = _a.tag,
    variant = _a.variant,
    _b = _a.color,
    color = _b === void 0 ? 'dark' : _b,
    classNameOverride = _a.classNameOverride,
    restProps = __rest(_a, ["children", "tag", "variant", "color", "classNameOverride"]);
  var className = classnames(styles.text, styles[variant], styles[color], classNameOverride);
  return /*#__PURE__*/createElement(tag !== null && tag !== void 0 ? tag : 'p', __assign(__assign({}, restProps), {
    className: className
  }), children);
};
Text.displayName = 'Text';
export { Text };
