import { __rest, __assign } from 'tslib';
import React, { useState, useRef } from 'react';
import classnames from 'classnames';
import styles from './TextArea.module.css.mjs';
const TextArea = /*#__PURE__*/function () {
  const TextArea = function (_a) {
    var _b, _c;
    var propsTextAreaRef = _a.textAreaRef,
      _d = _a.status,
      status = _d === void 0 ? 'default' : _d,
      _e = _a.autogrow,
      autogrow = _e === void 0 ? false : _e,
      _f = _a.reversed,
      reversed = _f === void 0 ? false : _f,
      _g = _a.rows,
      rows = _g === void 0 ? 3 : _g,
      defaultValue = _a.defaultValue,
      value = _a.value,
      disabled = _a.disabled,
      propsOnChange = _a.onChange,
      restProps = __rest(_a, ["textAreaRef", "status", "autogrow", "reversed", "rows", "defaultValue", "value", "disabled", "onChange"]);
    var _h = useState(defaultValue),
      internalValue = _h[0],
      setInternalValue = _h[1];
    // ^holds an internal state of the value, used for the autogrow feature if uncontrolled (no `value` provided)
    var fallbackRef = useRef(null);
    var textAreaRef = propsTextAreaRef !== null && propsTextAreaRef !== void 0 ? propsTextAreaRef : fallbackRef;
    var onChange = function (event) {
      propsOnChange === null || propsOnChange === void 0 ? void 0 : propsOnChange(event);
      if (!value && autogrow) {
        setInternalValue(event.target.value);
      }
    };
    return /*#__PURE__*/React.createElement("div", {
      className: classnames(styles.wrapper, (_b = {}, _b[styles.wrapperAutogrow] = autogrow, _b)),
      "data-value": autogrow ? value !== null && value !== void 0 ? value : internalValue : undefined
    }, /*#__PURE__*/React.createElement("textarea", __assign({
      className: classnames(styles.textarea, styles[status], reversed ? styles.reversed : styles.default, (_c = {}, _c[styles.disabled] = disabled, _c[styles.textareaAutogrow] = autogrow, _c)),
      rows: rows,
      onChange: onChange,
      value: value,
      defaultValue: value ? undefined : defaultValue,
      // ^ React throws a warning if you specify both a value and a defaultValue
      ref: textAreaRef,
      disabled: disabled
    }, restProps)));
  };
  TextArea.displayName = 'TextArea';
  return TextArea;
}();
export { TextArea };
