import { __assign, __spreadArray } from 'tslib';
import React from 'react';
import { Button } from '../../Button/Button/Button.mjs';
import { IconButton } from '../../Button/IconButton/IconButton.mjs';
import { Menu, MenuList } from '../../Menu/index.mjs';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import { TITLE_BLOCK_ZEN_SECONDARY_MENU_HTML_ID } from '../constants.mjs';
import { isMenuGroupNotButton } from '../utils.mjs';
import { TitleBlockMenuItem } from './TitleBlockMenuItem.mjs';
import { Toolbar } from './Toolbar.mjs';
import styles from './MainActions.module.scss.mjs';
const MainActions = /*#__PURE__*/function () {
  const MainActions = function (_a) {
    var _b, _c, _d, _e;
    var primaryAction = _a.primaryAction,
      defaultAction = _a.defaultAction,
      _f = _a.reversed,
      reversed = _f === void 0 ? false : _f,
      overflowMenuItems = _a.overflowMenuItems,
      _g = _a.showOverflowMenu,
      showOverflowMenu = _g === void 0 ? false : _g;
    var items;
    if (primaryAction && isMenuGroupNotButton(primaryAction)) {
      var menuContent = primaryAction.menuItems.map(function (item, idx) {
        return /*#__PURE__*/React.createElement(TitleBlockMenuItem, __assign({}, item, {
          key: "main-action-primary-menu-item-".concat(idx),
          "data-automation-id": "main-action-primary-menu-item-".concat(idx),
          "data-testid": "main-action-primary-menu-item-".concat(idx)
        }));
      });
      items = __spreadArray(__spreadArray([], defaultAction ? [{
        key: 'defaultAction',
        node: (/*#__PURE__*/React.createElement(Button, __assign({}, defaultAction, {
          reversed: (_b = defaultAction.reversed) !== null && _b !== void 0 ? _b : reversed,
          "data-automation-id": "title-block-default-action-button",
          "data-testid": "title-block-default-action-button"
        })))
      }] : [], true), primaryAction ? [{
        key: 'primaryAction',
        node: (/*#__PURE__*/React.createElement(Menu, {
          align: "right",
          button: /*#__PURE__*/React.createElement(Button, {
            label: primaryAction.label,
            primary: true,
            reversed: reversed,
            icon: /*#__PURE__*/React.createElement(Icon, {
              name: "keyboard_arrow_down",
              isPresentational: true
            }),
            iconPosition: "end",
            "data-automation-id": "title-block-primary-action-button",
            "data-testid": "title-block-primary-action-button",
            badge: primaryAction.badge ? __assign(__assign({}, primaryAction.badge), {
              variant: 'dark'
            }) : undefined
          })
        }, /*#__PURE__*/React.createElement(MenuList, null, menuContent)))
      }] : [], true);
    } else {
      items = __spreadArray(__spreadArray([], defaultAction ? [{
        key: 'defaultAction',
        node: (/*#__PURE__*/React.createElement(Button, __assign({}, defaultAction, {
          reversed: (_c = defaultAction.reversed) !== null && _c !== void 0 ? _c : reversed,
          "data-automation-id": "title-block-default-action-button",
          "data-testid": "title-block-default-action-button"
        })))
      }] : [], true), primaryAction ? [{
        key: 'primaryAction',
        node: (/*#__PURE__*/React.createElement(Button, __assign({}, primaryAction, {
          primary: (_d = primaryAction.primary) !== null && _d !== void 0 ? _d : true,
          reversed: (_e = primaryAction.reversed) !== null && _e !== void 0 ? _e : reversed,
          "data-automation-id": "title-block-primary-action-button",
          "data-testid": "title-block-primary-action-button",
          badge: primaryAction.badge ? __assign(__assign({}, primaryAction.badge), {
            variant: 'dark'
          }) : undefined
        })))
      }] : [], true);
    }
    if (overflowMenuItems && showOverflowMenu && overflowMenuItems.length > 0) {
      items = __spreadArray([{
        key: 'overflowMenu',
        node: (/*#__PURE__*/React.createElement(Menu, {
          align: "right",
          button: /*#__PURE__*/React.createElement(IconButton, {
            id: TITLE_BLOCK_ZEN_SECONDARY_MENU_HTML_ID,
            label: "Open secondary menu",
            reversed: reversed,
            icon: /*#__PURE__*/React.createElement(Icon, {
              name: "more_horiz",
              isPresentational: true
            })
          })
        }, /*#__PURE__*/React.createElement(MenuList, null, overflowMenuItems.map(function (menuItem, idx) {
          return /*#__PURE__*/React.createElement(TitleBlockMenuItem, __assign({}, menuItem, {
            key: "main-action-overflow-item-menu-item-".concat(idx)
          }));
        }))))
      }], items, true);
    }
    return /*#__PURE__*/React.createElement("div", {
      className: styles.mainActionsContainer
    }, /*#__PURE__*/React.createElement(Toolbar, {
      items: items,
      automationId: "title-block-main-actions-toolbar",
      "data-testid": "title-block-main-actions-toolbar"
    }));
  };
  MainActions.displayName = 'MainActions';
  return MainActions;
}();
export { MainActions };
