import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { MenuItem } from '../../Menu/index.mjs';
import styles from './TitleBlockMenuItem.module.scss.mjs';
const TitleBlockMenuItem = /*#__PURE__*/function () {
  const TitleBlockMenuItem = function (props) {
    var className = classnames(styles.menuItem, styles.destructive && styles['menuItem--destructive'], styles.disabled && styles['menuItem--disabled'], styles.isActive && styles['menuItem--active']);
    if ('component' in props) {
      var CustomMenuItem = props.component,
        label = props.label,
        icon = props.icon,
        otherProps = __rest(props, ["component", "label", "icon"]);
      var wrappedLabel = /*#__PURE__*/React.createElement("span", {
        className: styles.menuItem__Label
      }, label);
      var iconNode = icon && /*#__PURE__*/React.createElement("span", {
        className: styles.menuItem__Icon
      }, icon);
      return /*#__PURE__*/React.createElement("li", {
        className: styles.menuListItem
      }, /*#__PURE__*/React.createElement(CustomMenuItem, __assign({}, otherProps, {
        className: className
      }), iconNode, wrappedLabel));
    }
    return /*#__PURE__*/React.createElement(MenuItem, __assign({}, props));
  };
  TitleBlockMenuItem.displayName = 'TitleBlockMenuItem';
  return TitleBlockMenuItem;
}();
export { TitleBlockMenuItem };
