import React from 'react';
import classnames from 'classnames';
import styles from './Toolbar.module.scss.mjs';

// Toolbar should eventually be broken out
// into its own component since it's a generic
// grouping component for buttons/dropdowns/etc
const Toolbar = /*#__PURE__*/function () {
  const Toolbar = function (_a) {
    var items = _a.items,
      _b = _a.noGap,
      noGap = _b === void 0 ? false : _b,
      automationId = _a.automationId;
    if (!items || items && items.length === 0) {
      return /*#__PURE__*/React.createElement(React.Fragment, null);
    }
    return /*#__PURE__*/React.createElement("div", {
      className: styles.toolbar,
      "data-automation-id": automationId,
      "data-testid": automationId
    }, items.map(function (item) {
      return /*#__PURE__*/React.createElement("div", {
        className: classnames(styles.toolbarItem, noGap && styles.noGap),
        key: item.key
      }, item.node);
    }));
  };
  Toolbar.displayName = 'Toolbar';
  return Toolbar;
}();
export { Toolbar };
