import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Icon } from '../../__next__/Icon/Icon.mjs';
import styles from './ToggleSwitch.module.scss.mjs';
const ToggleSwitch = /*#__PURE__*/function () {
  const ToggleSwitch = function (_a) {
    var toggledStatus = _a.toggledStatus,
      onToggle = _a.onToggle,
      reversed = _a.reversed,
      disabled = _a.disabled,
      restProps = __rest(_a, ["toggledStatus", "onToggle", "reversed", "disabled"]);
    var isOn = toggledStatus === 'on';
    return /*#__PURE__*/React.createElement("span", {
      className: classnames(isOn ? styles.on : styles.off, reversed && styles.reversed)
    }, /*#__PURE__*/React.createElement("input", __assign({
      type: "checkbox",
      className: classnames(styles.checkbox, disabled && styles.disabled),
      checked: isOn ? true : false,
      onChange: onToggle,
      disabled: disabled
    }, restProps)), /*#__PURE__*/React.createElement("span", {
      className: classnames(styles.track, disabled && styles.disabled)
    }, /*#__PURE__*/React.createElement("span", {
      className: styles.thumb
    }, /*#__PURE__*/React.createElement(Icon, {
      name: "check",
      isPresentational: true,
      className: styles.checkIcon
    }))));
  };
  ToggleSwitch.displayName = 'ToggleSwitch';
  return ToggleSwitch;
}();
export { ToggleSwitch };
