import { __rest, __assign } from 'tslib';
import React, { useId } from 'react';
import classnames from 'classnames';
import { FieldGroup } from '../../FieldGroup/FieldGroup.mjs';
import { Label } from '../../Label/Label.mjs';
import { ToggleSwitch } from '../ToggleSwitch/ToggleSwitch.mjs';
import styles from './ToggleSwitchField.module.scss.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3075638160/Toggle+Switch Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-toggleswitch-ield--docs Storybook}
 */
const ToggleSwitchField = /*#__PURE__*/function () {
  const ToggleSwitchField = function (_a) {
    var propsId = _a.id,
      labelText = _a.labelText,
      _b = _a.labelPosition,
      labelPosition = _b === void 0 ? 'start' : _b,
      toggledStatus = _a.toggledStatus,
      disabled = _a.disabled,
      reversed = _a.reversed,
      inline = _a.inline,
      fullWidth = _a.fullWidth,
      restProps = __rest(_a, ["id", "labelText", "labelPosition", "toggledStatus", "disabled", "reversed", "inline", "fullWidth"]);
    var fallbackId = useId();
    var id = propsId !== null && propsId !== void 0 ? propsId : fallbackId;
    return /*#__PURE__*/React.createElement(FieldGroup, {
      id: "".concat(id, "-field-group"),
      inline: inline,
      classNameOverride: classnames(styles.container, fullWidth && styles.fullWidth, toggledStatus === 'on' && styles.on)
    }, /*#__PURE__*/React.createElement("div", {
      className: styles.inner
    }, /*#__PURE__*/React.createElement(Label, {
      id: "".concat(id, "-field-label"),
      htmlFor: "".concat(id, "-field-toggle"),
      labelText: labelText,
      labelType: "toggle",
      labelPosition: labelPosition,
      disabled: disabled,
      reversed: reversed
    }, /*#__PURE__*/React.createElement(ToggleSwitch, __assign({
      id: "".concat(id, "-field-toggle"),
      disabled: disabled,
      reversed: reversed,
      toggledStatus: toggledStatus
    }, restProps)))));
  };
  ToggleSwitchField.displayName = 'ToggleSwitchField';
  return ToggleSwitchField;
}();
export { ToggleSwitchField };
