import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { useExitingAnimation } from '../utils/useExitingAnimation/useExitingAnimation.mjs';
import sharedAiStyles from '../../styles/utils/AIMoment.module.css.mjs';
import styles from './Well.module.css.mjs';

/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3075604733/Well Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-well--docs Storybook}
 */
const Well = /*#__PURE__*/function () {
  const Well = function (_a) {
    var children = _a.children,
      variant = _a.variant,
      _b = _a.color,
      color = _b === void 0 ? 'white' : _b,
      _c = _a.borderStyle,
      borderStyle = _c === void 0 ? 'solid' : _c,
      _d = _a.noMargin,
      noMargin = _d === void 0 ? false : _d,
      classNameOverride = _a.classNameOverride,
      isAiLoading = _a.isAiLoading,
      restProps = __rest(_a, ["children", "variant", "color", "borderStyle", "noMargin", "classNameOverride", "isAiLoading"]);
    var animationClass = useExitingAnimation(isAiLoading, sharedAiStyles.aiMomentLoading, sharedAiStyles.aiMomentExiting, 500);
    return /*#__PURE__*/React.createElement("div", __assign({
      className: classnames(styles.container, styles[borderStyle], styles[color], variant && styles[variant], noMargin && styles.noMargin, isAiLoading !== undefined && sharedAiStyles.aiMoment, isAiLoading !== undefined && animationClass, classNameOverride)
    }, restProps), /*#__PURE__*/React.createElement(React.Fragment, null, isAiLoading !== undefined && (/*#__PURE__*/React.createElement("div", {
      "aria-hidden": true,
      className: sharedAiStyles.aiMomentBackground
    })), children));
  };
  Well.displayName = 'Well';
  return Well;
}();
export { Well };
