import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { VisuallyHidden } from '../../../../../VisuallyHidden/VisuallyHidden.mjs';
import { Icon } from '../../../../../__next__/Icon/Icon.mjs';
import styles from './ProgressStepper.module.css.mjs';
var getStepStatus = function (isComplete, isCurrentStep, step, index) {
  if (isComplete) {
    return {
      icon: /*#__PURE__*/React.createElement(Icon, {
        key: index,
        name: "check_circle",
        isPresentational: true,
        isFilled: true
      }),
      accessibleName: "Completed: ".concat(step.label)
    };
  }
  if (isCurrentStep) {
    return {
      icon: /*#__PURE__*/React.createElement(Icon, {
        key: index,
        name: "radio_button_checked",
        isPresentational: true
      }),
      accessibleName: "Current: ".concat(step.label)
    };
  }
  return {
    icon: /*#__PURE__*/React.createElement(Icon, {
      key: index,
      name: "radio_button_unchecked",
      isPresentational: true
    }),
    accessibleName: "Not started: ".concat(step.label)
  };
};
const ProgressStepper = /*#__PURE__*/function () {
  const ProgressStepper = function (_a) {
    var currentStepId = _a.currentStepId,
      steps = _a.steps,
      _b = _a.isComplete,
      isComplete = _b === void 0 ? false : _b,
      restprops = __rest(_a, ["currentStepId", "steps", "isComplete"]);
    var currentStepIndex = steps.findIndex(function (stepItem) {
      return stepItem.id === currentStepId;
    });
    return /*#__PURE__*/React.createElement("div", {
      className: styles.stepsContainer
    }, /*#__PURE__*/React.createElement("ol", __assign({
      className: styles.stepList
    }, restprops, {
      "aria-labelledby": "stepper-description"
    }), steps.map(function (step, index) {
      var _a, _b;
      var isCurrentStep = currentStepIndex === index;
      var isCompletedStep = index < currentStepIndex || isComplete;
      var _c = getStepStatus(isCompletedStep, isCurrentStep, step, index),
        accessibleName = _c.accessibleName,
        icon = _c.icon;
      return /*#__PURE__*/React.createElement("li", {
        className: styles.step,
        key: "".concat(step.id),
        "aria-current": isCurrentStep
      }, /*#__PURE__*/React.createElement("div", {
        className: styles.stepContent
      }, /*#__PURE__*/React.createElement(VisuallyHidden, null, accessibleName), /*#__PURE__*/React.createElement("span", {
        className: classnames(styles.stepName, (_a = {}, _a[styles.isCurrent] = isCurrentStep, _a)),
        "aria-hidden": true
      }, step.label), /*#__PURE__*/React.createElement("div", {
        className: styles.stepIndicator
      }, /*#__PURE__*/React.createElement("span", {
        className: classnames(styles.stepIcon, (_b = {}, _b[styles.isCompleted] = isCompletedStep, _b))
      }, icon)), index < steps.length - 1 && (/*#__PURE__*/React.createElement("div", {
        className: classnames([styles.stepDivider, isCompletedStep && styles.completedStep])
      }))));
    })), /*#__PURE__*/React.createElement("span", {
      className: styles.stepperDescription,
      id: "stepper-description"
    }, "Step ", currentStepIndex + 1, " of ", steps.length));
  };
  ProgressStepper.displayName = 'Workflow.ProgressStepper';
  return ProgressStepper;
}();
export { ProgressStepper };
