import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { VisuallyHidden } from '../../../../VisuallyHidden/VisuallyHidden.mjs';
import styles from './ButtonContent.module.css.mjs';

/** Renders the inner content of the button, handling icon and label visibility */
var ButtonContent = function (_a) {
  var children = _a.children,
    hasHiddenLabel = _a.hasHiddenLabel,
    _b = _a.size,
    size = _b === void 0 ? 'medium' : _b,
    icon = _a.icon,
    _c = _a.iconPosition,
    iconPosition = _c === void 0 ? 'start' : _c,
    className = _a.className,
    restProps = __rest(_a, ["children", "hasHiddenLabel", "size", "icon", "iconPosition", "className"]);
  return /*#__PURE__*/React.createElement("span", __assign({
    className: classnames(className, styles.buttonContent, styles[size])
  }, restProps), icon && iconPosition === 'start' && /*#__PURE__*/React.createElement("span", {
    className: styles.buttonIcon
  }, icon), hasHiddenLabel ? (/*#__PURE__*/React.createElement(VisuallyHidden, null, children)) : (/*#__PURE__*/React.createElement("span", {
    className: styles.buttonLabel
  }, children)), icon && iconPosition === 'end' && /*#__PURE__*/React.createElement("span", {
    className: styles.buttonIcon
  }, icon));
};
export { ButtonContent };
