import React from 'react';
import classnames from 'classnames';
import '../../../../Loading/LoadingGraphic/LoadingGraphic.mjs';
import '../../../../Loading/LoadingHeading/LoadingHeading.mjs';
import '../../../../Loading/LoadingInput/LoadingInput.mjs';
import '../../../../Loading/LoadingParagraph/LoadingParagraph.mjs';
import { LoadingSpinner } from '../../../../Loading/LoadingSpinner/LoadingSpinner.mjs';
import { VisuallyHidden } from '../../../../VisuallyHidden/VisuallyHidden.mjs';
import styles from './PendingContent.module.css.mjs';

/** Renders the pending content of the button, handling pending label visibility and spinner positioning */
var PendingContent = function (_a) {
  var pendingLabel = _a.pendingLabel,
    _b = _a.hasHiddenPendingLabel,
    hasHiddenPendingLabel = _b === void 0 ? false : _b,
    _c = _a.size,
    size = _c === void 0 ? 'medium' : _c;
  return /*#__PURE__*/React.createElement("span", {
    className: classnames(styles.pendingContent, styles[size])
  }, hasHiddenPendingLabel ? (/*#__PURE__*/React.createElement(VisuallyHidden, null, pendingLabel)) : (/*#__PURE__*/React.createElement("span", null, pendingLabel)), /*#__PURE__*/React.createElement(LoadingSpinner, {
    size: size === 'small' ? 'xs' : 'sm',
    accessibilityLabel: "",
    classNameOverride: hasHiddenPendingLabel ? styles.centerSpinner : undefined
  }));
};
export { PendingContent };
