import React, { useContext } from 'react';
var SelectContext = /*#__PURE__*/React.createContext(null);
var useSelectContext = function () {
  var context = useContext(SelectContext);
  if (!context) {
    throw new Error('useSelectContext must be used within the SelectContext.Provider');
  }
  return context;
};
var SelectProvider = function (_a) {
  var children = _a.children,
    state = _a.state;
  return /*#__PURE__*/React.createElement(SelectContext.Provider, {
    value: {
      state: state
    }
  }, children);
};
export { SelectProvider, useSelectContext };
