import { __rest, __assign } from 'tslib';
import React from 'react';
import classnames from 'classnames';
import { Label } from '../../../../Label/Label.mjs';
import { Icon } from '../../../Icon/Icon.mjs';
import styles from './SelectToggle.module.scss.mjs';
const SelectToggle = /*#__PURE__*/function () {
  const SelectToggle = /*#__PURE__*/React.forwardRef(function (_a, ref) {
    var label = _a.label,
      labelProps = _a.labelProps,
      value = _a.value,
      valueProps = _a.valueProps,
      isOpen = _a.isOpen,
      _b = _a.placeholder,
      placeholder = _b === void 0 ? 'Select' : _b,
      status = _a.status,
      isDisabled = _a.isDisabled,
      isReversed = _a.isReversed,
      classNameOverride = _a.classNameOverride,
      restProps = __rest(_a, ["label", "labelProps", "value", "valueProps", "isOpen", "placeholder", "status", "isDisabled", "isReversed", "classNameOverride"]);
    return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Label, __assign({}, labelProps, {
      reversed: isReversed,
      disabled: isDisabled
    }), label), /*#__PURE__*/React.createElement("button", __assign({
      type: "button",
      // for the eslint issue below, both of the attributes (aria-expanded and aria-controls) are on the button but it just doesn't know it
      // eslint-disable-next-line jsx-a11y/role-has-required-aria-props
      role: "combobox"
    }, restProps, {
      ref: ref,
      className: classnames(styles.selectToggle, (value === null || value === undefined) && styles.placeholder, status === 'error' && styles.error, status === 'caution' && styles.caution, isDisabled && styles.disabled, isReversed && styles.reversed, classNameOverride)
    }), /*#__PURE__*/React.createElement("span", __assign({}, valueProps, {
      className: styles.value
    }), value !== null && value !== void 0 ? value : placeholder), /*#__PURE__*/React.createElement(Icon, {
      name: isOpen ? 'keyboard_arrow_up' : 'keyboard_arrow_down',
      isPresentational: true,
      className: styles.icon
    })));
  });
  SelectToggle.displayName = 'SelectToggle';
  return SelectToggle;
}();
export { SelectToggle };
