import { type HTMLAttributes, type SVGAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
type MeaningfulSVG = {
    'role': 'img';
    'aria-label': string;
    'alt'?: never;
};
type DecorativeSVG = {
    'role': 'presentation';
    'aria-label'?: never;
    'alt'?: never;
};
export type BrandSVGProps = OverrideClassName<SVGAttributes<SVGElement>> & (MeaningfulSVG | DecorativeSVG);
type SVGBackwardsCompatible = {
    role?: never;
    alt: string;
};
type SVGProps = OverrideClassName<SVGAttributes<SVGElement>> & (MeaningfulSVG | DecorativeSVG | SVGBackwardsCompatible);
type VariantSVG = {
    variant: 'collective-intelligence';
} & SVGProps;
type PictureProps = OverrideClassName<HTMLAttributes<HTMLElement>> & {
    alt: string;
};
type VariantPicture = {
    variant: 'logo-horizontal' | 'logo-vertical' | 'enso';
} & PictureProps;
export type BrandProps = {
    reversed?: boolean;
} & (VariantSVG | VariantPicture);
export declare const Brand: {
    ({ reversed, variant, ...restProps }: BrandProps): JSX.Element;
    displayName: string;
};
export {};
