import React, { type HTMLAttributes } from 'react';
import { type UseFloatingOptions } from '@floating-ui/react-dom';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type CalendarPopoverProps = {
    children: React.ReactNode;
    referenceElement: HTMLElement | null;
    floatingOptions?: Partial<UseFloatingOptions>;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * Only for use with Calendar components.
 * @todo: Replace with Popover when we have a reusable one.
 */
export declare const CalendarPopover: {
    ({ children, referenceElement, floatingOptions, classNameOverride, ...restProps }: CalendarPopoverProps): JSX.Element;
    displayName: string;
};
