import React, { type InputHTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type CheckedStatus = 'on' | 'off' | 'mixed';
export type CheckboxProps = {
    checkedStatus?: CheckedStatus;
    onCheck?: (event: React.ChangeEvent<HTMLInputElement>) => any;
    reversed?: boolean;
    value?: string;
} & OverrideClassName<Omit<InputHTMLAttributes<HTMLInputElement>, 'type' | 'onChange' | 'checked'>>;
export declare const Checkbox: {
    ({ checkedStatus, onCheck, reversed, value, classNameOverride, ...restProps }: CheckboxProps): JSX.Element;
    displayName: string;
};
