import React from 'react';
import { type CheckboxProps, type CheckedStatus } from '../Checkbox/Checkbox';
export type CheckboxFieldProps = Omit<CheckboxProps, 'id'> & {
    'id'?: string;
    'labelText': string | React.ReactNode;
    'checkedStatus'?: CheckedStatus;
    'disabled'?: boolean;
    'reversed'?: boolean;
    'noBottomMargin'?: boolean;
    'data-testid'?: string;
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094661/Checkbox+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-checkobx-controls-checkbox-field--docs Storybook}
 */
export declare const CheckboxField: {
    ({ "id": propsId, labelText, checkedStatus, disabled, reversed, noBottomMargin, "data-testid": dataTestId, classNameOverride, ...restProps }: CheckboxFieldProps): JSX.Element;
    displayName: string;
};
