import React, { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type CheckboxGroupProps = {
    children?: React.ReactNode;
    labelText: string | React.ReactNode;
    labelId?: string;
    noBottomMargin?: boolean;
    reversed?: boolean;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082094522/Checkbox+Group Guidance} |
 * {@link https://cultureamp.design/storybook/?path=/docs/components-checkbox-controls-checkbox-group--docs Storybook}
 */
export declare const CheckboxGroup: {
    ({ children, labelText, labelId: propsLabelId, noBottomMargin, reversed, classNameOverride, ...restProps }: CheckboxGroupProps): JSX.Element;
    displayName: string;
};
