import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
import { type Sticky } from '../types';
export type CollapsibleProps = {
    children: JSX.Element | JSX.Element[] | string;
    title: string;
    renderHeader?: (title: string) => JSX.Element | JSX.Element[];
    open?: boolean;
    group?: boolean;
    separated?: boolean;
    sticky?: Sticky;
    noSectionPadding?: boolean;
    onToggle?: (open: boolean, id: string) => void;
    /**
     * By default, the header will change background colour when open. When the variant
     * is set to 'clear', it will not have a background but a border-bottom will appear
     * to separate the heading from the content.
     */
    variant?: 'default' | 'clear';
    /**
     * Will avoid rendering the content until required (especially important when you
     * have queries inside sections).
     * Removes animation.
     */
    lazyLoad?: boolean;
    /**
     * Disables internal `open` state, allowing it to be controlled in the usage.
     */
    controlled?: boolean;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
export declare const Collapsible: {
    ({ children, title, renderHeader, open, group, separated, sticky, noSectionPadding, onToggle, variant, lazyLoad, controlled, classNameOverride, id: propsId, ...restProps }: CollapsibleProps): JSX.Element;
    displayName: string;
};
