import React, { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
export type ContentProps = {
    children?: React.ReactNode;
    /**
     * Not recommended. A short-circuit for dynamically overriding layout in a pinch
     */
    style?: Pick<React.CSSProperties, 'bottom' | 'left' | 'margin' | 'marginBottom' | 'marginLeft' | 'marginRight' | 'marginTop' | 'padding' | 'paddingBottom' | 'paddingLeft' | 'paddingRight' | 'paddingTop' | 'position' | 'right' | 'top' | 'transform' | 'transformBox' | 'transformOrigin' | 'transformStyle'>;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3086156812/Layout Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-content--docs Storybook}
 */
export declare const Content: React.ForwardRefExoticComponent<{
    children?: React.ReactNode;
    /**
     * Not recommended. A short-circuit for dynamically overriding layout in a pinch
     */
    style?: Pick<React.CSSProperties, "bottom" | "left" | "margin" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "padding" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "position" | "right" | "top" | "transform" | "transformBox" | "transformOrigin" | "transformStyle">;
} & Omit<React.HTMLAttributes<HTMLDivElement>, "className"> & {
    classNameOverride?: string;
} & React.RefAttributes<HTMLDivElement>>;
