import React from 'react';
import { type DateInputProps } from '../DateInput';
export type DateInputWithIconButtonProps = {
    /**
     * Icon button onClick handler
     */
    onButtonClick: React.MouseEventHandler<HTMLButtonElement>;
} & Omit<DateInputProps, 'startIconAdornment' | 'endIconAdornment'>;
export type DateInputWithIconButtonRefs = {
    inputRef?: React.RefObject<HTMLInputElement>;
    buttonRef?: React.RefObject<HTMLButtonElement>;
};
export declare const DateInputWithIconButton: React.ForwardRefExoticComponent<{
    /**
     * Icon button onClick handler
     */
    onButtonClick: React.MouseEventHandler<HTMLButtonElement>;
} & Omit<DateInputProps, "startIconAdornment" | "endIconAdornment"> & React.RefAttributes<DateInputWithIconButtonRefs>>;
