import React from 'react';
import type { Locale } from 'date-fns';
import { type DateInputDescriptionProps, type DateInputWithIconButtonProps, type DateInputWithIconButtonRefs } from "../../../DateInput";
import { type FieldMessageStatus } from "../../../FieldMessage";
export type DateInputFieldProps = {
    /**
     * A description that provides context for the text field
     */
    description?: DateInputDescriptionProps['description'];
    /**
     * Updates the styling of the validation FieldMessage
     */
    status?: FieldMessageStatus;
    /**
     * A descriptive message for `status` states
     */
    validationMessage?: React.ReactNode;
    locale?: Locale;
} & DateInputWithIconButtonProps;
export declare const DateInputField: React.ForwardRefExoticComponent<{
    /**
     * A description that provides context for the text field
     */
    description?: DateInputDescriptionProps["description"];
    /**
     * Updates the styling of the validation FieldMessage
     */
    status?: FieldMessageStatus;
    /**
     * A descriptive message for `status` states
     */
    validationMessage?: React.ReactNode;
    locale?: Locale;
} & {
    onButtonClick: React.MouseEventHandler<HTMLButtonElement>;
} & Omit<import("../../../DateInput").DateInputProps, "startIconAdornment" | "endIconAdornment"> & React.RefAttributes<DateInputWithIconButtonRefs>>;
