import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
export type DividerProps = {
    variant: 'content' | 'canvas' | 'menuSeparator';
    isReversed?: boolean;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082061035/Divider Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-divider--docs Storybook}
 */
export declare const Divider: {
    ({ variant, isReversed, classNameOverride, ...props }: DividerProps): JSX.Element;
    displayName: string;
};
