import { type OverrideClassName } from "../../types/OverrideClassName";
import { type FilterBarProviderProps } from './context/FilterBarContext';
import { type FiltersValues } from './types';
export type FilterBarProps<ValuesMap extends FiltersValues> = OverrideClassName<Omit<FilterBarProviderProps<ValuesMap>, 'children'>>;
export declare const FilterBar: {
    <ValuesMap extends FiltersValues>({ filters, classNameOverride, ...providerProps }: FilterBarProps<ValuesMap>): JSX.Element;
    displayName: string;
    DatePicker: {
        ({ id, onDateChange, locale, ...props }: import("./subcomponents").FilterBarDatePickerProps): JSX.Element;
        displayName: string;
    };
    DateRangePicker: {
        ({ id, onRangeChange, locale, ...props }: import("./subcomponents").FilterBarDateRangePickerProps): JSX.Element;
        displayName: string;
    };
    MultiSelect: {
        ({ id, items: propsItems, children, onSelectionChange, ...props }: import("./subcomponents").FilterBarMultiSelectProps): JSX.Element | null;
        displayName: string;
    };
    Select: {
        <Option extends import("..").SelectOption = import("..").SelectOption>({ id, items: propsItems, onSelectionChange, ...props }: import("./subcomponents").FilterBarSelectProps<Option>): JSX.Element;
        displayName: string;
    };
};
