import { type Filters, type FiltersValues } from '../../types';
import { type FilterBarState, type FilterStateEditableAttributes } from '../types';
type Actions<ValuesMap extends FiltersValues> = {
    type: 'update_values';
    values: Partial<ValuesMap>;
} | {
    type: 'complete_update_values';
} | {
    type: 'update_single_filter';
    id: keyof ValuesMap;
    data: Partial<FilterStateEditableAttributes>;
} | {
    type: 'activate_filter';
    id: keyof ValuesMap;
} | {
    type: 'deactivate_filter';
    id: keyof ValuesMap;
} | {
    type: 'update_filter_labels';
    data: Filters<ValuesMap>;
} | {
    type: 'set_focus';
    id: keyof ValuesMap | undefined;
};
export declare const filterBarStateReducer: <ValuesMap extends FiltersValues>(state: FilterBarState<ValuesMap>, action: Actions<ValuesMap>) => FilterBarState<ValuesMap>;
export {};
