import React from 'react';
import { type ButtonGroupProps } from "../../../ButtonGroup";
import { type FilterTriggerRef } from "../../Filter";
import { type DataAttributes } from "../../../types/DataAttributes";
import { type FilterButtonProps } from '../FilterButton';
import { type FilterButtonBaseProps } from '../subcomponents/FilterButtonBase';
export type FilterButtonRemovableProps = {
    triggerButtonProps: FilterButtonProps & DataAttributes;
    removeButtonProps: Partial<Omit<FilterButtonBaseProps, 'children'>> & DataAttributes & {
        tooltipText?: string;
    };
} & Omit<ButtonGroupProps, 'children'>;
export type FilterButtonRemovableRefs = FilterTriggerRef & {
    removeButtonRef?: React.RefObject<HTMLButtonElement>;
};
export declare const FilterButtonRemovable: React.ForwardRefExoticComponent<{
    triggerButtonProps: FilterButtonProps & DataAttributes;
    removeButtonProps: Partial<Omit<FilterButtonBaseProps, "children">> & DataAttributes & {
        tooltipText?: string;
    };
} & Omit<ButtonGroupProps, "children"> & React.RefAttributes<FilterButtonRemovableRefs>>;
