import { type DisabledDays } from "../../../Calendar";
import { type DateValidationResponse, type ValidationMessage } from '../types';
import { validateDate } from '../utils/validateDate';
export type UseDateValidationArgs = {
    inputLabel?: React.ReactNode;
    disabledDays?: DisabledDays;
    validationMessage?: ValidationMessage;
    onValidate?: (validationResponse: DateValidationResponse) => void;
};
export type UseDateValidationValue = {
    validationMessage: ValidationMessage | undefined;
    validateDate: (args: {
        date: Date | undefined;
        inputValue: string;
    }) => ReturnType<typeof validateDate>;
    updateValidation: (validationResponse: DateValidationResponse) => void;
};
export declare const useDateValidation: ({ inputLabel, disabledDays, validationMessage, onValidate, }: UseDateValidationArgs) => UseDateValidationValue;
