import React, { type HTMLAttributes } from 'react';
import { type ListState } from '@react-stately/list';
import { type Selection, type SelectionMode } from '@react-types/shared';
import { type ItemType } from '../../types';
export type SelectionProviderProps = {
    selectionMode: SelectionMode;
    children: React.ReactNode;
    items?: ItemType[];
    onSelectionChange?: (keys: Selection) => void;
    /** The currently selected keys in the collection (controlled). */
    selectedKeys?: Selection;
    /** The initial selected keys in the collection (uncontrolled). */
    defaultSelectedKeys?: Selection;
    label: string;
    disabledKeys?: Selection;
    onSearchInputChange?: (searchInput: string) => void;
};
export type SelectionProviderContextType = {
    listBoxProps: HTMLAttributes<HTMLElement>;
    labelProps: HTMLAttributes<HTMLElement>;
    selectionState: ListState<ItemType>;
    listRef: React.RefObject<HTMLUListElement>;
    searchQuery?: string;
    setSearchQuery: React.Dispatch<React.SetStateAction<string>>;
};
export declare const SelectionProvider: (props: SelectionProviderProps) => JSX.Element;
export declare const useSelectionContext: () => SelectionProviderContextType;
export declare const SelectionConsumer: ({ children, }: React.ConsumerProps<SelectionProviderContextType>) => JSX.Element;
