import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../../../types/OverrideClassName";
export type BaseProps = {
    /**
     *  Refer to the Base Illustration Sticker Sheet in Heart UI Kit
     */
    name: string;
    /**
     * Only provide if there is context/text required surrounding this illustration.
     * @default ""
     */
    alt?: string;
    /**
     * Aspect ratio that is set on the illustration in Scene/Spot which wraps the
     * component in a container, forcing the aspect ratio.
     */
    aspectRatio?: 'landscape' | 'portrait' | 'square';
} & OverrideClassName<HTMLAttributes<HTMLImageElement>>;
export declare const Base: {
    ({ name, alt, classNameOverride, aspectRatio, ...restProps }: BaseProps): JSX.Element;
    displayName: string;
};
