import React, { type LabelHTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
type LabelType = 'text' | 'checkbox' | 'toggle' | 'radio';
export type LabelProps = {
    children?: React.ReactNode;
    labelText?: string | React.ReactNode;
    labelType?: LabelType;
    labelPosition?: 'start' | 'end';
    reversed?: boolean;
    variant?: 'default' | 'prominent';
    disabled?: boolean;
} & OverrideClassName<LabelHTMLAttributes<HTMLLabelElement>>;
export declare const Label: {
    ({ children, labelText, labelType, labelPosition, reversed, variant, disabled, classNameOverride, ...restProps }: LabelProps): JSX.Element;
    displayName: string;
};
export {};
