import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type LoadingGraphicSize = 'small' | 'medium' | 'large' | 'xlarge' | 'xxlarge' | 'scene';
export type LoadingGraphicProps = {
    isAnimated?: boolean;
    isReversed?: boolean;
    size: LoadingGraphicSize;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadinggraphic--docs Storybook}
 */
export declare const LoadingGraphic: {
    ({ isAnimated, isReversed, size, classNameOverride, ...props }: LoadingGraphicProps): JSX.Element;
    displayName: string;
};
