import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type LoadingParagraphProps = {
    isAnimated?: boolean;
    isCentred?: boolean;
    isReversed?: boolean;
    isInline?: boolean;
    noBottomMargin?: boolean;
    isLink?: boolean;
    inheritBaseline?: boolean;
    /**
     * Width as a percentage.
     */
    width?: number;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082060062/Loading+Skeleton Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-states-loadingparagraph--docs Storybook}
 */
export declare const LoadingParagraph: {
    ({ isAnimated, isCentred, isReversed, isInline, noBottomMargin, width, isLink, inheritBaseline, classNameOverride, ...restProps }: LoadingParagraphProps): JSX.Element;
    displayName: string;
};
