import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type LoadingSpinnerProps = {
    accessibilityLabel: string;
    /**
     * Generally use "md" unless spinner is inside a form field.  @default "md"
     */
    size?: 'xs' | 'sm' | 'md';
} & OverrideClassName<Omit<HTMLAttributes<HTMLDivElement>, 'children'>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082093253/Loading+Spinner Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-loading-loadingspinner--docs Storybook}
 */
export declare const LoadingSpinner: {
    ({ accessibilityLabel, size, classNameOverride, ...props }: LoadingSpinnerProps): JSX.Element;
    displayName: string;
};
