import { type MenuProps as MenuPropsV1 } from './Menu';
import { type MenuHeadingProps as MenuHeadingPropsV1 } from './subcomponents/MenuHeading';
import { type MenuItemProps as MenuItemPropsV1 } from './subcomponents/MenuItem';
import { type MenuListProps as MenuListPropsV1 } from './subcomponents/MenuList';
import { type StatelessMenuProps as StatelessMenuPropsV1 } from './subcomponents/StatelessMenu';
export declare const Menu: {
    ({ button, menuVisible, ...rest }: MenuPropsV1): JSX.Element;
    displayName: string;
};
export type MenuProps = MenuPropsV1;
export declare const MenuHeading: {
    ({ id, classNameOverride, ...restProps }: MenuHeadingPropsV1): JSX.Element;
    displayName: string;
};
export type MenuHeadingProps = MenuHeadingPropsV1;
export declare const MenuItem: {
    ({ label, icon, destructive, disabled, onClick, href, target, isActive, "data-testid": dataTestId, id, }: MenuItemPropsV1): JSX.Element;
    displayName: string;
};
export type MenuItemProps = MenuItemPropsV1;
export declare const MenuList: {
    (props: MenuListPropsV1): JSX.Element;
    displayName: string;
};
export type MenuListProps = MenuListPropsV1;
export declare const StatelessMenu: {
    ({ align, dropdownWidth, autoHide, "data-testid": dataTestId, dropdownId, children, portalSelector, isMenuVisible, toggleMenuDropdown, hideMenuDropdown, renderButton, onClick, }: StatelessMenuPropsV1): JSX.Element;
    displayName: string;
};
export type StatelessMenuProps = StatelessMenuPropsV1;
