import React from 'react';
export type MenuItemProps = {
    'label': string;
    'href'?: string;
    'target'?: string;
    'onClick'?: (e: React.MouseEvent<HTMLButtonElement | HTMLAnchorElement>) => void;
    'icon'?: JSX.Element;
    'destructive'?: boolean;
    'disabled'?: boolean;
    /**
     * @deprecated use data-testid
     */
    'automationId'?: string;
    /**
     * Not recommended - this was added for use in exceptional cases like the navigation bar, which needs
     * to highlight which page the user is currently on. By design, Menus don't have active items,
     * because they are supposed to be a bunch of links/actions.
     */
    'isActive'?: boolean;
    'data-testid'?: string;
    'id'?: string;
};
export declare const MenuItem: {
    ({ label, icon, destructive, disabled, onClick, href, target, isActive, "data-testid": dataTestId, id, }: MenuItemProps): JSX.Element;
    displayName: string;
};
