import { type InputHTMLAttributes } from 'react';
import { type OverrideClassName } from "../../../types/OverrideClassName";
export type CheckedStatus = 'checked' | 'unchecked' | 'indeterminate';
type ReadOnly = {
    readOnly: true;
    onChange?: never;
};
type Controlled = {
    readOnly?: false;
    onChange: Required<InputHTMLAttributes<HTMLInputElement>['onChange']>;
};
export type CheckboxProps = {
    checkedStatus: CheckedStatus;
} & (ReadOnly | Controlled) & OverrideClassName<Omit<InputHTMLAttributes<HTMLInputElement>, 'type' | 'checked'>>;
export declare const Checkbox: {
    ({ checkedStatus, classNameOverride, ...restProps }: CheckboxProps): JSX.Element;
    displayName: string;
};
export {};
