import type React from 'react';
import { type GenericNotificationType, type GenericNotificationVariant } from "../../subcomponents/GenericNotification";
import { type ToastNotificationObjBase } from '../types';
export type ToastNotificationProps = Omit<ToastNotificationObjBase, 'id' | 'message' | 'persistent'> & {
    children: React.ReactNode;
    id?: string;
    /**
     * Removes the dismiss trigger. Functions the same as `persistent` in `addToastNotification`.
     * If this is true you will need to manage the removal of notifications manually.
     * @default false
     */
    hideCloseIcon?: boolean;
} & (GenericNotificationType | GenericNotificationVariant);
export declare const ToastNotification: {
    ({ id: propsId, hideCloseIcon, title, onHide, children, ...restProps }: ToastNotificationProps): null;
    displayName: string;
};
