import { type HTMLAttributes } from 'react';
import { type OverrideClassName } from "../types/OverrideClassName";
export type PaginationProps = {
    currentPage: number;
    pageCount: number;
    ariaLabelNextPage: string;
    ariaLabelPreviousPage: string;
    ariaLabelPage: string;
    onPageChange: (newPage: number) => void;
} & OverrideClassName<HTMLAttributes<HTMLElement>>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092975/Pagination Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-pagination--docs Storybook}
 */
export declare const Pagination: ({ currentPage, pageCount, ariaLabelNextPage, ariaLabelPreviousPage, ariaLabelPage, onPageChange, classNameOverride, ...restProps }: PaginationProps) => JSX.Element;
