import React from 'react';
import { type RadioProps } from '../Radio/Radio';
export type RadioFieldProps = Omit<RadioProps, 'id'> & {
    'id'?: string;
    'labelText': string | React.ReactNode;
    'selectedStatus'?: boolean;
    'disabled'?: boolean;
    'reversed'?: boolean;
    'data-testid'?: string;
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3082092822/Radio+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-radio-controls-radio-field--docs Storybook}
 */
export declare const RadioField: {
    ({ "id": propsId, labelText, selectedStatus, disabled, reversed, classNameOverride, "data-testid": dataTestId, ...restProps }: RadioFieldProps): JSX.Element;
    displayName: string;
};
