import { type EditorState } from 'prosemirror-state';
import { type CommandOrTransaction } from './types';
type EditorAPI = {
    destroy: () => void;
    dispatchTransaction: (maybeCommand: CommandOrTransaction) => void;
};
type EditorArgs = {
    initialEditorState: EditorState;
    node: HTMLElement;
    onChange: (editorState: EditorState) => void;
    attributes?: Record<string, string>;
    isEditable?: () => boolean;
};
/**
 * createRichTextEditor
 * Initialize a ProseMirror EditorView
 */
export declare const createRichTextEditor: ({ initialEditorState, node, onChange, attributes, isEditable, }: EditorArgs) => EditorAPI;
export {};
