import { type EditorState } from 'prosemirror-state';
import { type CommandOrTransaction } from '../types';
type RTEOptions = {
    editable: boolean;
};
type SetEditableStatus = (status: boolean) => void;
type UseRichTextEditorReturnValue = [
    React.RefCallback<HTMLElement>,
    EditorState,
    (commandOrTransaction: CommandOrTransaction) => void,
    SetEditableStatus
];
/**
 * useRichTextEditor
 * React hook to initialize a ProseMirror editor, handle binding it to the DOM,
 * and updating the state within React’s lifecycle.
 *
 * @param {initialEditorState} ProseMirror state
 * @returns {Array}
 */
export declare const useRichTextEditor: (initialEditorState: EditorState, attributes?: Record<string, string>, options?: RTEOptions) => UseRichTextEditorReturnValue;
export {};
