import { type InputSearchProps } from "../Input/InputSearch";
export type SearchFieldProps = Omit<InputSearchProps, 'id'> & {
    id?: string;
    labelText: string;
    disabled?: boolean;
    reversed?: boolean;
    secondary?: boolean;
};
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081896613/Search+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-search-field--docs Storybook}
 */
export declare const SearchField: {
    ({ id: propsId, labelText, disabled, reversed, secondary, classNameOverride, ...restProps }: SearchFieldProps): JSX.Element;
    displayName: string;
};
