import { type ReactNode } from 'react';
import { type InputRangeProps } from "../Input/InputRange";
export type SliderFieldProps = {
    id?: string;
    labelText: ReactNode;
    description?: ReactNode;
    labelPosition?: 'inline' | 'block';
    variant?: 'default' | 'prominent';
    disabled?: boolean;
    readOnlyMessage?: ReactNode;
} & Omit<InputRangeProps, 'id'>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081896335/Slider Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-slider--docs Storybook}
 */
export declare const Slider: {
    ({ id: propsId, labelText, description, labelPosition, variant, disabled, readOnlyMessage, ...restProps }: SliderFieldProps): JSX.Element;
    displayName: string;
};
