import React, { type AnchorHTMLAttributes, type ButtonHTMLAttributes } from 'react';
import { type OverrideClassName } from "../../../types/OverrideClassName";
type AnchorAttributes = AnchorHTMLAttributes<HTMLAnchorElement>;
type ButtonAttributes = ButtonHTMLAttributes<HTMLButtonElement>;
type AnchorButtonAttributes = AnchorAttributes & ButtonAttributes;
export type BaseButtonProps = {
    label: string;
    icon?: React.ReactNode;
    isReversed?: boolean;
} & OverrideClassName<AnchorButtonAttributes>;
export declare const BaseButton: {
    ({ label, icon, isReversed, classNameOverride, ...attributes }: BaseButtonProps): JSX.Element;
    displayName: string;
};
export {};
