import { type HTMLAttributes, type ReactNode } from 'react';
import { type OverrideClassName } from "../../types/OverrideClassName";
export type TabListProps = {
    /**
     * Accessible name for the set of tabs
     */
    'aria-label': string;
    /**
     * Removes the built in padding
     */
    'noPadding'?: boolean;
    'children': ReactNode;
} & OverrideClassName<HTMLAttributes<HTMLDivElement>>;
/**
 * Wrapper for the tabs themselves
 */
export declare const TabList: (props: TabListProps) => JSX.Element;
