import React from 'react';
import { type TextAreaProps } from "../TextArea";
export type TextAreaFieldProps = {
    labelText: string | React.ReactNode;
    inline?: boolean;
    validationMessage?: string | React.ReactNode;
    description?: string | React.ReactNode;
    variant?: 'default' | 'prominent';
} & TextAreaProps;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3081895966/Text+Area+Field Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-text-area-field--docs Storybook}
 */
export declare const TextAreaField: {
    ({ labelText, inline, validationMessage, description, variant, id: propsId, reversed, status, disabled, ...restProps }: TextAreaFieldProps): JSX.Element;
    displayName: string;
};
