import { type GenericTileProps, type TileAction } from '../subcomponents/GenericTile';
export type MultiActionTileProps = {
    primaryAction: TileAction;
    secondaryAction?: TileAction;
} & Omit<GenericTileProps, 'footer'>;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3079077889/Tile#MultiActionTile.1 Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-tiles-multiactiontile--docs Storybook}
 */
export declare const MultiActionTile: {
    ({ children, primaryAction, secondaryAction, ...restProps }: MultiActionTileProps): JSX.Element;
    displayName: string;
};
