import React, { type HTMLAttributes } from 'react';
import type { GenericButtonProps } from "../../../Button/GenericButton";
import { type AllowedHeadingTags } from "../../../Heading";
import { type OverrideClassName } from "../../../types/OverrideClassName";
export type TileAction = GenericButtonProps;
export type TileInformation = {
    text: string;
    primaryAction?: TileAction;
    secondaryAction?: TileAction;
};
export type GenericTileProps = {
    children?: React.ReactNode;
    title: React.ReactNode;
    titleTag?: AllowedHeadingTags;
    metadata?: string;
    information?: TileInformation | React.ReactNode;
    /** Provides accessible label for the title's info button @default "View more information: [title]" */
    infoButtonLabel?: string;
    /** @deprecated Use `variant` instead */
    mood?: 'positive' | 'informative' | 'cautionary' | 'assertive' | 'negative' | 'prominent';
    /**
     * If you are transitioning from `mood`:
     * - `prominent` should be `expert-advice`
     * - all else should be `default`
     * @default default
     */
    variant?: 'default' | 'expert-advice';
    footer: React.ReactNode;
} & OverrideClassName<Omit<HTMLAttributes<HTMLDivElement>, 'title'>>;
export declare const GenericTile: {
    ({ children, title, titleTag, metadata, information, infoButtonLabel, mood, variant, footer, classNameOverride, ...restProps }: GenericTileProps): JSX.Element;
    displayName: string;
};
