import React from 'react';
import { type TimeFieldStateOptions } from '@react-stately/datepicker';
import { type OverrideClassName } from "../types/OverrideClassName";
import { type StatusType, type ValueType } from './types';
type OmittedTimeFieldProps = 'errorMessage' | 'validationState' | 'value' | 'onChange' | 'label' | 'hideTimeZone';
export type TimeFieldProps = {
    id?: string;
    /**
     * Field label.
     */
    label: string;
    /**
     * Accepts any valid locale code (https://npm.io/package/locale-codes).
     */
    locale: string;
    onChange: (value: ValueType | null) => void;
    value: ValueType | null;
    status?: StatusType;
    validationMessage?: React.ReactNode;
} & OverrideClassName<Omit<TimeFieldStateOptions, OmittedTimeFieldProps>>;
export declare const TimeField: {
    (props: TimeFieldProps): JSX.Element;
    displayName: string;
};
export {};
