import React from 'react';
import { type TitleBlockVariant } from '../types';
export type CustomNavigationTabProps = Omit<NavigationTabProps, 'render'> & {
    className: string;
};
export type NavigationTabProps = {
    text: string;
    href: string;
    active?: boolean;
    handleClick?: (event: React.MouseEvent) => void;
    variant?: TitleBlockVariant;
    id?: string;
    automationId?: string;
    /**
     * Custom render for the tab. Commonly used to replace the link with a router link component.
     * Props given to the NavigationTab component will be passed back, along with a decorated className.
     * It is up to you to reapply them to your custom component.
     */
    render?: (props: CustomNavigationTabProps) => JSX.Element;
};
export declare const NavigationTab: {
    (props: NavigationTabProps): JSX.Element;
    displayName: string;
};
