import React from 'react';
import { type ToggleSwitchProps, type ToggledStatus } from '../ToggleSwitch/ToggleSwitch';
export type ToggleSwitchFieldProps = {
    labelText: React.ReactNode;
    labelPosition?: 'start' | 'end';
    toggledStatus?: ToggledStatus;
    disabled?: boolean;
    reversed?: boolean;
    inline?: boolean;
    fullWidth?: boolean;
} & ToggleSwitchProps;
/**
 * {@link https://cultureamp.atlassian.net/wiki/spaces/DesignSystem/pages/3075638160/Toggle+Switch Guidance} |
 * {@link https://cultureamp.design/?path=/docs/components-toggleswitch-ield--docs Storybook}
 */
export declare const ToggleSwitchField: {
    ({ id: propsId, labelText, labelPosition, toggledStatus, disabled, reversed, inline, fullWidth, ...restProps }: ToggleSwitchFieldProps): JSX.Element;
    displayName: string;
};
