import { type HTMLAttributes, type ReactNode } from 'react';
import { type AriaListBoxOptions } from '@react-aria/listbox';
import { type OverrideClassName } from "../../../../types/OverrideClassName";
import { type SelectItem, type SelectOption } from '../../types';
export type SingleListBoxProps<Option extends SelectOption> = OverrideClassName<HTMLAttributes<HTMLUListElement>> & {
    children: ReactNode;
    /** Props for the popup. */
    menuProps: AriaListBoxOptions<SelectItem<Option>>;
};
export declare const ListBox: {
    <Option extends SelectOption>({ children, menuProps, classNameOverride, ...restProps }: SingleListBoxProps<Option>): JSX.Element;
    displayName: string;
};
