import { type TabProps as RACTabProps } from 'react-aria-components';
export type TabProps = {
    /**
     * Adds a Kaizen Badge component to the tab.
     * Comes with some logic baked in - changes variant based on active/focus/hover state.
     */
    badge?: string;
} & Omit<RACTabProps, 'href' | 'hrefLang' | 'target' | 'rel' | 'download' | 'ping' | 'referrerPolicy'>;
/**
 * A tab button
 */
export declare const Tab: (props: TabProps) => JSX.Element;
