import { type ReactNode } from 'react';
import { type TabListProps as RACTabListProps } from 'react-aria-components';
export type TabListProps = {
    /**
     * Accessible name for the set of tabs
     */
    'aria-label': string;
    /**
     * Removes the built in padding
     */
    'noPadding'?: boolean;
    'children': ReactNode;
    'data-testid'?: string;
} & RACTabListProps<HTMLElement>;
/**
 * Wrapper for the tabs themselves
 */
export declare const TabList: (props: TabListProps) => JSX.Element;
